<?php
/**
 * The template for displaying 404 pages (not found)
 *
 * @package Medisch
 */
$img_404_page      = cetara_get_theme_opt('img_404_page',['url'=>get_template_directory_uri().'/assets/images/img-404.jpg']);
$heading           = cetara_get_theme_opt('heading_404_page','');
$subheading        = cetara_get_theme_opt('subheading_404_page', '');
$content_404_page  = cetara_get_theme_opt( 'content_404_page', '');
$btn_text_404_page = cetara_get_theme_opt( 'btn_text_404_page', '' );
$icon = is_rtl() ? 'arrow-left' : 'arrow-right';
get_header();
?>
    <div class="container kng-content-container kng-404-page">
        <div id="kng-content-area" class="kng-content-area text-center">
            <div class="kng-404-img"><img src="<?php echo esc_url($img_404_page['url']);?>"></div>
            <div class="kng-404-heading"><?php echo !empty($heading) ? esc_html($heading) : esc_html__('Ohh! page not found','cetara'); ?></div>
            <div class="kng-404-subheading"><?php echo !empty($subheading) ? esc_html($subheading) : esc_html__("It seems we can't find what you're looking for.",'cetara'); ?></div>
            <?php if(!empty($content_404_page)): ?>
                <p><?php echo wp_kses_post(  $content_404_page ); ?></p>
            <?php endif; ?>
            <div class="button-wrap">
                <a class="btn btn-primary" href="<?php echo esc_url(home_url('/')); ?>">
                    <span class="kng-btn-content">
                        <span class="kng-btn-text"><?php echo !empty($btn_text_404_page) ? esc_html($btn_text_404_page) : esc_html__('Go back home', 'cetara'); ?></span>
                        <span class="kng-btn-icon"><i class="fal fa-<?php echo esc_attr($icon);?>"></i></span>
                    </span>
                </a>
            </div>
        </div>
    </div>
 
</div>
</div>
</div>
<?php wp_footer(); ?>
</body>
</html>