<?php
// Register Accordion Widget
kng_add_custom_widget(
    array(
        'name'       => 'kng_accordion',
        'title'      => esc_html__( 'KNG Accordion', 'cetara' ),
        'icon'       => 'eicon-accordion',
        'categories' => array('kngtheme-core'),
        'scripts'    => array(
            'kng-accordion'
        ),
        'params' => array(
            'sections' => array(
                array(
                    'name'     => 'layout_section',
                    'label'    => esc_html__( 'Layout', 'cetara' ),
                    'tab'      => 'layout',
                    'controls' => array(
                        array(
                            'name'    => 'layout',
                            'label'   => esc_html__( 'Templates', 'cetara' ),
                            'type'    => 'layoutcontrol',
                            'default' => '1',
                            'options' => [
                                '1' => [
                                    'label' => esc_html__( 'Layout 1', 'cetara' ),
                                    'image' => get_template_directory_uri() . '/elements/el-widgets/layouts/kng_accordion-1.jpg'
                                ]
                            ],
                            'prefix_class' => 'kng-accordion-layout-'
                        ),
                    ),
                ),
                array(
                    'name'     => 'source_section',
                    'label'    => esc_html__( 'Source Settings', 'cetara' ),
                    'tab'      => 'content',
                    'controls' => array(
                        array(
                            'name'      => 'heading',
                            'label'     => esc_html__( 'Heading', 'cetara' ),
                            'type'      => 'text',
                            'separator' => 'after',
                        ),
                        array(
                            'name'      => 'active_section',
                            'label'     => esc_html__( 'Active section', 'cetara' ),
                            'type'      => 'number',
                            'separator' => 'after',
                        ),
                        array(
                            'name'    => 'kng_accordion',
                            'label'   => esc_html__( 'Accordion Items', 'cetara' ),
                            'type'    => 'repeater',
                            'default' => [
                                [
                                    'ac_title'   => esc_html__( 'Accordion #1', 'cetara' ),
                                    'ac_content' => esc_html__( 'Click edit button to change this text. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut elit tellus, luctus nec ullamcorper mattis, pulvinar dapibus leo.', 'cetara' ),
                                ],
                                [
                                    'ac_title'   => esc_html__( 'Accordion #2', 'cetara' ),
                                    'ac_content' => esc_html__( 'Click edit button to change this text. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut elit tellus, luctus nec ullamcorper mattis, pulvinar dapibus leo.', 'cetara' ),
                                ],
                            ],
                            'controls' => array(
                                array(
                                    'name'  => 'ac_title',
                                    'label' => esc_html__( 'Title', 'cetara' ),
                                    'type'  => 'text',
                                    'label_block' => true
                                ),
                                array(
                                    'name'             => 'ac_title_icon',
                                    'label'            => esc_html__( 'Title Icon', 'cetara' ),
                                    'type'             => 'icons',
                                    'fa4compatibility' => 'icon',
                                    'default'          => [
                                        'value' => '',
                                        'library' => '',
                                    ],
                                ),
                                array(
                                    'name'  => 'ac_content',
                                    'label' => esc_html__( 'Content', 'cetara' ),
                                    'type'  => 'textarea',
                                    'rows'  => 10,
                                ),
                            ),
                            'title_field' => '{{{ ac_title }}}',
                            'separator'   => 'after',
                        )
                    )
                )
                
            ),
        ),
    ),
    get_template_directory() . '/elements/classes/'
);