<?php
$menus = get_terms( 'nav_menu', array( 'hide_empty' => false ) );
$custom_menus = array(
    '' => esc_html__('Default', 'cetara')
);
if ( is_array( $menus ) && ! empty( $menus ) ) {
    foreach ( $menus as $single_menu ) {
        if ( is_object( $single_menu ) && isset( $single_menu->name, $single_menu->slug ) ) {
            $custom_menus[ $single_menu->slug ] = $single_menu->name;
        }
    }
} else {
    $custom_menus = '';
}
kng_add_custom_widget(
    array(
        'name'       => 'kng_anchor',
        'title'      => esc_html__( 'KNG Anchor', 'cetara' ),
        'icon'       => 'eicon-anchor',
        'categories' => array('kngtheme-core'),
        'scripts'    => array(),
        'params' => array(
            'sections' => array(
                array(
                    'name'     => 'layout_section',
                    'label'    => esc_html__( 'Layout', 'cetara' ),
                    'tab'      => 'layout',
                    'controls' => array(
                        array(
                            'name'         => 'align',
                            'label'        => esc_html__( 'Alignment', 'cetara' ),
                            'type'         => 'choose',
                            'control_type' => 'responsive',
                            'options'      => cetara_text_align_opts(),
                            'default'      => 'start'
                        ),
                        array(
                            'name'    => 'layout',
                            'label'   => esc_html__( 'Templates', 'cetara' ),
                            'type'    => 'layoutcontrol',
                            'default' => '1',
                            'options' => [
                                '1' => [
                                    'label' => esc_html__( 'Layout 1', 'cetara' ),
                                    'image' => get_template_directory_uri() . '/elements/el-widgets/layouts/kng_anchor-1.jpg'
                                ],
                                '2' => [
                                    'label' => esc_html__( 'Layout 2', 'cetara' ),
                                    'image' => get_template_directory_uri() . '/elements/el-widgets/layouts/kng_anchor-2.jpg'
                                ],
                                '3' => [
                                    'label' => esc_html__( 'Layout 3', 'cetara' ),
                                    'image' => get_template_directory_uri() . '/elements/el-widgets/layouts/kng_anchor-3.jpg'
                                ]
                            ],
                            'prefix_class' => 'kng-anchor-layout-'
                        )
                    )
                ),
                array(
                    'name'     => 'icon_section',
                    'label'    => esc_html__( 'Settings', 'cetara' ),
                    'tab'      => 'content',
                    'controls' => array_merge(
                        array(
                            array(
                                'name' => 'menu',
                                'label' => esc_html__('Select Menu', 'cetara'),
                                'type' => 'select',
                                'options' => $custom_menus,
                                'condition' => ['layout' => '2']
                            ),
                            array(
                                'name'             => 'selected_icon',
                                'label'            => esc_html__( 'Icon', 'cetara' ),
                                'type'             => 'icons',
                                'default'          => [
                                    'library' => 'kngi',
                                    'value'   => 'kngi-long-arrow-up'
                                ]
                            ),
                            array(
                                'name'  => 'icon_size',
                                'label' => esc_html__( 'Icon Size(px)', 'cetara' ),
                                'type'  => 'slider',
                                'range' => [
                                    'px' => [
                                        'min' => 15,
                                        'max' => 300,
                                    ],
                                ],
                                'selectors' => [
                                    '{{WRAPPER}} .kng-anchor-icon' => 'font-size: {{SIZE}}{{UNIT}};',
                                ],

                            ),
                            array(
                                'name' => 'icon_margin',
                                'label' => esc_html__('Icon Margin(px)', 'cetara' ),
                                'type' => 'dimensions',
                                'control_type' => 'responsive',
                                'size_units' => [ 'px' ],
                                'selectors' => [
                                    '{{WRAPPER}} .kng-anchor-icon' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
                                ],
                            ),
                            array(
                                'name'        => 'title',
                                'label'       => esc_html__( 'Title', 'cetara' ),
                                'type'        => 'textarea',
                                'placeholder' => esc_html__( 'Browse Categories', 'cetara' ),
                                'description' => __('To hide title, enter \'-1\'', 'cetara')
                            ),
                            array(
                                'name'         => 'title_typo',
                                'label'       => esc_html__( 'Title Typography', 'cetara' ),
                                'type'         => \Elementor\Group_Control_Typography::get_type(),
                                'control_type' => 'group',
                                'selector'     => '{{WRAPPER}} .anchor-title'
                            ),
                        ),
                        cetara_elementor_theme_colors([
                            'name'            => 'text_color',
                            'label'           => esc_html__('Text Color','cetara'),
                            'custom_name'     => 'text_color_custom',
                            'custom_label'    => esc_html__('Custom Icon Color','cetara'),
                            'custom_selector' => '.kng-anchor'
                        ]),
                        cetara_elementor_theme_colors([
                            'name'            => 'text_hover_color',
                            'label'           => esc_html__('Text Hover Color','cetara'),
                            'custom_name'     => 'text_hover_color_custom',
                            'custom_label'    => esc_html__('Custom Text Hover Color','cetara'),
                            'custom_selector' => '.kng-anchor:hover'
                        ]),
                        cetara_elementor_theme_colors([
                            'name'            => 'icon_bg_color',
                            'label'           => esc_html__('Background Color','cetara'),
                            'custom_name'     => 'icon_bg_color_custom',
                            'custom_label'    => esc_html__('Custom Background Color','cetara'),
                            'custom_selector' => '.kng-anchor'
                        ]),
                        cetara_elementor_theme_colors([
                            'name'                => 'icon_bg_hover_color',
                            'label'               => esc_html__('Background Hover Color','cetara'),
                            'custom_name'         => 'icon_bg_hover_color_custom',
                            'custom_label'        => esc_html__('Custom Background Color','cetara'),
                            'custom_selector'     => '.kng-anchor:hover',
                            'custom_selector_tag' => 'background-color'
                        ]),
                        array(
                            array(
                                'name'       => 'anchor_radius',
                                'label'      => esc_html__( 'Border Radius', 'cetara' ),
                                'type'       => 'dimensions',
                                'size_units' => [ 'px', '%' ],
                                'selectors'  => [
                                    '{{WRAPPER}} .kng-anchor' => 'border-radius: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
                                ],
                                'condition' => ['layout' => '3']
                            )
                        )
                    )
                )
            )
        )
    ),
    get_template_directory() . '/elements/classes/'
);