<?php
//if(!class_exists('WooCommerce')) return;
kng_add_custom_widget(
    array(
        'name'       => 'kng_author_carousel',
        'title'      => esc_html__( 'KNG Author Carousel', 'cetara' ),
        'icon'       => 'eicon-posts-carousel',
        'categories' => array('kngtheme-core'),
        'scripts'    => [
            'swiper',
            'kng-swiper'
        ],
        'params' => array(
            'sections' => array(
                array(
                    'name'     => 'layout_section',
                    'label'    => esc_html__( 'Layout', 'cetara' ),
                    'tab'      => 'layout',
                    'controls' => array(
                        array(
                            'name'    => 'layout',
                            'label'   => esc_html__( 'Templates', 'cetara' ),
                            'type'    => 'layoutcontrol',
                            'default' => '1',
                            'options' => [
                                '1' => [
                                    'label' => esc_html__( 'Layout 1', 'cetara' ),
                                    'image' => get_template_directory_uri() . '/elements/el-widgets/layouts/kng_author_carousel-1.jpg'
                                ] 
                            ],
                            'prefix_class' => 'kng-author-carousel-layout-'
                        )
                    )
                ),
                cetara_elementor_swiper_slider_settings([
                    'tab'       => 'settings',
                ]), 
                array(
                    'name'     => 'source_section',
                    'label'    => esc_html__( 'Source Options', 'cetara' ),
                    'tab'      => 'content',
                    'controls' => array(
                        array(
                            'name'    => 'query_type',
                            'label'   => esc_html__( 'Select Query Type', 'cetara' ),
                            'type'    => 'select',
                            'default' => 'all',
                            'options' => [
                                'all'   => esc_html__( 'All', 'cetara' ),
                                'separate'     => esc_html__( 'Select by author id', 'cetara' ),
                            ],
                        ),
                        array(
                            'name'     => 'terms',
                            'label'    => esc_html__( 'Select Category of Author', 'cetara' ),
                            'type'     => 'select2',
                            'multiple' => true,
                            'options'  => kng_get_term_options(['taxonomy'=>'author-category'])
                        ),
                        array(
                            'name'     => 'author_ids',
                            'label'    => esc_html__( 'Author id (123,124,135...)', 'cetara' ),
                            'type'     => 'text',
                            'default'  => '',
                            'condition' => array( 'query_type' => 'separate' )
                        ),
                        array(
                            'name'    => 'orderby',
                            'label'   => esc_html__( 'Order By', 'cetara' ),
                            'type'    => 'select',
                            'default' => 'date',
                            'options' => [
                                'date'   => esc_html__( 'Date', 'cetara' ),
                                'ID'     => esc_html__( 'ID', 'cetara' ),
                                'author' => esc_html__( 'Author', 'cetara' ),
                                'title'  => esc_html__( 'Title', 'cetara' ),
                                'rand'   => esc_html__( 'Random', 'cetara' ),
                            ],
                        ),
                        array(
                            'name'    => 'order',
                            'label'   => esc_html__( 'Sort Order', 'cetara' ),
                            'type'    => 'select',
                            'default' => 'desc',
                            'options' => [
                                'desc' => esc_html__( 'Descending', 'cetara' ),
                                'asc'  => esc_html__( 'Ascending', 'cetara' ),
                            ],
                        ),
                        array(
                            'name'    => 'limit',
                            'label'   => esc_html__( 'Items to show', 'cetara' ),
                            'type'    => 'number',
                            'default' => '9',
                        ),
                        array(
                            'name' => 'button_text',
                            'label' => esc_html__('View ALL  Button Text', 'cetara' ),
                            'type' => 'text',
                            'default' => esc_html__('View All', 'cetara' ),   
                        ),
                        array(
                            'name' => 'button_link',
                            'label' => esc_html__('View ALL Button Link', 'cetara' ),
                            'type' => 'text',
                            'default' => '#',   
                        ) 
                    )
                ) 
            )
        )
    ),
    get_template_directory() . '/elements/classes/'
);