<?php
// Register KNG Banner
kng_add_custom_widget(
    array(
        'name'       => 'kng_banner',
        'title'      => esc_html__('KNG Banner', 'cetara'),
        'icon'       => 'eicon-image',
        'categories' => array('kngtheme-core'),
        'scripts'    => [
            'kng-animation'
        ],
        'styles'     => [],
        'params'     => array(
            'sections' => array(
                array(
                    'name'     => 'layout_section',
                    'label'    => esc_html__('Layout', 'cetara' ),
                    'tab'      => 'layout',
                    'controls' => array(
                        array(
                            'name'    => 'layout',
                            'label'   => esc_html__('Templates', 'cetara' ),
                            'type'    => 'layoutcontrol',
                            'default' => '1',
                            'options' => [
                                '1' => [
                                    'label' => esc_html__('Layout 1', 'cetara' ),
                                    'image' => get_template_directory_uri() . '/elements/el-widgets/layouts/kng_banner-1.jpg'
                                ],
                                '2' => [
                                    'label' => esc_html__('Layout 2', 'cetara' ),
                                    'image' => get_template_directory_uri() . '/elements/el-widgets/layouts/kng_banner-2.jpg'
                                ],
                                '3' => [
                                    'label' => esc_html__('Layout 3', 'cetara' ),
                                    'image' => get_template_directory_uri() . '/elements/el-widgets/layouts/kng_banner-3.jpg'
                                ],
                                '4' => [
                                    'label' => esc_html__('Layout 4', 'cetara' ),
                                    'image' => get_template_directory_uri() . '/elements/el-widgets/layouts/kng_banner-4.jpg'
                                ],
                                '5' => [
                                    'label' => esc_html__('Layout 5', 'cetara' ),
                                    'image' => get_template_directory_uri() . '/elements/el-widgets/layouts/kng_banner-5.jpg'
                                ]
                            ],
                            'prefix_class' => 'kng-banner-layout-'
                        )
                    ),
                ),
                array(
                    'name'     => 'banner_settings',
                    'label'    => esc_html__('Banner Settings', 'cetara'),
                    'tab'      => 'settings',
                    'controls' => array(
                        array(
                            'label'        => esc_html__('Banner Height', 'cetara'), 
                            'name'         => 'banner_height',
                            'type'         => 'number',
                            'control_type' => 'responsive',
                            'selectors'    => [
                                '{{WRAPPER}} .kng-banner-wrap' => 'height:{{VALUE}}px'
                            ],
                            'default'      => '' 
                        ),
                        array(
                            'name'        => 'bg_color',
                            'label'       => esc_html__( 'Background Color', 'cetara' ),
                            'type'        => 'color',
                            'selectors'  => [
                                '{{WRAPPER}} .kng-banner-wrap' => 'background-color:{{VALUE}};'
                            ]
                        ),
                        array(
                            'name'        => 'bg_image',
                            'label'       => esc_html__('Background Image', 'cetara'),
                            'type'        => 'media',
                            'label_block' => true
                        ),

                        array(
                            'name' => 'banner_margin',
                            'label' => esc_html__('Margin(px)', 'cetara' ),
                            'type' => 'dimensions',
                            'control_type' => 'responsive',
                            'size_units' => [ 'px' ],
                            'selectors' => [
                                '{{WRAPPER}} .kng-banner-wrap' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
                            ],
                        ), 
                        array(
                            'name'         => 'content_position',
                            'label'        => esc_html__( 'Content Position', 'cetara' ),
                            'type'         => 'choose',
                            'control_type' => 'responsive',
                            'options'      => cetara_content_position_opts(),
                            'default'      => 'start'
                        ),
                        array(
                            'name'         => 'content_align',
                            'label'        => esc_html__( 'Content Alignment', 'cetara' ),
                            'type'         => 'choose',
                            'control_type' => 'responsive',
                            'options'      => cetara_text_align_opts(),
                            'default'      => 'start'
                        ),
                        array(
                            'name'         => 'align_self',
                            'label'        => esc_html__( 'Align Self', 'cetara' ),
                            'type'         => 'select',
                            'control_type' => 'responsive',
                            'options'      => array(
                                'center'          => esc_html__( 'Center', 'cetara' ),
                                'start' => esc_html__( 'Start', 'cetara' ),
                                'end' => esc_html__( 'End', 'cetara' ),
                            ),
                            'default'      => '',
                            'condition'   => [
                                'layout'      => ['2']
                            ],
                        ),
                        array(
                            'name'       => 'banner_radius',
                            'label'      => esc_html__( 'Border Radius', 'cetara' ),
                            'type'       => 'dimensions',
                            'size_units' => [ 'px', '%' ],
                            'selectors'  => [
                                '{{WRAPPER}} .kng-banner-wrap' => 'border-radius: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
                            ]
                        )
                    )
                ),
                  
                array(
                    'name'     => 'content_section',
                    'label'    => esc_html__('Content', 'cetara'),
                    'tab'      => 'content',
                    'controls' => array_merge(
                        array(
                            array(
                                'name'  => 'content_width',
                                'label' => esc_html__( 'Content Width', 'cetara' ),
                                'type'  => 'slider',
                                'control_type' => 'responsive',
                                'size_units'   => [ 'px', '%' ],
                                'range' => [
                                    'px' => [
                                        'min' =>  270,
                                        'max' => 1600,
                                    ],
                                    '%' => [
                                        'min' =>  10,
                                        'max' =>  100,
                                    ],
                                ],
                                'selectors' => [
                                    '{{WRAPPER}} .kng-banner-wrap .kng-banner-content-inner' => 'width: {{SIZE}}{{UNIT}};',
                                ] 
                            ),
                            array(
                                'name' => 'content_padding',
                                'label' => esc_html__('Content Padding(px)', 'cetara' ),
                                'type' => 'dimensions',
                                'control_type' => 'responsive',
                                'size_units' => [ 'px' ],
                                'selectors' => [
                                    '{{WRAPPER}} .kng-banner-wrap .kng-banner-content' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
                                ],
                            ),
                            array(
                                'name'        => 'large_heading',
                                'label'       => esc_html__('Large Heading','cetara'),
                                'type'        => 'textarea',
                                'placeholder' => esc_html__( 'Enter your text', 'cetara' ),
                                'label_block' => true,
                                'separator'   => 'before'
                            ),
                            array(
                                'name'        => 'large_heading_color',
                                'label'       => esc_html__( 'Color', 'cetara' ),
                                'type'        => 'select',
                                'options'     => cetara_elementor_theme_color_opts()
                            ),
                            array(
                                'name'        => 'large_heading_custom_color',
                                'label'       => esc_html__( 'Custom Color', 'cetara' ),
                                'type'        => 'color',
                                'condition'   => [
                                    'large_heading_color'      => 'custom'
                                ],
                                'selectors'  => [
                                    '{{WRAPPER}} .large-heading' => 'color:{{VALUE}};'
                                ]
                            ),
                            
                            array(
                                'name'         => 'large_heading_typo',
                                'type'         => \Elementor\Group_Control_Typography::get_type(),
                                'control_type' => 'group',
                                'selector'     => '{{WRAPPER}} .large-heading'
                            ),
                            array(
                                'name'         => 'large_heading_shadow',
                                'type'         => \Elementor\Group_Control_Text_Shadow::get_type(),
                                'control_type' => 'group',
                                'selector'     => '{{WRAPPER}} .large-heading'
                            ),
                            array(
                                'name' => 'large_heading_space',
                                'label' => esc_html__('Large Heading Margin(px)', 'cetara' ),
                                'type' => 'dimensions',
                                'control_type' => 'responsive',
                                'size_units' => [ 'px' ],
                                'selectors' => [
                                    '{{WRAPPER}} .large-heading' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
                                ],
                            ),
                            array(
                                'name'         => 'title_break_line',
                                'label'        => esc_html__( 'Remove Title Break Line', 'cetara' ),
                                'type'         => 'select',
                                'default'      => '',
                                'control_type' => 'responsive',
                                'options' => [
                                    '' => esc_html__('No', 'cetara' ),
                                    'none' => esc_html__('Yes', 'cetara' )
                                ],
                                'selectors' => [
                                    '{{WRAPPER}} .large-heading br' => 'display: {{VALUE}};',
                                ],
                            ),
                            array(
                                'name'      => 'large_heading_animation',
                                'label'     => esc_html__( 'Motion Effect', 'cetara' ),
                                'type'      => 'animation'
                            ),
                            array(
                                'name'      => 'large_heading_animation_delay',
                                'label'     => esc_html__( 'Transition Delay', 'cetara' ),
                                'type'      => 'text'
                            ),

                            array(
                                'name'        => 'small_heading',
                                'label'       => esc_html__('Small Heading','cetara'),
                                'type'        => 'textarea',
                                'placeholder' => esc_html__( 'Enter your text', 'cetara' ),
                                'label_block' => true,
                                'separator'   => 'before'
                            ),
                            array(
                                'name'        => 'small_heading_color',
                                'label'       => esc_html__( 'Color', 'cetara' ),
                                'type'        => 'select',
                                'options'     => cetara_elementor_theme_color_opts()
                            ),
                            array(
                                'name'        => 'small_heading_custom_color',
                                'label'       => esc_html__( 'Custom Color', 'cetara' ),
                                'type'        => 'color',
                                'condition'   => [
                                    'small_heading_color'      => 'custom'
                                ],
                                'selectors'  => [
                                    '{{WRAPPER}} .small-heading' => 'color:{{VALUE}};'
                                ]
                            ),
                            array(
                                'name'         => 'small_heading_typo',
                                'type'         => \Elementor\Group_Control_Typography::get_type(),
                                'control_type' => 'group',
                                'selector'     => '{{WRAPPER}} .small-heading'
                            ),
                            array(
                                'name' => 'small_heading_space',
                                'label' => esc_html__('Small Heading Margin(px)', 'cetara' ),
                                'type' => 'dimensions',
                                'control_type' => 'responsive',
                                'size_units' => [ 'px' ],
                                'selectors' => [
                                    '{{WRAPPER}} .small-heading' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
                                ],
                            ),
                            array(
                                'name'        => 'small_heading_animation',
                                'label'       => esc_html__( 'Motion Effect', 'cetara' ),
                                'type'        => 'animation',
                                'label_block' => false,
                            ),
                            array(
                                'name'      => 'small_heading_animation_delay',
                                'label'     => esc_html__( 'Transition Delay', 'cetara' ),
                                'type'      => 'text'
                            ),

                            array(
                                'name'        => 'description',
                                'label'       => esc_html__('Description','cetara'),
                                'type'        => 'textarea',
                                'placeholder' => esc_html__( 'Enter your text', 'cetara' ),
                                'label_block' => true,
                                'separator'   => 'before'
                            ),
                            array(
                                'name'        => 'description_color',
                                'label'       => esc_html__( 'Color', 'cetara' ),
                                'type'        => 'select',
                                'options'     => cetara_elementor_theme_color_opts()
                            ),
                            array(
                                'name'        => 'description_custom_color',
                                'label'       => esc_html__( 'Custom Color', 'cetara' ),
                                'type'        => 'color',
                                'condition'   => [
                                    'description_color'      => 'custom'
                                ],
                                'selectors'  => [
                                    '{{WRAPPER}} .description' => 'color:{{VALUE}};'
                                ]
                            ),
                            array(
                                'name'         => 'description_typo',
                                'type'         => \Elementor\Group_Control_Typography::get_type(),
                                'control_type' => 'group',
                                'selector'     => '{{WRAPPER}} .description'
                            ),
                            array(
                                'name' => 'description_space',
                                'label' => esc_html__('Description Margin(px)', 'cetara' ),
                                'type' => 'dimensions',
                                'control_type' => 'responsive',
                                'size_units' => [ 'px' ],
                                'selectors' => [
                                    '{{WRAPPER}} .description' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
                                ],
                            ),
                            array(
                                'name'         => 'desc_break_line',
                                'label'        => esc_html__( 'Remove Description Break Line', 'cetara' ),
                                'type'         => 'select',
                                'default'      => '',
                                'control_type' => 'responsive',
                                'options' => [
                                    '' => esc_html__('No', 'cetara' ),
                                    'none' => esc_html__('Yes', 'cetara' )
                                ],
                                'selectors' => [
                                    '{{WRAPPER}} .description br' => 'display: {{VALUE}};',
                                ],
                            ),
                            array(
                                'name'      => 'description_animation',
                                'label'     => esc_html__( 'Motion Effect', 'cetara' ),
                                'type'      => 'animation'
                            ),
                            array(
                                'name'      => 'description_animation_delay',
                                'label'     => esc_html__( 'Transition Delay', 'cetara' ),
                                'type'      => 'text',
                            ),

                        ),
                        cetara_elementor_button_settings([
                            'prefix'       => 'banner_btn',
                            'effect'       => true,
                            'separator'    => 'before'
                        ])
                    ),
                    'condition'    => ['layout!' => ['3','4']]
                ),
                array(
                    'name'     => 'image_section',
                    'label'    => esc_html__('Images Position', 'cetara'),
                    'tab'      => 'content',
                    'controls' => array_merge(
                        array(
                            array(
                                'name'        => 'image_position',
                                'label'       => esc_html__( 'Image Position', 'cetara' ),
                                'type'        => 'select',
                                'options'     => array(
                                    '' => esc_html__( 'Default', 'cetara' ),
                                    'absolute' => esc_html__( 'Absolute', 'cetara' ),
                                )
                            ),
                            array(
                                'name'        => 'image1',
                                'label'       => esc_html__('Image Default Position', 'cetara'),
                                'type'        => 'media',
                                'label_block' => true,
                                'default' => [
                                    'url' => '',
                                ],
                                'condition'    => [ 'image_position' => '' ]
                            ),
                            array(
                                'name'      => 'image1_animation',
                                'label'     => esc_html__( 'Motion Effect', 'cetara' ),
                                'type'      => 'animation',
                                'condition'    => array_merge( ['image1[url]!' => ''], ['image_position' => ''] )
                            ),
                            array(
                                'name'      => 'image1_delay',
                                'label'     => esc_html__( 'Transition Delay', 'cetara' ),
                                'type'      => 'number',
                                'condition'    => array_merge( ['image1[url]!' => ''], ['image_position' => ''] )
                            ),
                            array(
                                'name'        => 'image2',
                                'label'       => esc_html__('Image Default Position', 'cetara'),
                                'type'        => 'media',
                                'label_block' => true,
                                'default' => [
                                    'url' => '',
                                ],
                                'condition'    => array_merge( ['image_position' => ''], ['layout' => '4'] )
                            ),
                            array(
                                'name'      => 'image2_animation',
                                'label'     => esc_html__( 'Motion Effect', 'cetara' ),
                                'type'      => 'animation',
                                'condition'    => array_merge( ['image2[url]!' => ''], ['image_position' => ''], ['layout' => '4'] )
                            ),
                            array(
                                'name'      => 'image2_delay',
                                'label'     => esc_html__( 'Transition Delay', 'cetara' ),
                                'type'      => 'number',
                                'condition'    => array_merge( ['image2[url]!' => ''], ['image_position' => ''], ['layout' => '4'] )
                            ),
                            /*array(
                                'name'         => 'image_align',
                                'label'        => esc_html__( 'Image Alignment', 'cetara' ),
                                'type'         => 'choose',
                                'control_type' => 'responsive',
                                'options'      => cetara_text_align_opts(),
                                'default'      => 'center',
                                'condition'    => array_merge( ['image1[url]!' => ''], ['image_position' => ''] )
                            )*/
                        ),
                        cetara_elementor_layers_img_settings([
                            'prefix' => 'static_banner_img_1_',
                            'condition'    => [ 'image_position!' => '' ]
                        ]),
                        cetara_elementor_layers_img_settings([
                            'prefix' => 'static_banner_img_2_',
                            'condition'    => [ 'image_position!' => '' ]
                        ]),
                        cetara_elementor_layers_img_settings([
                            'prefix' => 'static_banner_img_3_',
                            'condition'    => array_merge( ['image_position!' => ''], ['layout' => '3'] )
                        ]),
                        cetara_elementor_layers_img_settings([
                            'prefix' => 'static_banner_img_4_',
                            'condition'    => array_merge( ['image_position!' => ''], ['layout' => '3'] )
                        ]),
                        cetara_elementor_layers_img_settings([
                            'prefix' => 'static_banner_img_5_',
                            'condition'    => array_merge( ['image_position!' => ''], ['layout' => '3'] )
                        ]),
                    ),
                     
                )
            )
        )
    ),
    get_template_directory() . '/elements/classes/'
);