<?php
// Register Fancy Box Widget
kng_add_custom_widget(
    array(
        'name'       => 'kng_block_quote',
        'title'      => esc_html__( 'KNG Block Quote', 'cetara' ),
        'icon'       => 'eicon-blockquote',
        'categories' => array('kngtheme-core'),
        'scripts'    => array(),
        'params' => array(
            'sections' => array(
                array(
                    'name'     => 'layout_section',
                    'label'    => esc_html__( 'Layout', 'cetara' ),
                    'tab'      => 'layout',
                    'controls' => array(
                        cetara_elementor_text_align(['default' => '']),
                        array(
                            'name'    => 'layout',
                            'label'   => esc_html__( 'Templates', 'cetara' ),
                            'type'    => 'layoutcontrol',
                            'default' => '1',
                            'options' => [
                                '1' => [
                                    'label' => esc_html__( 'Layout 1', 'cetara' ),
                                    'image' => get_template_directory_uri() . '/elements/el-widgets/layouts/kng_block_quote-1.jpg'
                                ]
                            ],
                            'prefix_class' => 'kng-blockquote-layout-'
                        )
                    )
                ),
                array(
                    'name'     => 'text_section',
                    'label'    => esc_html__( 'Content & Client Name', 'cetara' ),
                    'tab'      => 'content',
                    'controls' => array(
                        array(
                            'name'     => 'bq_content',
                            'label'    => esc_html__('Content', 'cetara'),
                            'type'     => 'textarea',
                            'default'  => esc_html__('“When you think ‘I know’ and ‘it is,’ you have the illusion of knowing, the illusion of certainty, and then you’re mindless”', 'cetara')
                        ),
                        array(
                            'name'     => 'bq_client_name',
                            'label'    => esc_html__('Client Name', 'cetara'),
                            'type'     => 'text',
                            'label_block' => true,
                            'default'  => 'Kristoffer Nolan'
                        ) 
                    )
                ), 
            )
        )
    ),
    get_template_directory() . '/elements/classes/'
);