<?php
// Register KNG Banner
kng_add_custom_widget(
    array(
        'name'       => 'kng_category_box',
        'title'      => esc_html__('KNG Category Box', 'cetara'),
        'icon'       => 'eicon-image',
        'categories' => array('kngtheme-core'),
        'scripts'    => [
            'kng-animation'
        ],
        'styles'     => [],
        'params'     => array(
            'sections' => array(
                array(
                    'name'     => 'layout_section',
                    'label'    => esc_html__('Layout', 'cetara' ),
                    'tab'      => 'layout',
                    'controls' => array(
                        array(
                            'name'    => 'layout',
                            'label'   => esc_html__('Templates', 'cetara' ),
                            'type'    => 'layoutcontrol',
                            'default' => '1',
                            'options' => [
                                '1' => [
                                    'label' => esc_html__('Layout 1', 'cetara' ),
                                    'image' => get_template_directory_uri() . '/elements/el-widgets/layouts/kng_category_box-1.jpg'
                                ] 
                            ],
                            'prefix_class' => 'kng-category-box-layout-'
                        )
                    ),
                ),
                array(
                    'name'     => 'category_box_settings',
                    'label'    => esc_html__('Category Box Settings', 'cetara'),
                    'tab'      => 'settings',
                    'controls' => array(
                         
                        array(
                            'name'        => 'bg_color',
                            'label'       => esc_html__( 'Background Color', 'cetara' ),
                            'type'        => 'color',
                            'selectors'  => [
                                '{{WRAPPER}} .kng-category-box-wrap' => 'background-color:{{VALUE}};'
                            ]
                        ),
                        array(
                            'name'        => 'bg_image',
                            'label'       => esc_html__('Background Image', 'cetara'),
                            'type'        => 'media',
                            'label_block' => true,
                        ),

                        array(
                            'name' => 'cbox_padding',
                            'label' => esc_html__('Padding(px)', 'cetara' ),
                            'type' => 'dimensions',
                            'control_type' => 'responsive',
                            'size_units' => [ 'px' ],
                            'selectors' => [
                                '{{WRAPPER}} .kng-category-box-wrap' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
                            ],
                        ) 
                    )
                ),
                array(
                    'name'     => 'content_section',
                    'label'    => esc_html__('Content', 'cetara'),
                    'tab'      => 'content',
                    'controls' => array_merge(
                        array(
                            array(
                                'name'        => 'image',
                                'label'       => esc_html__('Image', 'cetara'),
                                'type'        => 'media',
                                'label_block' => true,
                                'default' => [
                                    'url' => '',
                                ]
                            ),
                            array(
                                'name'      => 'image_animation',
                                'label'     => esc_html__( 'Motion Effect', 'cetara' ),
                                'type'      => 'animation'
                            ),
                            array(
                                'name'      => 'image_delay',
                                'label'     => esc_html__( 'Transition Delay', 'cetara' ),
                                'type'      => 'number'
                            ),  
                            array(
                                'name'        => 'large_heading',
                                'label'       => esc_html__('Large Heading','cetara'),
                                'type'        => 'textarea',
                                'placeholder' => esc_html__( 'Enter your text', 'cetara' ),
                                'label_block' => true
                            ),
                            array(
                                'name'        => 'large_heading_color',
                                'label'       => esc_html__( 'Color', 'cetara' ),
                                'type'        => 'select',
                                'options'     => cetara_elementor_theme_color_opts()
                            ),
                            array(
                                'name'        => 'large_heading_custom_color',
                                'label'       => esc_html__( 'Custom Color', 'cetara' ),
                                'type'        => 'color',
                                'condition'   => [
                                    'large_heading_color'      => 'custom'
                                ],
                                'selectors'  => [
                                    '{{WRAPPER}} .large-heading' => 'color:{{VALUE}};'
                                ]
                            ),
                            
                            array(
                                'name'         => 'large_heading_typo',
                                'type'         => \Elementor\Group_Control_Typography::get_type(),
                                'control_type' => 'group',
                                'selector'     => '{{WRAPPER}} .large-heading'
                            ),
                            
                            array(
                                'name' => 'large_heading_space',
                                'label' => esc_html__('Large Heading Margin(px)', 'cetara' ),
                                'type' => 'dimensions',
                                'control_type' => 'responsive',
                                'size_units' => [ 'px' ],
                                'selectors' => [
                                    '{{WRAPPER}} .large-heading' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
                                ],
                            ),
                             
                            array(
                                'name'      => 'large_heading_animation',
                                'label'     => esc_html__( 'Motion Effect', 'cetara' ),
                                'type'      => 'animation'
                            ),
                            array(
                                'name'      => 'large_heading_animation_delay',
                                'label'     => esc_html__( 'Transition Delay', 'cetara' ),
                                'type'      => 'text'
                            ),
 
                            array(
                                'name'        => 'cat_item_title_color',
                                'label'       => esc_html__( 'Color', 'cetara' ),
                                'type'        => 'select',
                                'options'     => cetara_elementor_theme_color_opts()
                            ),
                            array(
                                'name'        => 'cat_item_title_custom_color',
                                'label'       => esc_html__( 'Custom Color', 'cetara' ),
                                'type'        => 'color',
                                'condition'   => [
                                    'cat_item_title_color'      => 'custom'
                                ],
                                'selectors'  => [
                                    '{{WRAPPER}} .cat-item-title' => 'color:{{VALUE}};'
                                ]
                            ),
                            array(
                                'name'         => 'cat_item_title_typo',
                                'type'         => \Elementor\Group_Control_Typography::get_type(),
                                'control_type' => 'group',
                                'selector'     => '{{WRAPPER}} .cat-item-title'
                            ),
                            array(
                                'name' => 'cat_item_title_padding',
                                'label' => esc_html__('Category item title Margin(px)', 'cetara' ),
                                'type' => 'dimensions',
                                'control_type' => 'responsive',
                                'size_units' => [ 'px' ],
                                'selectors' => [
                                    '{{WRAPPER}} .cat-item-title' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
                                ],
                            ),
                            array(
                                'name'        => 'cat_item_title_animation',
                                'label'       => esc_html__( 'Motion Effect', 'cetara' ),
                                'type'        => 'animation',
                                'label_block' => false,
                            ),
                            array(
                                'name'      => 'cat_item_title_animation_delay',
                                'label'     => esc_html__( 'Transition Delay', 'cetara' ),
                                'type'      => 'text'
                            ),
                        ),
                    ),
                ),
                array(
                    'name'     => 'cat_items_section',
                    'label'    => esc_html__('Category Items ', 'cetara'),
                    'tab'      => 'content',
                    'controls' => array(
                        array(
                            'name'     => 'cat_items',
                            'label'    => esc_html__('Add Category Items', 'cetara'),
                            'type'     => 'repeater',
                            'controls' => array(
                                array(
                                    'name'      => 'cat_item_title',
                                    'label'     => esc_html__( 'Category Title', 'cetara' ),
                                    'type'      => 'text',
                                    'label_block' => true,
                                ),
                                  
                                array(
                                    'name'        => 'cat_item_link',
                                    'label'       => esc_html__( 'Category Link', 'cetara' ),
                                    'type'        => 'text',
                                    'placeholder' => esc_html__( 'https://your-link.com', 'cetara' ),
                                    'default'     => '#',
                                    'label_block' => true,
                                )
                            ),
                            'default' => [
                                [
                                    'cat_item_title' => 'Architecture',
                                    'cat_item_link' => '#'
                                ],
                                [
                                    'cat_item_title' => 'Drawing',
                                    'cat_item_link' => '#'
                                ],
                                [
                                    'cat_item_title' => 'Graphic Design',
                                    'cat_item_link' => '#'
                                ], 
                            ],
                            'title_field' => '{{{ cat_item_title }}}',
                        ),
                    ),
                     
                )
            )
        )
    ),
    get_template_directory() . '/elements/classes/'
);