<?php
// Register Testimonial List Widget
kng_add_custom_widget(
    array(
        'name'       => 'kng_clients',
        'title'      => esc_html__('KNG Clients', 'cetara'),
        'icon'       => 'eicon-slider-push',
        'categories' => array('kngtheme-core'),
        'scripts'    => array(
            'swiper',
            'kng-swiper'
        ),
        'params' => array(
            'sections' => array(
                array(
                    'name' => 'layout_section',
                    'label' => esc_html__('Layout', 'cetara' ),
                    'tab' => 'layout',
                    'controls' => array(
                        array(
                            'name' => 'layout',
                            'label' => esc_html__('Templates', 'cetara' ),
                            'type' => 'layoutcontrol',
                            'default' => '1',
                            'options' => [
                                '1' => [
                                    'label' => esc_html__('Layout 1', 'cetara' ),
                                    'image' => get_template_directory_uri() . '/elements/el-widgets/layouts/kng_clients-1.png'
                                ]
                            ],
                            'prefix_class' => 'kng-clients-layout-'
                        )
                    ),
                ),
                cetara_elementor_swiper_slider_settings([
                    'tab'       => 'settings',
                ]),
                array(
                    'name'     => 'heading_section',
                    'label'    => esc_html__( 'Heading', 'cetara' ),
                    'tab'      => 'content',
                    'controls' => array_merge(
                        array(
                            array(
                                'name'             => 'selected_icon',
                                'label'            => esc_html__( 'Icon', 'cetara' ),
                                'type'             => 'icons',
                                'fa4compatibility' => 'icon',
                                'default'          => [
                                    'value'     => '',
                                    'library'   => '',
                                ],
                                'condition' => [
                                    'layout'    => ['99']                            
                                ],
                            )
                        ),
                        cetara_elementor_text_settings([
                            'name'     => 'heading_text'
                        ])
                    ),
                    'condition' => [
                        'layout' => ['1']
                    ]
                ),
                array(
                    'name'     => 'subheading_section',
                    'label'    => esc_html__( 'Sub Heading', 'cetara' ),
                    'tab'      => 'content',
                    'controls' => array_merge(
                        cetara_elementor_text_settings([
                            'name'     => 'subheading_text',
                            'selector' => '.kng-subheading'
                        ])
                    ),
                    'condition' => [
                        'layout' => ['0']
                    ]
                ),
                array(
                    'name'     => 'clients_list',
                    'label'    => esc_html__('Clients', 'cetara'),
                    'tab'      => 'content',
                    'controls' => array(
                        array(
                            'name'     => 'clients',
                            'label'    => esc_html__('Add Client', 'cetara'),
                            'type'     => 'repeater',
                            'controls' => array(
                                array(
                                    'name'        => 'selected_img',
                                    'label'       => esc_html__('Client Image', 'cetara'),
                                    'type'        => 'media',
                                    'label_block' => true,
                                ),
                                array(
                                    'name'        => 'name',
                                    'label'       => esc_html__('Client Name', 'cetara'),
                                    'type'        => 'text',
                                    'label_block' => true,
                                ),
                                array(
                                    'name'        => 'description',
                                    'label'       => esc_html__('Client Description', 'cetara'),
                                    'type'        => 'textarea',
                                    'label_block' => true,
                                ),
                                array(
                                    'name'        => 'image_link',
                                    'label'       => esc_html__( 'Client Link', 'cetara' ),
                                    'type'        => 'url',
                                    'placeholder' => esc_html__( 'https://your-link.com', 'cetara' ),
                                    'default'     => [
                                        'url'         => '#',
                                        'is_external' => 'on'
                                    ],
                                )
                            ),
                            'default' => [
                                [
                                    'selected_img'       => [
                                        'url' => get_template_directory_uri().'/elements/el-widgets/layouts/clients/1.png'
                                    ],
                                    'name'        => 'Name #1',
                                    'description' => ''
                                ],
                                [
                                    'selected_img'       => ['url' => get_template_directory_uri().'/elements/el-widgets/layouts/clients/2.png'],
                                    'name'        => 'Name #2',
                                    'description' => ''
                                ],
                                [
                                    'selected_img'       => ['url' => get_template_directory_uri().'/elements/el-widgets/layouts/clients/3.png'],
                                    'name'        => 'Name #3',
                                    'description' => ''
                                ],
                                [
                                    'selected_img'       => ['url' => get_template_directory_uri().'/elements/el-widgets/layouts/clients/4.png'],
                                    'name'        => 'Name #4',
                                    'description' => '',
                                ],
                                [
                                    'selected_img'       => ['url' => get_template_directory_uri().'/elements/el-widgets/layouts/clients/5.png'],
                                    'name'        => 'Name #5',
                                    'description' => '',
                                ],
                                [
                                    'selected_img'       => ['url' => get_template_directory_uri().'/elements/el-widgets/layouts/clients/6.png'],
                                    'name'        => 'Name #6',
                                    'description' => '',
                                ]
                            ],
                            'title_field' => '{{{ name }}}',
                        ),
                        array(
                            'name'         => 'thumbnail_size',
                            'type'         => \Elementor\Group_Control_Image_Size::get_type(),
                            'label'        => esc_html__('Images Size','cetara'),
                            'control_type' => 'group',
                            'default'      => 'full',
                        )
                    )
                ),
                array(
                    'name'     => 'hover_section',
                    'label'    => esc_html__( 'Hover Settings', 'cetara' ),
                    'tab'      => 'content',
                    'controls' => array(
                        array(
                            'name'        => 'hover_style',
                            'label'       => esc_html__( 'Hover Style', 'cetara' ),
                            'type'        => 'select',
                            'options'     => [
                                ''      => esc_html__('Default', 'cetara')
                            ],
                            'default'   => '',
                            'prefix_class' => 'kng-img-hover'
                        ),
                        array(
                            'name'       => 'item_opacity',
                            'label'      => __( 'Item Opacity', 'cetara' ),
                            'type'       => 'slider',
                            'size_units' => [ '%' ],
                            'range' => [
                                '%' => [
                                    'min' => 1,
                                    'max' => 100,
                                ]
                            ],
                            'default'    => [
                                'unit' => '%'
                            ],
                            'selectors' => [
                                '{{WRAPPER}} a' => 'opacity: {{SIZE}}{{UNIT}};',
                            ]
                        )
                    )
                )
            )
        )
    ),
    get_template_directory() . '/elements/classes/'
);