<?php
// Register KNG Coundown
kng_add_custom_widget(
    array(
        'name'       => 'kng_countdown',
        'title'      => esc_html__('KNG Countdown', 'cetara' ),
        'icon'       => 'eicon-countdown',
        'categories' => array('kngtheme-core'),
        'scripts'    => array(
            'kng-countdown',
        ),
        'params' => array(
            'sections' => array(
                array(
                    'name'     => 'layout_section',
                    'label'    => esc_html__('Layout', 'cetara' ),
                    'tab'      => 'layout',
                    'controls' => array(
                        cetara_elementor_text_align(),
                        array(
                            'name'    => 'layout',
                            'label'   => esc_html__('Templates', 'cetara' ),
                            'type'    => 'layoutcontrol',
                            'default' => '1',
                            'options' => [
                                '1' => [
                                    'label' => esc_html__('Layout 1', 'cetara' ),
                                    'image' => get_template_directory_uri() . '/elements/el-widgets/layouts/kng_countdown-1.jpg'
                                ]
                            ],
                            'prefix_class' => 'kng-countdown-layout-'
                        )
                    )
                ),
                array(
                    'name'     => 'time_section',
                    'label'    => esc_html__('Time to', 'cetara' ),
                    'tab'      => 'content',
                    'controls' => array_merge(
                        array(
                            array(
                                'name'        => 'time_to',
                                'label'       => esc_html__('Choose your time', 'cetara' ),
                                'type'        => 'date_time',
                                'default'     => '',
                                'label_block' => true
                            ),
                            array(
                                'name'            => 'number_typo_setting',
                                'type'            => 'raw_html',
                                'raw'             => __( 'Number Typo Settings', 'cetara' ),
                                'content_classes' => 'elementor-panel-alert elementor-panel-alert-warning',
                            )
                        ),
                        cetara_elementor_typo_settings([
                            'name'     => 'number',
                            'selector' => '.inner-number'
                        ]),
                        array(
                            array(
                                'name'            => 'number_text_typo_setting',
                                'type'            => 'raw_html',
                                'raw'             => __( 'Number Text Typo Settings', 'cetara' ),
                                'content_classes' => 'elementor-panel-alert elementor-panel-alert-warning',
                            )
                        ),
                        cetara_elementor_typo_settings([
                            'name'     => 'number_text',
                            'selector' => '.inner-text'
                        ])
                    )
                ),
                array(
                    'name'     => 'heading_section',
                    'label'    => esc_html__( 'Heading', 'cetara' ),
                    'tab'      => 'content',
                    'controls' => array_merge(
                        cetara_elementor_text_settings([
                            'name'     => 'heading_text',
                            'default'  => 'Our Offer',
                            'selector' => '.kng-heading'
                        ])
                    )
                ),
                array(
                    'name'     => 'countdownbar_section',
                    'label'    => esc_html__( 'Countdown bar', 'cetara' ),
                    'tab'      => 'content',
                    'controls' => array_merge(
                        cetara_elementor_text_settings([
                            'name'     => 'countdownbar_text',
                            'default'  => 'Offer Valid Until',
                            'selector' => '.kng-countdownbar'
                        ])
                    )
                ),
                array(
                    'name'     => 'button1_section',
                    'label'    => esc_html__('Button 1 Settings', 'cetara' ),
                    'tab'      => 'content',
                    'controls' => cetara_elementor_button_settings([
                        'prefix' => 'button1_'
                        
                    ]),
                    'condition' => ['layout' => '2']
                ),
                array(
                    'name'     => 'button2_section',
                    'label'    => esc_html__('Button 2 Settings', 'cetara' ),
                    'tab'      => 'content',
                    'controls' => cetara_elementor_button_settings([
                        'prefix' => 'button2_'
                    ]),
                    'condition' => ['layout' => '2']
                )
            )
        )
    ),
    get_template_directory() . '/elements/classes/'
);