<?php
// Register Testimonial List Widget
kng_add_custom_widget(
    array(
        'name'       => 'kng_event_speaker',
        'title'      => esc_html__('KNG Event Speaker', 'cetara'),
        'icon'       => 'eicon-posts-grid',
        'categories' => array('kngtheme-core'),
        'scripts'    => [
          'kng-tabs'
        ],
        'params' => array(
            'sections' => array(
                array(
                    'name' => 'layout_section',
                    'label' => esc_html__('Layout', 'cetara' ),
                    'tab' => 'layout',
                    'controls' => array(
                        array(
                            'name' => 'layout',
                            'label' => esc_html__('Templates', 'cetara' ),
                            'type' => 'layoutcontrol',
                            'default' => '1',
                            'options' => [
                                '1' => [
                                    'label' => esc_html__('Layout 1', 'cetara' ),
                                    'image' => get_template_directory_uri() . '/elements/el-widgets/layouts/kng_event_speaker.jpg'
                                ]
                            ],
                            'prefix_class' => 'kng-speaker-layout-'
                        )
                    ),
                ),
                array(
                    'name'     => 'speaker_section',
                    'label'    => esc_html__( 'Speaker', 'cetara' ),
                    'tab'      => 'content',
                    'controls' => array(
                        array(
                            'name'     => 'speakers',
                            'label'    => esc_html__('Add Speakers', 'cetara'),
                            'type'     => 'repeater',
                            'controls' => array(
                                array(
                                    'name'        => 'selected_img',
                                    'label'       => esc_html__('Speaker Image', 'cetara'),
                                    'type'        => 'media',
                                    'label_block' => true,
                                ),
                                array(
                                    'name'        => 'name',
                                    'label'       => esc_html__('Speaker Name', 'cetara'),
                                    'type'        => 'text',
                                    'label_block' => true,
                                ),
                                array(
                                    'name'        => 'role',
                                    'label'       => esc_html__('Speaker role', 'cetara'),
                                    'type'        => 'text',
                                    'label_block' => true,
                                ),
                                array(
                                    'name'        => 'extra_text',
                                    'label'       => esc_html__('Extra text', 'cetara'),
                                    'type'        => 'text',
                                    'label_block' => true,
                                ),
                                array(
                                    'name'        => 'description',
                                    'label'       => esc_html__('Client Description', 'cetara'),
                                    'type'        => 'textarea',
                                    'label_block' => true,
                                ),
                                array(
                                    'name'        => 'custom_link',
                                    'label'       => esc_html__( 'Speaker Link', 'cetara' ),
                                    'type'        => 'url',
                                    'placeholder' => esc_html__( 'https://your-link.com', 'cetara' ),
                                    'default'     => [
                                        'url'         => '',
                                        'is_external' => 'on'
                                    ],
                                ),
                                array(
                                    'name'  => 'social',
                                    'label' => esc_html__( 'Social', 'cetara' ),
                                    'type'  => 'kng_icons',
                                )
                            ),
                            'default' => [
                                [
                                    'selected_img'       => [
                                        'url' => get_template_directory_uri().'/elements/el-widgets/layouts/speaker/speaker-01.jpg'
                                    ],
                                    'name'        => 'Kaixa Pham',
                                    'role'        => 'Author',
                                    'extra_text'        => '03 Published Books',
                                    'description' => 'Author of many famous literary novels in the world, with many great awards of the world literary association.',
                                    'social'   => '[
                                        {  
                                            "icon":"fa fa-facebook",
                                            "url":"https://facebook.com"
                                        },
                                        {
                                            "icon":"fa fa-linkedin",
                                            "url":"https://instagram.com"
                                        },
                                        {
                                            "icon":"fa fa-twitter",
                                            "url":"https://twitter.com"
                                        },
                                        {
                                            "icon":"fa fa-youtube",
                                            "url":"https://youtube.com"
                                        }
                                    ]'
                                ],
                                [
                                    'selected_img'       => ['url' => get_template_directory_uri().'/elements/el-widgets/layouts/speaker/speaker-02.jpg'],
                                    'name'        => 'Kaixa Pham',
                                    'role'        => 'Author',
                                    'extra_text'        => '03 Published Books',
                                    'description' => 'Author of many famous literary novels in the world, with many great awards of the world literary association.',
                                    'social'   => '[
                                        {  
                                            "icon":"fa fa-facebook",
                                            "url":"https://facebook.com"
                                        },
                                        {
                                            "icon":"fa fa-linkedin",
                                            "url":"https://instagram.com"
                                        },
                                        {
                                            "icon":"fa fa-twitter",
                                            "url":"https://twitter.com"
                                        },
                                        {
                                            "icon":"fa fa-youtube",
                                            "url":"https://youtube.com"
                                        }
                                    ]'
                                ],
                                [
                                    'selected_img'       => ['url' => get_template_directory_uri().'/elements/el-widgets/layouts/speaker/speaker-03.jpg'],
                                    'name'        => 'Kaixa Pham',
                                    'role'        => 'Author',
                                    'extra_text'        => '03 Published Books',
                                    'description' => 'Author of many famous literary novels in the world, with many great awards of the world literary association.',
                                    'social'   => '[
                                        {  
                                            "icon":"fa fa-facebook",
                                            "url":"https://facebook.com"
                                        },
                                        {
                                            "icon":"fa fa-linkedin",
                                            "url":"https://instagram.com"
                                        },
                                        {
                                            "icon":"fa fa-twitter",
                                            "url":"https://twitter.com"
                                        },
                                        {
                                            "icon":"fa fa-youtube",
                                            "url":"https://youtube.com"
                                        }
                                    ]'
                                ],
                            ],
                            'title_field' => '{{{ name }}}',
                        ),
                    ),
                ),
                  
                array(
                    'name'     => 'maps_section',
                    'label'    => esc_html__( 'Event Maps', 'cetara' ),
                    'tab'      => 'content',
                    'controls' => array(
                        array(
                            'name'        => 'event_map',
                            'label'       => esc_html__( 'Map embed', 'cetara' ),
                            'type'        => \Elementor\Controls_Manager::WYSIWYG,
                            'default'     => '',
                            'placeholder' => esc_html__( 'Enter the maps embed here', 'cetara' ),
                        )
                    )
                )
            )
        )
    ),
    get_template_directory() . '/elements/classes/'
);