<?php
// Register Fancy Box Widget
kng_add_custom_widget(
    array(
        'name'       => 'kng_fancy_box',
        'title'      => esc_html__( 'KNG Fancy Box', 'cetara' ),
        'icon'       => 'eicon-icon-box',
        'categories' => array('kngtheme-core'),
        'scripts'    => array(
            'swiper',
            'kng-swiper'
        ),
        'params' => array(
            'sections' => array(
                array(
                    'name'     => 'layout_section',
                    'label'    => esc_html__( 'Layout', 'cetara' ),
                    'tab'      => 'layout',
                    'controls' => array(
                        array(
                            'name'    => 'layout',
                            'label'   => esc_html__( 'Templates', 'cetara' ),
                            'type'    => 'layoutcontrol',
                            'default' => '1',
                            'options' => [
                                '1' => [
                                    'label' => esc_html__( 'Layout 1', 'cetara' ),
                                    'image' => get_template_directory_uri() . '/elements/el-widgets/layouts/kng_fancy_box-1.jpg'
                                ],
                                '2' => [
                                    'label' => esc_html__( 'Layout 2', 'cetara' ),
                                    'image' => get_template_directory_uri() . '/elements/el-widgets/layouts/kng_fancy_box-2.jpg'
                                ],
                                '3' => [
                                    'label' => esc_html__( 'Layout 3', 'cetara' ),
                                    'image' => get_template_directory_uri() . '/elements/el-widgets/layouts/kng_fancy_box-3.jpg'
                                ],
                                '4' => [
                                    'label' => esc_html__( 'Layout 4', 'cetara' ),
                                    'image' => get_template_directory_uri() . '/elements/el-widgets/layouts/kng_fancy_box-4.jpg'
                                ],
                                '5' => [
                                    'label' => esc_html__( 'Layout 4', 'cetara' ),
                                    'image' => get_template_directory_uri() . '/elements/el-widgets/layouts/kng_fancy_box-5.jpg'
                                ]
                            ],
                            'prefix_class' => 'kng-fancybox-layout-'
                        )
                    )
                ),
                array(
                    'name'     => 'image_section',
                    'label'    => esc_html__( 'Image', 'cetara' ),
                    'tab'      => 'content',
                    'controls' => array_merge(
                        array(
                            array(
                                'name'    => 'image',
                                'label'   => __('Image','cetara'),
                                'type'    => 'media',
                                'default' => [
                                    'url' => get_template_directory_uri().'/assets/images/placeholder/placeholder.png'
                                ]
                            ),
                            array(
                                'name'      => 'img_animation',
                                'label'     => esc_html__( 'Image Effect', 'cetara' ),
                                'type'      => 'animation',
                                'condition' => [
                                    'layout'      => ['3']  
                                ]
                            ),
                            array(
                                'name'      => 'img_delay',
                                'label'     => esc_html__( 'Animation Delay', 'cetara' ),
                                'type'      => 'number',
                                'min'       => 0,
                                'step'      => 100,
                                'default'   => 300,
                                'condition' => [
                                    'layout'      => ['3']  
                                ]
                            ),
                        ),
                        cetara_elementor_position_settings([
                            'prefix' => '',
                            'selectors'  => 'kng-fancy-img',
                            'condition' => ['layout'      => ['3']]
                        ]),
                        cetara_elementor_responsive_settings([
                            'prefix' => 'img_responsive_'
                        ])
                        
                    ),
                    'condition' => [
                        'layout'      => ['1','3']  
                    ]
                ),
                array(
                    'name'     => 'image_layer_section',
                    'label'    => esc_html__( 'Background Image Layer', 'cetara' ),
                    'tab'      => 'content',
                    'controls' => array_merge(
                        array(
                            array(
                                'name'    => 'image_layer',
                                'label'   => esc_html__('Image','cetara'),
                                'type'    => 'media',
                                'default' => [
                                    'url' => ''
                                ]
                            ),
                        ),
                        cetara_elementor_animation_opts([
                            'name'   => 'image_layer'
                        ]),
                        cetara_elementor_position_settings([
                            'prefix' => 'image_layer_',
                            'selectors'  => 'kng-fancy-img-layer'
                        ]) 
                    ),
                    'condition' => [
                        'layout'      => ['3']  
                    ]
                ),
                array(
                    'name'     => 'icon_section',
                    'label'    => esc_html__( 'Icons', 'cetara' ),
                    'tab'      => 'content',
                    'controls' => array(
                        array(
                            'name'             => 'icon_type',
                            'label'            => esc_html__( 'Icon Type', 'cetara' ),
                            'type'             => 'select',
                            'options'          => [
                                'icon' => esc_html__('Icon','cetara'),
                                'img'  => esc_html__('Image','cetara'),
                            ],
                            'default' => 'icon'
                        ),
                        array(
                            'name'             => 'selected_icon',
                            'label'            => esc_html__( 'Icon', 'cetara' ),
                            'type'             => 'icons',
                            'default'          => [
                                'library' => 'flaticon',
                                'value'   => 'flaticon-001-broom'  
                            ],
                            'condition' => [
                                'icon_type'    => ['icon']                            
                            ],
                        ),
                        array(
                            'name'             => 'selected_img',
                            'label'            => esc_html__( 'Image', 'cetara' ),
                            'type'             => 'media',
                            'default'          => '',
                            'condition' => [
                                'icon_type'    => ['img']                            
                            ],
                        )
                    ),
                    'condition' => [
                        'layout'      => ['2','4','5']  
                    ]
                ),
                array(
                    'name'     => 'text_section',
                    'label'    => esc_html__( 'Title & Description', 'cetara' ),
                    'tab'      => 'content',
                    'controls' => array(
                       array(
                            'name'     => 'small_title',
                            'label'    => __('Small Title', 'cetara'),
                            'type'     => 'textarea',
                            'condition' => [
                                'layout'      => ['3']  
                            ]
                        ),
                        array(
                            'name'             => 'small_title_icon',
                            'label'            => esc_html__( 'Icon', 'cetara' ),
                            'type'             => 'icons',
                            'default'          => [],
                            'condition' => [
                                'layout'      => ['3']  
                            ]
                        ),
                        array(
                            'name'     => 'title',
                            'label'    => __('Title', 'cetara'),
                            'type'     => 'textarea',
                            'default'  => __('Your Title', 'cetara')
                        ),
                        array(
                            'name'     => 'description',
                            'label'    => __('Description', 'cetara'),
                            'type'     => 'textarea',
                            'default'  => __('Lorem Ipsum is simply dummy text of the printing and typesetting industry', 'cetara')
                        )
                    )
                ),
                array(
                    'name'     => 'link_section',
                    'label'    => esc_html__( 'Hyperlink', 'cetara' ),
                    'tab'      => 'content',
                    'controls' => array_merge(
                        array(
                            array(
                                'name'        => 'hyper_link',
                                'label'       => esc_html__( 'Custom Link', 'cetara' ),
                                'type'        => 'url',
                                'placeholder' => esc_html__( 'https://your-link.com', 'cetara' ),
                                'default'     => [
                                    'url'         => '#',
                                    'is_external' => 'on'
                                ] 
                            )
                        ),
                    ),
                    'condition' => [
                        'layout' => ['1']
                    ]
                ),
                array(
                    'name'     => 'link_section3',
                    'label'    => esc_html__( 'Button Link', 'cetara' ),
                    'tab'      => 'content',
                    'controls' => array_merge(
                        /*cetara_elementor_hyperlink_settings([
                            'prefix' => 'fancybox_link' 
                        ]),*/
                        cetara_elementor_button_settings([
                            'effect'   => true,
                            'btn_text' => esc_html__( 'Shop Now', 'cetara' ),
                        ])
                    ),
                    'condition' => [
                        'layout' => ['3']
                    ]
                ), 
                // Style
                array(
                    'name'     => 'advanced_section',
                    'label'    => esc_html__( 'Advanced', 'cetara' ),
                    'tab'      => 'style',
                    'controls' => array_merge(
                        array(
                            cetara_elementor_text_align(['default' => '']),
                            array(
                                'name' => 'fancy_padding',
                                'label' => esc_html__('Padding(px)', 'cetara' ),
                                'type' => 'dimensions',
                                'control_type' => 'responsive',
                                'size_units' => [ 'px' ],
                                'selectors' => [
                                    '{{WRAPPER}} .kng-fancybox' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
                                ],
                            ),
                            array(
                                'name'         => 'border_left',
                                'label'        => esc_html__('Show Border Left', 'cetara'),
                                'type'         => 'select',
                                'options'      => [
                                    'true'  => esc_html__('Yes', 'cetara'),
                                    'false' => esc_html__('No','cetara')
                                ], 
                                'default'      => 'true', 
                                'control_type' => 'responsive',
                                'prefix_class' => 'kng-fancy5-border%s-',
                                'condition' => [
                                    'layout' => ['5']
                                ]
                            ),
                            array(
                                'name'        => 'border_left_color',
                                'label'       => esc_html__( 'Border Left Color', 'cetara' ),
                                'type'        => 'color',
                                'selectors'  => [
                                    '{{WRAPPER}} .kng-fancybox:before' => 'background-color:{{VALUE}};'
                                ],
                                'condition' => [
                                    'layout' => ['5']
                                ]
                            ),
                        )
                    ),
                ),
                array(
                    'name'     => 'background_section',
                    'label'    => esc_html__( 'Background', 'cetara' ),
                    'tab'      => 'style',
                    'controls' => array_merge(
                        cetara_elementor_overlay_settings([
                            'selector' => '.kng-fancybox'
                        ])
                    ),
                    'condition' => [
                        'layout' => ['1','3']
                    ]
                ),
                array(
                    'name'     => 'icon_section_style',
                    'label'    => __('Icons', 'cetara'),
                    'tab'      => 'style',
                    'controls' => array(
                        array(
                            'name'         => 'thumbnail_size',
                            'type'         => \Elementor\Group_Control_Image_Size::get_type(),
                            'label'        => __('Icon Size','cetara'), 
                            'control_type' => 'group',
                            'condition'    => [
                                'icon_type'    => 'img'                            
                            ],
                            'default' => 'custom'
                        ),
                        array(
                            'name'  => 'icon_size',
                            'label' => esc_html__( 'Icon Size', 'cetara' ),
                            'type'  => 'slider',
                            'range' => [
                                'px' => [
                                    'min' => 15,
                                    'max' => 300,
                                ],
                            ],
                            'condition'    => [
                                'icon_type' => 'icon'                          
                            ],
                            'selectors' => [
                                '{{WRAPPER}} .kng-fancy-icon' => 'font-size: {{SIZE}}{{UNIT}};',
                            ]
                        ),
                        array(
                            'name'        => 'icon_color',
                            'label'       => esc_html__( 'Icon Color', 'cetara' ),
                            'type'        => 'select',
                            'options'     => cetara_elementor_theme_color_opts(['custom' => false]),  
                            'default'     => '',
                            'condition'    => [
                                'icon_type'    => 'icon'                            
                            ]
                        )
                    ),
                    'condition' => [
                        'layout' => ['2','4','5']
                    ]
                ),
                array(
                    'name'     => 'color_section',
                    'label'    => __( 'Color', 'cetara' ),
                    'tab'      => 'style',
                    'controls' => array_merge(
                        cetara_elementor_theme_colors([
                            'name'                => 'sub_title_color',
                            'label'               => __('Sub Title Color', 'cetara'),
                            'custom_label'        => __('Custom Title Color', 'cetara'),
                            'custom_selector'     => '.kng-fancy-title',
                            'custom_selector_tag' => 'color',
                            'condition'           => ['layout' => ['3']],
                        ]),
                        cetara_elementor_theme_colors([
                            'name'                => 'title_color',
                            'label'               => __('Title Color', 'cetara'),
                            'custom_label'        => __('Custom Title Color', 'cetara'),
                            'custom_selector'     => '.kng-fancy-title',
                            'custom_selector_tag' => 'color',
                        ]),
                        cetara_elementor_theme_colors([
                            'name'                => 'desc_color',
                            'label'               => __('Description Color', 'cetara'),
                            'custom_label'        => __('Custom Description Color', 'cetara'),
                            'custom_selector'     => '.kng-fancy-description',
                            'custom_selector_tag' => 'color',
                        ])
                    )
                ),
                array(
                    'name'     => 'animation_section',
                    'label'    => __( 'Animation', 'cetara' ),
                    'tab'      => 'style',
                    'controls' => array_merge(
                        cetara_elementor_animation_opts([
                            'name'   => 'small_title',
                            'label' => esc_html__('Sub Title', 'cetara'),
                        ]),
                        cetara_elementor_animation_opts([
                            'name'   => 'title',
                            'label' => esc_html__('Title', 'cetara'),
                        ]),
                        cetara_elementor_animation_opts([
                            'name'   => 'description',
                            'label' => esc_html__('Description', 'cetara'),
                        ]) 
                    )
                ),
                
            )
        )
    ),
    get_template_directory() . '/elements/classes/'
);