<?php
// Register Button Widget
kng_add_custom_widget(
    array(
        'name' => 'kng_header_factor',
        'title' => esc_html__('Kng Header factor', 'cetara' ),
        'icon' => 'eicon-cart',
        'categories' => array('kngtheme-core'),
        'params' => array(
            'sections' => array(
                array(
                    'name'     => 'layout_section',
                    'label'    => esc_html__( 'Layout', 'cetara' ),
                    'tab'      => 'layout',
                    'controls' => array(
                        array(
                            'name'    => 'layout',
                            'label'   => esc_html__( 'Templates', 'cetara' ),
                            'type'    => 'layoutcontrol',
                            'default' => '1',
                            'options' => [
                                '1' => [
                                    'label' => esc_html__( 'Layout 1', 'cetara' ),
                                    'image' => get_template_directory_uri() . '/elements/el-widgets/layouts/kng_header_factor-1.jpg'
                                ],
                                '2' => [
                                    'label' => esc_html__( 'Layout 2', 'cetara' ),
                                    'image' => get_template_directory_uri() . '/elements/el-widgets/layouts/kng_header_factor-2.jpg'
                                ],
                                '3' => [
                                    'label' => esc_html__( 'Layout 3', 'cetara' ),
                                    'image' => get_template_directory_uri() . '/elements/el-widgets/layouts/kng_header_factor-3.jpg'
                                ]  
                            ],
                            'prefix_class' => 'kng-header-factor-layout-'
                        )
                    )
                ),
                array(
                    'name'     => 'content_section',
                    'label'    => esc_html__( 'Setting', 'cetara' ),
                    'tab'      => 'content',
                    'controls' => array(
                        array(
                            'name'         => 'content_align',
                            'label'        => esc_html__( 'Content Alignment', 'cetara' ),
                            'type'         => 'choose',
                            'control_type' => 'responsive',
                            'options'      => cetara_text_align_opts(),
                            'default'      => 'start'
                        ),
                        array(
                            'name' => 'on_search',
                            'label' => esc_html__('Show Search', 'cetara' ),
                            'type' => 'select',
                            'options' => [
                                'block' => esc_html__('Show', 'cetara'),
                                'none' => esc_html__('Hide', 'cetara'),
                            ],
                            'default' => 'block',
                            'control_type' => 'responsive',
                            'selectors'    => [
                                '{{WRAPPER}} .kng-header-factor .kng-search' => 'display: {{VALUE}}!important;',
                            ] 
                        ),
                        array(
                            'name' => 'on_user',
                            'label' => esc_html__('Show User', 'cetara' ),
                            'type' => 'select',
                            'options' => [
                                'block' => esc_html__('Show', 'cetara'),
                                'none' => esc_html__('Hide', 'cetara'),
                            ],
                            'default' => 'block',
                            'control_type' => 'responsive',
                            'selectors'    => [
                                '{{WRAPPER}} .kng-header-factor .kng-user' => 'display: {{VALUE}}!important;',
                            ] 
                        ),
                         
                        array(
                            'name' => 'on_wishlist',
                            'label' => esc_html__('Show Wishlist', 'cetara' ),
                            'type' => 'select',
                            'options' => [
                                'block' => esc_html__('Show', 'cetara'),
                                'none' => esc_html__('Hide', 'cetara'),
                            ],
                            'default' => 'block',
                            'control_type' => 'responsive',
                            'selectors'    => [
                                '{{WRAPPER}} .kng-header-factor .kng-wishlist' => 'display: {{VALUE}}!important;',
                            ] 
                        ),  
                        array(
                            'name' => 'on_cart',
                            'label' => esc_html__('Show Cart', 'cetara' ),
                            'type' => 'select',
                            'options' => [
                                'block' => esc_html__('Show', 'cetara'),
                                'none' => esc_html__('Hide', 'cetara'),
                            ],
                            'default' => 'block',
                            'control_type' => 'responsive',
                            'selectors'    => [
                                '{{WRAPPER}} .kng-header-factor .kng-cart' => 'display: {{VALUE}}!important;',
                            ] 
                        ),  
                        array(
                            'name'      => 'class',
                            'label'     => esc_html__( 'Class', 'cetara' ),
                            'type'      => 'text',
                            'separator' => 'after',
                        ),
                    )
                ),  
            ),
        ),
    ),
    get_template_directory() . '/elements/classes/'
);