<?php
kng_add_custom_widget(
    array(
        'name' => 'kng_icon_text',
        'title'      => esc_html__( 'KNG Icon Text', 'cetara' ),
        'icon'       => 'eicon-alert',
        'categories' => array('kngtheme-core'),
        'params' => array(
            'sections' => array(
                array(
                    'name' => 'section_icon',
                    'label' => esc_html__('Icons', 'cetara'),
                    'tab' => 'content',
                    'controls' => array(
                        array(
                            'name' => 'kng_icon',
                            'label' => esc_html__('Icon', 'cetara' ),
                            'type' => 'icons',
                            'fa4compatibility' => 'icon',
                            'default' => [
                                'value' => 'fas fa-star',
                                'library' => 'fa-solid',
                            ],
                        ),
                        array(
                            'name' => 'icon_color',
                            'label' => esc_html__( 'Icon Color (not svg)', 'cetara' ),
                            'type' => 'color',
                            'default' => '',
                            'selectors' => [
                                '{{WRAPPER}} .kng-icon' => 'color: {{VALUE}};',
                            ],
                        ),
                         
                        array(
                            'name' => 'icon_typography',
                            'label' => esc_html__('Icon Typography (not svg)', 'cetara' ),
                            'type' => \Elementor\Group_Control_Typography::get_type(),
                            'control_type' => 'group',
                            'selector' => '{{WRAPPER}} .kng-icon',
                        ),
                        array(
                            'name' => 'icon_space',
                            'label' => esc_html__('Icon Spacer', 'cetara' ),
                            'type' => 'slider',
                            'control_type' => 'responsive',
                            'size_units' => [ 'px' ],
                            'range' => [
                                'px' => [
                                    'min' => 0,
                                    'max' => 300,
                                ],
                            ],
                            'selectors' => [
                                '{{WRAPPER}} .kng-icon' => 'margin-right: {{SIZE}}{{UNIT}};',
                            ],
                        ),
                        array(
                            'name' => 'icon_width',
                            'label' => esc_html__('Icon Width (px)', 'cetara' ),
                            'type' => 'slider',
                            'control_type' => 'responsive',
                            'size_units' => [ 'px' ],
                            'range' => [
                                'px' => [
                                    'min' => 0,
                                    'max' => 300,
                                ],
                            ],
                            'selectors' => [
                                '{{WRAPPER}} .kng-icon,{{WRAPPER}} .kng-icon-text svg' => 'width: {{SIZE}}{{UNIT}};',
                            ],
                        ),
                        array(
                            'name'     => 'ic_text',
                            'label'    => esc_html__('Text', 'cetara'),
                            'type'     => 'text',
                            'label_block' => true,
                            'default'  => esc_html__('Welcome to Cetara book store.', 'cetara'),
                            'separator' => 'before',
                        ),
                        array(
                            'name'     => 'text_color',
                            'label'    => esc_html__('Text Color', 'cetara'),
                            'type'     => 'color',
                            'label_block' => true,
                            'selector' => [
                                '{{WRAPPER}} .kng-icon-text .icon-text' => 'color:{{VALUE}};',
                            ]
                        ),
                        array(
                            'name' => 'text_typography',
                            'label' => esc_html__('Text Typography', 'cetara' ),
                            'type' => \Elementor\Group_Control_Typography::get_type(),
                            'control_type' => 'group',
                            'selector' => '{{WRAPPER}} .kng-icon-text .icon-text',
                        ),
                        array(
                            'name'        => 'item_link',
                            'label'       => esc_html__( 'Link', 'cetara' ),
                            'type'        => 'url',
                            'placeholder' => esc_html__( 'https://your-link.com', 'cetara' ),
                            'default'     => [
                                'url'         => '',
                                'is_external' => 'on'
                            ],
                        ),
                        array(
                          'name' => 'align',
                            'label' => esc_html__( 'Alignment', 'cetara' ),
                            'type' => 'choose',
                            'control_type' => 'responsive',
                            'options' => [
                                'flex-start' => [
                                    'title' => esc_html__( 'Start', 'cetara' ),
                                    'icon' => 'eicon-text-align-left',
                                ],
                                'center' => [
                                    'title' => esc_html__( 'Center', 'cetara' ),
                                    'icon' => 'eicon-text-align-center',
                                ],
                                'flex-end' => [
                                    'title' => esc_html__( 'End', 'cetara' ),
                                    'icon' => 'eicon-text-align-right',
                                ],
                            ],
                            'selectors' => [
                                '{{WRAPPER}} .kng-icon-text' => 'justify-content: {{VALUE}};',
                            ],
                        ),
                    ),
                ),
            ),
        ),
    ),
    get_template_directory() . '/elements/classes/'
);