<?php
// Register Video Player Widget
kng_add_custom_widget(
    array(
        'name' => 'kng_logo',
        'title' => esc_html__('Kng Logo', 'cetara' ),
        'icon' => 'eicon-image',
        'categories' => array('kngtheme-core'),
        'params' => array(
            'sections' => array(
                array(
                    'name' => 'content_section',
                    'label' => esc_html__('Content', 'cetara' ),
                    'tab' => 'content',
                    'controls' => array(
                        array(
                            'name' => 'logo',
                            'label' => esc_html__('Logo', 'cetara' ),
                            'type' => 'media',
                        ),
                        array(
                            'name' => 'logo_max_height',
                            'label' => esc_html__('Max Height', 'cetara' ),
                            'type' => 'slider',
                            'description' => esc_html__('Enter number.', 'cetara' ),
                            'range' => [
                                'px' => [
                                    'min' => 0,
                                    'max' => 3000,
                                ],
                            ],
                            'control_type' => 'responsive',
                            'selectors' => [
                                '{{WRAPPER}} .kng-logo img' => 'max-height: {{SIZE}}{{UNIT}};',
                            ],
                        ),
                        array(
                            'name'         => 'logo_align',
                            'label'        => esc_html__( 'Alignment', 'cetara' ),
                            'type'         => 'choose',
                            'control_type' => 'responsive',
                            'options'      => cetara_text_align_opts(),
                            'default'      => 'start'
                        ),
                        array(
                            'name' => 'logo_link',
                            'label' => esc_html__('Link', 'cetara' ),
                            'type' => 'url',
                        ),
                        array(
                            'name' => 'kng_animate',
                            'label' => esc_html__('Kng Animate', 'cetara' ),
                            'type' => 'select',
                            'options' => cetara_animate(),
                            'default' => '',
                        ),
                    ),
                ),
            ),
        ),
    ),
    get_template_directory() . '/elements/classes/'
);