<?php
if(!class_exists('Newsletter')) return;
// Register KNG Newsletter
kng_add_custom_widget(
    array(
		'name'       => 'kng_newsletter',
		'title'      => esc_html__( 'KNG Newsletter', 'cetara' ),
		'icon'       => 'eicon-mail',
		'categories' => array('kngtheme-core'),
		'scripts'    => array(),
		'params'     => array(
            'sections' => array(
                array(
					'name'     => 'layout_section',
					'label'    => esc_html__( 'Layout', 'cetara' ),
					'tab'      => 'layout',
					'controls' => array(
                        array(
							'name'    => 'layout',
							'label'   => esc_html__( 'Templates', 'cetara' ),
							'type'    => 'layoutcontrol',
							'default' => '1',
							'options' => [
                                '1' => [
                                    'label' => esc_html__( 'Layout 1', 'cetara' ),
                                    'image' => get_template_directory_uri() . '/elements/el-widgets/layouts/kng_newsletter-1.jpg'
                                ]
                            ],
                            'prefix_class' => 'kng-newsletter-layout-'
                        ),
                    ),
                ),
                array(
					'name'     => 'content_section',
					'label'    => esc_html__( 'Content', 'cetara' ),
					'tab'      => 'content',
					'controls' => array(
                        array(
                            'name'        => 'stamp',
                            'label'       => esc_html__('Stamp', 'cetara'),
                            'type'        => 'media',
                            'default' => [
                                'url' => '',
                            ],
                            'label_block' => true,
                            'condition' => [
                                'layout' => ['-1'],
                            ], 
                        ),
                        array(
							'name'        => 'title',
							'label'       => esc_html__( 'Title', 'cetara' ),
							'type'        => 'textarea',
							'default'     => esc_html__( 'Sign up for industry alerts, news and insights.', 'cetara' ),
							'label_block' => true,
                            'condition' => [
                                'layout' => ['-1'],
                            ], 
                        ),
                        array(
                            'name'        => 'name_text',
                            'label'       => esc_html__( 'Name Text', 'cetara' ),
                            'type'        => 'text',
                            'placeholder' => esc_html__( 'Enter placeholder text', 'cetara' ),
                            'label_block' => true,
                            'condition' => [
                                'layout' => ['-1'],
                            ], 
                        ),

                        array(
                            'name'        => 'email_text',
                            'label'       => esc_html__( 'Email Text', 'cetara' ),
                            'type'        => 'text',
                            'placeholder' => esc_html__( 'Enter placeholder text', 'cetara' ),
                            'label_block' => true
                        ),
                        array(
                            'name'        => 'button_text',
                            'label'       => esc_html__( 'Button Text', 'cetara' ),
                            'type'        => 'text',
                            'placeholder' => esc_html__( 'Enter button text', 'cetara' ),
                            'label_block' => true
                        )
                    ),
                )
            )
        )
    ),
    get_template_directory() . '/elements/classes/'
);