<?php
// Register Post Grid Widget
 
kng_add_custom_widget(
    array(
        'name'       => 'kng_post_grid',
        'title'      => esc_html__( 'KNG Post Grid', 'cetara' ),
        'icon'       => 'eicon-posts-grid',
        'categories' => array('kngtheme-core'),
        'scripts'    => [
            'imagesloaded',
            'isotope',
            'kng-post-grid',
        ],
        'params' => array(
            'sections' => array(
                array(
                    'name'     => 'layout_section',
                    'label'    => esc_html__( 'Layout', 'cetara' ),
                    'tab'      => 'layout',
                    'controls' => array_merge(
                        array(
                            array(
                                'name'     => 'post_type',
                                'label'    => esc_html__( 'Select Post Type', 'cetara' ),
                                'type'     => 'select',
                                'multiple' => true,
                                'options'  => kng_get_post_type_options(),
                                'default'  => 'post'
                            ),
                            array(
                                'name'     => 'color_mode',
                                'label'    => esc_html__( 'Select Color Mode', 'cetara' ),
                                'type'     => 'select',
                                'options'  => array(
                                    'text-dark' => esc_html__( 'Text Dark', 'cetara' ),
                                    'text-white' => esc_html__( 'Text While', 'cetara' )
                                ),
                                'default'  => 'text-dark',
                                'prefix_class' => 'kng-post-grid-color-mode-'
                            ),
                        ),
                        kng_get_post_grid_layout()
                    ),
                ),
                array(
                    'name'     => 'source_section',
                    'label'    => esc_html__( 'Source Options', 'cetara' ),
                    'tab'      => 'content',
                    'controls' => array_merge(
                        kng_get_grid_term_by_post_type_options(),
                        array(
                            array(
                                'name'    => 'orderby',
                                'label'   => esc_html__( 'Order By', 'cetara' ),
                                'type'    => 'select',
                                'default' => 'date',
                                'options' => [
                                    'date'   => esc_html__( 'Date', 'cetara' ),
                                    'ID'     => esc_html__( 'ID', 'cetara' ),
                                    'author' => esc_html__( 'Author', 'cetara' ),
                                    'title'  => esc_html__( 'Title', 'cetara' ),
                                    'rand'   => esc_html__( 'Random', 'cetara' ),
                                ],
                            ),
                            array(
                                'name'    => 'order',
                                'label'   => esc_html__( 'Sort Order', 'cetara' ),
                                'type'    => 'select',
                                'default' => 'desc',
                                'options' => [
                                    'desc' => esc_html__( 'Descending', 'cetara' ),
                                    'asc'  => esc_html__( 'Ascending', 'cetara' ),
                                ],
                            ),
                            array(
                                'name'    => 'limit',
                                'label'   => esc_html__( 'Items to show', 'cetara' ),
                                'type'    => 'number',
                                'default' => '6',
                            )
                        )
                    )
                ),
                cetara_elementor_masonry_settings(),
                cetara_elementor_masonry_filter_settings(),
                cetara_elementor_masonry_column_settings(),
                cetara_elementor_masonry_pagination_settings(),
                array(
                    'name'     => 'thumbnail_section',
                    'label'    => esc_html__( 'Thumbnail Settings', 'cetara' ),
                    'tab'      => 'content',
                    'controls' => array(
                        array(
                            'name'         => 'thumbnail',
                            'type'         => \Elementor\Group_Control_Image_Size::get_type(),
                            'control_type' => 'group',
                            'default'      => 'large',
                        )
                    )
                ),
                array(
                    'name'     => 'excerpt_section',
                    'label'    => esc_html__( 'Excerpt Options', 'cetara' ),
                    'tab'      => 'content',
                    'controls' => array(
                        array(
                            'name'      => 'excerpt_lenght',
                            'label'     => esc_html__( 'Excerpt lenght', 'cetara' ),
                            'type'      => 'number',
                            'default'   => 25,
                            'separator' => 'after',
                        ),
                        array(
                            'name'      => 'excerpt_more_text',
                            'label'     => esc_html__( 'Excerpt more text', 'cetara' ),
                            'type'      => 'text',
                            'default'   => '...',
                            'separator' => 'after',
                        )
                    ) 
                ),
                array(
                    'name'     => 'readmore_section',
                    'label'    => esc_html__( 'Read More Options', 'cetara' ),
                    'tab'      => 'content',
                    'controls' => [
                        array(
                            'name'      => 'readmore_text',
                            'label'     => esc_html__( 'Read More Text', 'cetara' ),
                            'type'      => 'text',
                            'default'   => esc_html__('Read More','cetara'),
                            'separator' => 'after',
                        ),
                    ] 
                )
            )
        )
    ),
    get_template_directory() . '/elements/classes/'
);