<?php
if(!class_exists('WooCommerce')) return;
kng_add_custom_widget(
    array(
        'name'       => 'kng_product_carousel',
        'title'      => esc_html__( 'KNG Product Carousel', 'cetara' ),
        'icon'       => 'eicon-posts-carousel',
        'categories' => array('kngtheme-core'),
        'scripts'    => [
            'swiper',
            'kng-swiper'
        ],
        'params' => array(
            'sections' => array(
                array(
                    'name'     => 'layout_section',
                    'label'    => esc_html__( 'Layout', 'cetara' ),
                    'tab'      => 'layout',
                    'controls' => array(
                        array(
                            'name'    => 'layout',
                            'label'   => esc_html__( 'Templates', 'cetara' ),
                            'type'    => 'layoutcontrol',
                            'default' => '1',
                            'options' => [
                                '1' => [
                                    'label' => esc_html__( 'Layout 1', 'cetara' ),
                                    'image' => get_template_directory_uri() . '/elements/el-widgets/layouts/kng_product_carousel-1.jpg'
                                ] 
                            ],
                            'prefix_class' => 'kng-product-carousel-layout-'
                        )
                    )
                ),
                cetara_elementor_swiper_slider_settings([
                    'tab'       => 'settings',
                ]), 
                array(
                    'name'     => 'source_section',
                    'label'    => esc_html__( 'Source Options', 'cetara' ),
                    'tab'      => 'content',
                    'controls' => array_merge(
                        array(
                            array(
                                'name'    => 'query_type',
                                'label'   => esc_html__( 'Select Query Type', 'cetara' ),
                                'type'    => 'select',
                                'default' => 'recent_product',
                                'options' => [
                                    'recent_product'   => esc_html__( 'Recent Products', 'cetara' ),
                                    'best_selling'     => esc_html__( 'Best Selling', 'cetara' ),
                                    'featured_product' => esc_html__( 'Featured Products', 'cetara' ),
                                    'top_rate'         => esc_html__( 'Top Rate', 'cetara' ),
                                    'on_sale'          => esc_html__( 'On Sale', 'cetara' ),
                                    'recent_review'    => esc_html__( 'Recent Review', 'cetara' ),
                                    'deals'            => esc_html__( 'Product Deals', 'cetara' ),
                                    'separate'         => esc_html__( 'Product separate', 'cetara' ),
                                ],
                            ),
                            array(
                                'name'     => 'taxonomies',
                                'label'    => esc_html__( 'Select Term of Product', 'cetara' ),
                                'type'     => 'select2',
                                'multiple' => true,
                                'options'  => kng_get_product_grid_term_options()
                            ),
                            array(
                                'name'     => 'taxonomies_exclude',
                                'label'    => esc_html__( 'Select Exclude Term of Product', 'cetara' ),
                                'type'     => 'select2',
                                'multiple' => true,
                                'options'  => kng_get_product_grid_term_options()
                            ),
                            array(
                                'name'     => 'product_ids',
                                'label'    => esc_html__( 'Products id (123,124,135...)', 'cetara' ),
                                'type'     => 'text',
                                'default'  => '',
                                'condition' => array( 'query_type' => 'separate' )
                            ),
                            array(
                                'name'     => 'post_per_page',
                                'label'    => esc_html__( 'Post per page', 'cetara' ),
                                'type'     => 'text',
                                'default'  => '10'
                            ),
                            array(
                                'name'         => 'show_sold_bar_percent',
                                'label'        => esc_html__('Sold Bar Percent', 'cetara'),
                                'type'         => 'switcher',
                                'default'      => 'true',
                            ),
                        )
                    )
                ) 
            )
        )
    ),
    get_template_directory() . '/elements/classes/'
);