<?php
// Register Testimonial List Widget
kng_add_custom_widget(
    array(
        'name'       => 'kng_product_cat_carousel',
        'title'      => esc_html__('KNG Product Category Carousel', 'cetara'),
        'icon'       => 'eicon-slider-push',
        'categories' => array('kngtheme-core'),
        'scripts'    => array(
            'swiper',
            'kng-swiper'
        ),
        'params' => array(
            'sections' => array(
                array(
                    'name' => 'layout_section',
                    'label' => esc_html__('Layout', 'cetara' ),
                    'tab' => 'layout',
                    'controls' => array(
                        array(
                            'name' => 'layout',
                            'label' => esc_html__('Templates', 'cetara' ),
                            'type' => 'layoutcontrol',
                            'default' => '1',
                            'options' => [
                                '1' => [
                                    'label' => esc_html__('Layout 1', 'cetara' ),
                                    'image' => get_template_directory_uri() . '/elements/el-widgets/layouts/kng_product_cat_carousel-1.jpg'
                                ],
                                '2' => [
                                    'label' => esc_html__('Layout 2', 'cetara' ),
                                    'image' => get_template_directory_uri() . '/elements/el-widgets/layouts/kng_product_cat_carousel-2.jpg'
                                ]
                            ],
                            'prefix_class' => 'kng-product-cat-carousel-layout-'
                        )
                    ),
                ),
                cetara_elementor_swiper_slider_settings([
                    'tab'       => 'settings',
                ]),
                array(
                    'name'     => 'general_section',
                    'label'    => esc_html__( 'General', 'cetara' ),
                    'tab'      => 'content',
                    'controls' => array(
                        array(
                            'name' => 'sub_title_heading',
                            'label' => esc_html__('Sub Title Heading', 'cetara' ),
                            'type' => 'text',
                            'default' => esc_html__('Categories', 'cetara' ),   
                        ),
                        array(
                            'name' => 'title_heading',
                            'label' => esc_html__('Title Heading', 'cetara' ),
                            'type' => 'textarea',
                            'default' => esc_html__('Read your way to better sleep', 'cetara' ),   
                        ),
                        array(
                            'name' => 'button_text',
                            'label' => esc_html__('Button Text', 'cetara' ),
                            'type' => 'text',
                            'default' => esc_html__('Discover', 'cetara' ),   
                        ),
                        array(
                            'name' => 'button_link',
                            'label' => esc_html__('Button Link', 'cetara' ),
                            'type' => 'text',
                            'default' => '#',   
                        ),
                    ),
                    'condition' => ['layout' => '2']
                ),
                array(
                    'name'     => 'content_section',
                    'label'    => esc_html__( 'Content', 'cetara' ),
                    'tab'      => 'content',
                    'controls' => array(
                        array(
                            'name'     => 'product_cats',
                            'label'    => esc_html__('Add Categories', 'cetara'),
                            'type'     => 'repeater',
                            'controls' => array(
                                array(
                                    'name' => 'bg_color',
                                    'label' => esc_html__('Background image Color', 'cetara' ),
                                    'type' => 'color'   
                                ),
                                array(
                                    'name'     => 'term',
                                    'label'    => esc_html__( 'Select Term', 'cetara' ),
                                    'type'     => 'select2',
                                    'options'  => kng_get_product_grid_term_options()
                                ),
                                array(
                                    'name'             => 'icon_type',
                                    'label'            => esc_html__( 'Icon Type', 'cetara' ),
                                    'type'             => 'select',
                                    'options'          => [
                                        'icon' => esc_html__('Icon','cetara'),
                                        'img'  => esc_html__('Image','cetara'),
                                    ],
                                    'default' => 'icon'
                                ),
                                array(
                                    'name'             => 'selected_icon',
                                    'label'            => esc_html__( 'Icon', 'cetara' ),
                                    'type'             => 'icons',
                                    'default'          => [
                                        'library' => 'flaticon',
                                        'value'   => 'flaticon-001-broom'  
                                    ],
                                    'condition' => [
                                        'icon_type'    => ['icon']                            
                                    ],
                                ),
                                array(
                                    'name'             => 'selected_img',
                                    'label'            => esc_html__( 'Image', 'cetara' ),
                                    'type'             => 'media',
                                    'default'          => '',
                                    'condition' => [
                                        'icon_type'    => ['img']                            
                                    ],
                                ),
                                array(
                                    'name'        => 'custom_title',
                                    'label'       => esc_html__('Custom Title', 'cetara'),
                                    'type'        => 'text',
                                    'label_block' => true,
                                ),
                                array(
                                    'name'        => 'custom_desc',
                                    'label'       => esc_html__('Custom Description', 'cetara'),
                                    'type'        => 'textarea',
                                    'label_block' => true,
                                ) 
                            ),
                            'default' => [],
                            'title_field' => '{{{ custom_title }}}',
                        ) 
                    ),
                    
                ),
                 
                 
            )
        )
    ),
    get_template_directory() . '/elements/classes/'
);