<?php
if(!class_exists('WooCommerce')) return;
kng_add_custom_widget(
    array(
        'name'       => 'kng_product_grid',
        'title'      => esc_html__( 'KNG Product Grid', 'cetara' ),
        'icon'       => 'eicon-posts-grid',
        'categories' => array('kngtheme-core'),
        'scripts'    => [
            'imagesloaded',
            'isotope',
            'kng-post-grid',
        ],
        'params' => array(
            'sections' => array(
                array(
                    'name'     => 'layout_section',
                    'label'    => esc_html__( 'Layout', 'cetara' ),
                    'tab'      => 'layout',
                    'controls' => array(
                        array(
                            'name'    => 'layout',
                            'label'   => esc_html__( 'Templates', 'cetara' ),
                            'type'    => 'layoutcontrol',
                            'default' => '1',
                            'options' => [
                                '1' => [
                                    'label' => esc_html__( 'Layout 1', 'cetara' ),
                                    'image' => get_template_directory_uri() . '/elements/el-widgets/layouts/kng_product_grid-1.jpg'
                                ],
                                '2' => [
                                    'label' => esc_html__( 'Layout 1', 'cetara' ),
                                    'image' => get_template_directory_uri() . '/elements/el-widgets/layouts/kng_product_grid-2.jpg'
                                ],
                                '3' => [
                                    'label' => esc_html__( 'Layout 1', 'cetara' ),
                                    'image' => get_template_directory_uri() . '/elements/el-widgets/layouts/kng_product_grid-3.jpg'
                                ]
                            ],
                            'prefix_class' => 'kng-product-grid-layout-'
                        )
                    )
                ),
                 
                array(
                    'name'     => 'source_section',
                    'label'    => esc_html__( 'Source Options', 'cetara' ),
                    'tab'      => 'content',
                    'controls' => array_merge(
                        array(
                            array(
                                'name'    => 'query_type',
                                'label'   => esc_html__( 'Select Query Type', 'cetara' ),
                                'type'    => 'select',
                                'default' => 'recent_product',
                                'options' => [
                                    'recent_product'   => esc_html__( 'Recent Products', 'cetara' ),
                                    'best_selling'     => esc_html__( 'Best Selling', 'cetara' ),
                                    'featured_product' => esc_html__( 'Featured Products', 'cetara' ),
                                    'top_rate'         => esc_html__( 'High Rate', 'cetara' ),
                                    'on_sale'          => esc_html__( 'On Sale', 'cetara' ),
                                    'recent_review'    => esc_html__( 'Recent Review', 'cetara' ),
                                    'deals'            => esc_html__( 'Product Deals', 'cetara' ),
                                    'separate'         => esc_html__( 'Product separate', 'cetara' ),
                                ],
                                'condition' => array( 'layout' => ['1','3'] )
                            ),
                            array(
                                'name'     => 'query_types',
                                'label'    => esc_html__( 'Enter Query Types', 'cetara' ),
                                'description' => 'include: best_selling, recent_product, top_rate,
                                featured_product, on_sale, recent_review, deals, separate',
                                'type'     => 'textarea',
                                'default'  => 'best_selling,recent_product,top_rate',
                                'condition' => array( 'layout' => '2' )
                            ),
                            array(
                                'name'     => 'query_types_label',
                                'label'    => esc_html__( 'Query Types Label', 'cetara' ),
                                'type'     => 'textarea',
                                'description' => 'Best Selling,Just Released,High Rate',
                                'default'  => esc_html__( 'Best Seller', 'cetara' ).','.esc_html__( 'Just Released', 'cetara' ).','.esc_html__( 'Hight Rate', 'cetara' ),
                                'condition' => array( 'layout' => '2' )
                            ),
                            array(
                                'name'     => 'taxonomies',
                                'label'    => esc_html__( 'Select Term of Product', 'cetara' ),
                                'type'     => 'select2',
                                'multiple' => true,
                                'options'  => kng_get_product_grid_term_options()
                            ),
                            array(
                                'name'     => 'taxonomies_exclude',
                                'label'    => esc_html__( 'Select Exclude Term of Product', 'cetara' ),
                                'type'     => 'select2',
                                'multiple' => true,
                                'options'  => kng_get_product_grid_term_options()
                            ),
                            array(
                                'name'     => 'product_ids',
                                'label'    => esc_html__( 'Products id (123,124,135...)', 'cetara' ),
                                'type'     => 'text',
                                'default'  => '',
                                'condition' => array( 'query_type' => 'separate' )
                            ),
                            array(
                                'name'     => 'post_per_page',
                                'label'    => esc_html__( 'Post per page', 'cetara' ),
                                'type'     => 'text',
                                'default'  => '10'
                            )
                        )
                    )
                ),
                array(
                    'name'      => 'view_all_link_settings',
                    'label'     => esc_html__('View All Settings', 'cetara'),
                    'tab'       => 'settings',
                    'condition' => array( 'layout' => '2' ),
                    'controls'  => array(
                        array(
                            'name'     => 'custom_link_text',
                            'label'    => esc_html__( 'View All Text', 'cetara' ),
                            'type'     => 'text',
                            'default'  => esc_html__( 'View All Books', 'cetara' ),
                            'condition' => array( 'layout' => '2' )
                        ),
                        array(
                            'name'        => 'custom_link_url',
                            'label'       => esc_html__( 'Link Url', 'cetara' ),
                            'type'        => 'text',
                            'placeholder' => esc_html__( 'https://your-link.com', 'cetara' ),
                            'default'     => '',
                            'condition' => array( 'layout' => '2' )
                        )
                    )
                ),
                array(
                    'name'      => 'heading_settings',
                    'label'     => esc_html__('Heading', 'cetara'),
                    'tab'       => 'settings',
                    'condition' => array( 'layout' => '3' ),
                    'controls'  => array(
                        array(
                            'name'     => 'heading',
                            'label'    => esc_html__( 'Heading Text', 'cetara' ),
                            'type'     => 'text',
                            'label_block' => true,
                            'condition' => array( 'layout' => '3' )
                        ) 
                    )
                ),
                cetara_elementor_masonry_settings(['tab'=>'settings','condition' => array( 'layout' => '1' )]),
                cetara_elementor_masonry_filter_settings(['tab'=>'settings','condition' => array( 'layout' => '1' )]),
                cetara_elementor_masonry_column_settings(['tab'=>'settings','condition' => array( 'layout' => ['1','2'] )]),
                cetara_elementor_masonry_pagination_settings(['tab'=>'settings','condition' => array( 'layout' => ['1','2'] )])
                
            )
        )
    ),
    get_template_directory() . '/elements/classes/'
);