<?php
// Register Contact Form 7 Widget
if(class_exists('WooCommerce')) {
    kng_add_custom_widget(
        array(
            'name'       => 'kng_products',
            'title'      => esc_html__('KNG Products', 'cetara'),
            'icon'       => 'eicon-products',
            'categories' => array('kngtheme-core'),
            'scripts'    => array(),
            'params'     => array(
                'sections' => array(
                    array(
                        'name'     => 'layout_section',
                        'label'    => esc_html__( 'Layout', 'cetara' ),
                        'tab'      => 'layout',
                        'controls' => array(
                            array(
                                'name'    => 'layout',
                                'label'   => esc_html__( 'Templates', 'cetara' ),
                                'type'    => 'layoutcontrol',
                                'default' => '1',
                                'options' => [
                                    '1' => [
                                        'label' => esc_html__( 'Layout 1', 'cetara' ),
                                        'image' => get_template_directory_uri() . '/elements/el-widgets/layouts/kng_products-1.jpg'
                                    ]
                                ],
                                'prefix_class' => 'kng-products-layout-'
                            )
                        )
                    ),
                    array(
                        'name'     => 'content_section',
                        'label'    => esc_html__('Content Settings', 'cetara'),
                        'tab'      => 'content',
                        'controls' => array(
                            array(
                                'name'    => 'limit',
                                'label'   => esc_html__( 'Products to show', 'cetara' ),
                                'type'    => 'number',
                                'default' => 8
                            ),
                            array(
                                'name'  => 'columns',
                                'label' => esc_html__( 'Number of Columns', 'cetara' ),
                                'type'  => 'slider',
                                'range' => [
                                    '' => [
                                        'min'  => 2,
                                        'max'  => 6,
                                        'step' => 1,
                                    ]
                                ],
                                'size_units' => [''],
                                'default' => [
                                    'unit' => '',
                                    'size' => 4
                                ]
                            ),
                            array(
                                'name'    => 'order',
                                'label'   => esc_html__('Order', 'cetara'),
                                'type'    => 'select',
                                'options' => [
                                    ''     => esc_html__('Default', 'cetara'),
                                    'ASC'  => 'ASC',
                                    'DESC' => 'DESC'
                                ]
                            ),
                            array(
                                'name'    => 'orderby',
                                'label'   => esc_html__('Orderby', 'cetara'),
                                'type'    => 'select',
                                'options' => [
                                    ''           => esc_html__('Default', 'cetara'),
                                    'date'       => esc_html__('Date', 'cetara'),
                                    'id'         => esc_html__('ID', 'cetara'),
                                    'menu_order' => esc_html__('Menu Order', 'cetara'),
                                    'popularity' => esc_html__('Popularity', 'cetara'),
                                    'rand'       => esc_html__('Random', 'cetara'),
                                    'rating'     => esc_html__('Rating', 'cetara'),
                                    'title'      => esc_html__('Title', 'cetara'),
                                ]
                            ),
                            array(
                                'name'  => 'featured',
                                'label' => esc_html__('Only Featured?', 'cetara'),
                                'type'  => 'switcher',
                            ),
                            array(
                                'name'  => 'on_sale',
                                'label' => esc_html__('On Sale', 'cetara'),
                                'type'  => 'switcher',
                            ),
                            array(
                                'name'  => 'best_selling',
                                'label' => esc_html__('Best Selling', 'cetara'),
                                'type'  => 'switcher',
                            ),
                            array(
                                'name'  => 'top_rated',
                                'label' => esc_html__('Top Rated', 'cetara'),
                                'type'  => 'switcher',
                            ),
                            array(
                                'name'  => 'paginate',
                                'label' => esc_html__('Paginate', 'cetara'),
                                'type'  => 'switcher',
                            )
                        )
                    )
                )
            )
        ),
        get_template_directory() . '/elements/classes/'
    );
}