<?php
// Register Quick Contact Widget
kng_add_custom_widget(
    array(
		'name'       => 'kng_quickcontact',
		'title'      => esc_html__( 'KNG Quick Contact', 'cetara' ),
		'icon'       => 'eicon-mail',
		'categories' => array('kngtheme-core'),
		'scripts'    => array(),
		'params'     => array(
            'sections' => array(
                array(
					'name'     => 'layout_section',
					'label'    => esc_html__( 'Layout', 'cetara' ),
					'tab'      => 'layout',
					'controls' => array(
						cetara_elementor_row_align([
							'condition' => [
								'layout' => ['1','2']
							]
						]),
                        array(
							'name'    => 'layout',
							'label'   => esc_html__( 'Templates', 'cetara' ),
							'type'    => 'layoutcontrol',
							'default' => '1',
							'options' => [
                                '1' => [
                                    'label' => esc_html__( 'Layout 1', 'cetara' ),
                                    'image' => get_template_directory_uri() . '/elements/el-widgets/layouts/kng_quickcontact-1.jpg'
                                ],
                                '2' => [
                                    'label' => esc_html__( 'Layout 2', 'cetara' ),
                                    'image' => get_template_directory_uri() . '/elements/el-widgets/layouts/kng_quickcontact-2.jpg'
                                ] 
                            ],
                            'prefix_class' => 'kng-quick-contact-layout-'
                        ),
                    ),
                ),
                  
				array(
					'name'     => 'content_section',
					'label'    => esc_html__( 'Content Settings', 'cetara' ),
					'tab'      => 'content',
					'controls' => array(
						array(
							'name'     => 'contact_list',
							'label'    => esc_html__( 'Contact Lists', 'cetara' ),
							'type'     => 'repeater',
							'controls' => array(
                                array(
									'name'        => 'heading_text',
									'label'       => esc_html__( 'Heading', 'cetara' ),
									'type'        => 'textarea',
									'placeholder' => esc_html__( 'Enter Heading', 'cetara' ),
									'default'	  => 'Title here',	
									'label_block' => true
		                        ),
								array(
									'name'        => 'description_text',
									'label'       => esc_html__( 'Description', 'cetara' ),
									'type'        => 'textarea',
									'default'	  => 'If you have any questions or need help, feel free to contact with our team.',	
									'placeholder' => esc_html__( 'Enter your description', 'cetara' ),
									'show_label'  => false
		                        )  
                            ),
                            'default' => [
                                [
									'heading_text' => 'Address',
									'description_text'  => '1800 Abbot Kinney Blvd. Unit D & E Venice',
									 
                                ],
                                [
                                    'heading_text' => 'Contact',
                                    'description_text' => 'Mobile: (+88) - 1990 - 6886',
                                ],
                                [
                                    'heading_text' => 'Hour of operation',
                                    'description_text' => 'Monday - Friday: 09:00 - 20:00',
                                ]
                            ],
                            'condition' => [
                                'layout' => ['1']
                            ], 
                        ),
                        array(
							'name'     => 'contact_list2',
							'label'    => esc_html__( 'Contact Lists', 'cetara' ),
							'type'     => 'repeater',
							'controls' => array(
                                array(
		                            'name' => 'icon',
		                            'label' => esc_html__('Icon', 'cetara' ),
		                            'type' => 'media',
		                        ),
								array(
									'name'        => 'desc',
									'label'       => esc_html__( 'Description', 'cetara' ),
									'type'        => 'textarea',
									'default'	  => '2005 Stokes Isle Apt. 896, Venaville 10010, USA',	
									'placeholder' => esc_html__( 'Enter your description', 'cetara' ),
									'show_label'  => false
		                        )  
                            ),
                            'default' => [],
                            'condition' => [
                                'layout' => ['2']
                            ],  
                        )
						
                    )
				),
				array(
                    'name' => 'qc_style',
                    'label' => esc_html__('Style', 'cetara'),
                    'tab' => 'content',
                    'condition' => [
                        'layout' => ['2'],
                    ],
                    'controls' => array(
                        array(
                            'name' => 'qc_text_color',
                            'label' => esc_html__('Color', 'cetara' ),
                            'type' => 'color',
                            'selectors' => [
                                '{{WRAPPER}} .layout-2' => 'color: {{VALUE}};',
                            ],
                        ),
                         
                        array(
                            'name' => 'qc_typography',
                            'label' => esc_html__('Typography', 'cetara' ),
                            'type' => \Elementor\Group_Control_Typography::get_type(),
                            'control_type' => 'group',
                            'selector' => '{{WRAPPER}} .layout-2',
                        ),
                        array(
                            'name' => 'qc_item_space',
                            'label' => esc_html__('Item Space', 'cetara' ),
                            'type' => 'slider',
                            'control_type' => 'responsive',
                            'size_units' => [ 'px' ],
                            'range' => [
                                'px' => [
                                    'min' => 0,
                                    'max' => 300,
                                ],
                            ],
                            'selectors' => [
                                '{{WRAPPER}} .layout-2 .kng-qc-item + .kng-qc-item' => 'margin-top: {{SIZE}}{{UNIT}};',
                            ],
                        ),
                    ),
                ),
            )
        )
    ),
    get_template_directory() . '/elements/classes/'
);