<?php
// Register Button Widget
kng_add_custom_widget(
    array(
        'name' => 'kng_search',
        'title' => esc_html__('Kng Search', 'cetara' ),
        'icon' => 'eicon-search',
        'categories' => array('kngtheme-core'),
        'params' => array(
            'sections' => array(
                array(
                    'name'     => 'layout_section',
                    'label'    => esc_html__( 'Layout', 'cetara' ),
                    'tab'      => 'layout',
                    'controls' => array(
                        array(
                            'name'    => 'layout',
                            'label'   => esc_html__( 'Templates', 'cetara' ),
                            'type'    => 'layoutcontrol',
                            'default' => '1',
                            'options' => [
                                '1' => [
                                    'label' => esc_html__( 'Layout 1', 'cetara' ),
                                    'image' => get_template_directory_uri() . '/elements/el-widgets/layouts/kng_search-1.jpg'
                                ],
                                '2' => [
                                    'label' => esc_html__( 'Layout 2', 'cetara' ),
                                    'image' => get_template_directory_uri() . '/elements/el-widgets/layouts/kng_search-2.jpg'
                                ] 
                            ],
                            'prefix_class' => 'kng-search-layout-'
                        )
                    )
                ),
                array(
                    'name'     => 'text_section',
                    'label'    => esc_html__( 'Setting', 'cetara' ),
                    'tab'      => 'content',
                    'controls' => array(
                        array(
                            'name'         => 'content_align',
                            'label'        => esc_html__( 'Content Alignment', 'cetara' ),
                            'type'         => 'choose',
                            'control_type' => 'responsive',
                            'options'      => cetara_text_align_opts(),
                            'default'      => 'start'
                        ),
                        array(
                            'name'     => 'placeholder',
                            'label'    => esc_html__('Placeholder text', 'cetara'),
                            'type'     => 'text',
                            'label_block' => true,
                            'default'  => 'Search for items...'
                        ),
                        array(
                            'name'    => 'search_box_width',
                            'label'   => esc_html__( 'Search box width (px)', 'cetara' ),
                            'type'    => 'slider',
                            'control_type' => 'responsive',
                            'default' => [
                                'unit' => 'px',
                            ],
                            'range' => [
                                'px' => [
                                    'min' => 100,
                                    'max' => 500,
                                ],
                            ],
                            'selectors' => [
                                '{{WRAPPER}} .kng-search-inner' => 'width: {{SIZE}}{{UNIT}}'
                            ],
                            'condition' => [
                                'layout' => ['1','2']
                            ],
                        ), 
                    )
                ),  
            ),
        ),
    ),
    get_template_directory() . '/elements/classes/'
);