<?php
// Register KNG Sliders
kng_add_custom_widget(
    array(
        'name'       => 'kng_slider',
        'title'      => esc_html__('KNG Slider', 'cetara'),
        'icon'       => 'eicon-slides',
        'categories' => array('kngtheme-core'),
        'scripts'    => [
            'swiper',
            'kng-swiper'
        ],
        'styles'     => ['cetara-local-font'],
        'params'     => array(
            'sections' => array(
                array(
                    'name'     => 'layout_section',
                    'label'    => esc_html__('Layout', 'cetara' ),
                    'tab'      => 'layout',
                    'controls' => array(
                        array(
                            'name'    => 'layout',
                            'label'   => esc_html__('Templates', 'cetara' ),
                            'type'    => 'layoutcontrol',
                            'default' => '1',
                            'options' => [
                                '1' => [
                                    'label' => esc_html__('Layout 1', 'cetara' ),
                                    'image' => get_template_directory_uri() . '/elements/el-widgets/layouts/kng_slider-1.jpg'
                                ],
                                '2' => [
                                    'label' => esc_html__('Layout 2', 'cetara' ),
                                    'image' => get_template_directory_uri() . '/elements/el-widgets/layouts/kng_slider-2.jpg'
                                ],
                                '3' => [
                                    'label' => esc_html__('Layout 3', 'cetara' ),
                                    'image' => get_template_directory_uri() . '/elements/el-widgets/layouts/kng_slider-3.jpg'
                                ],
                                '4' => [
                                    'label' => esc_html__('Layout 4', 'cetara' ),
                                    'image' => get_template_directory_uri() . '/elements/el-widgets/layouts/kng_slider-4.jpg'
                                ],
                                '5' => [
                                    'label' => esc_html__('Layout 5', 'cetara' ),
                                    'image' => get_template_directory_uri() . '/elements/el-widgets/layouts/kng_slider-5.jpg'
                                ]
                            ],
                            'prefix_class' => 'kng-slider-layout-'
                        )
                    ),
                ),
                array(
                    'name'     => 'slider_settings',
                    'label'    => esc_html__('Slider Settings', 'cetara'),
                    'tab'      => 'settings',
                    'controls' => array(
                        array(
                            'label'        => esc_html__('Slider Height', 'cetara'), 
                            'name'         => 'slider_height',
                            'type'         => 'number',
                            'control_type' => 'responsive',
                            'selectors'    => [
                                '{{WRAPPER}} .kng-slider-container, {{WRAPPER}} .kng-slider-item' => 'height:{{VALUE}}px'
                            ],
                            'default'      => '640' 
                        ),
                        array(
                            'label'        => esc_html__('Content Width', 'cetara'), 
                            'name'         => 'content_width',
                            'type'         => 'select',
                            'options'      => [
                                ''                => esc_html__('Default','cetara'),
                                'container'       => esc_html__('Boxed','cetara'),
                                'container-wide'  => esc_html__('Wide','cetara'),
                                'container-fluid' => esc_html__('Full Width','cetara')
                            ] 
                        ),
                        array(
                            'name'        => 'slide_direction',
                            'label'       => esc_html__('Slides Direction', 'cetara'),
                            'description' => esc_html__('Defines how slides Direction, \'horizontal\' | \'vertical\'', 'cetara'),
                            'type'        => 'select',
                            'options'     => [
                                'horizontal' => esc_html__('Horizontal', 'cetara'),
                                'vertical'   => esc_html__('Vertical', 'cetara')
                            ],
                            'default'      => 'horizontal'
                        ),
                        array(
                            'name'    => 'slide_mode',
                            'label'   => esc_html__('Slide Effect', 'cetara'),
                            'type'    => 'select',
                            'options' => [
                                'slide'     => esc_html__('Slide', 'cetara'),
                                'fade'      => esc_html__('Fade', 'cetara'),
                                'cube'      => esc_html__('Cube', 'cetara'),
                                'flip'      => esc_html__('Flip', 'cetara')
                            ],
                            'default' => 'slide'
                        ),
                        array(
                            'name'       => 'slider_radius',
                            'label'      => esc_html__( 'Border Radius', 'cetara' ),
                            'type'       => 'dimensions',
                            'size_units' => [ 'px', '%' ],
                            'selectors'  => [
                                '{{WRAPPER}} .kng-sliders-wrap .kng-slider-container' => 'border-radius: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
                            ]
                        )
                    )
                ),
                array(
                    'name'     => 'slider_arrow_settings',
                    'label'    => esc_html__('Arrows', 'cetara'),
                    'tab'      => 'settings',
                    'controls' => array_merge(
                        array(
                            array(
                                'name'         => 'arrows',
                                'label'        => esc_html__('Show Arrows', 'cetara'),
                                'type'         => 'select',
                                'options'      => [
                                    'true'  => esc_html__('Yes', 'cetara'),
                                    'false' => esc_html__('No','cetara')
                                ], 
                                'default'      => 'true', 
                                'control_type' => 'responsive',
                                'prefix_class' => 'kng-swiper-arrows%s-'
                            ),
                            array(
                                'name'        => 'arrow_prev',
                                'label'       => esc_html__('Previous Icon','cetara'),
                                'type'        => 'icons',
                                'label_block' => true,
                                'separator'   => 'before' 
                            ),
                            array(
                                'name'        => 'arrow_next',
                                'label'       => esc_html__('Next Icon','cetara'),
                                'type'        => 'icons',
                                'label_block' => true,
                                'separator'   => 'before' 
                            ),
                            array(
                                'name'         => 'arrows_pos',
                                'label'        => esc_html__('Arrows Position', 'cetara'),
                                'type'         => 'select',
                                'default'      => 'in-vertical',
                                'options'      => [
                                    'in-vertical'    => esc_html__('Inside Vertical','cetara'),
                                    'out-vertical'   => esc_html__('Outside Vertical','cetara'),
                                    'top-left'       => esc_html__('Top Left','cetara'),
                                    'top-right'      => esc_html__('Top Right','cetara'),
                                    'top-center'     => esc_html__('Top Center','cetara'),
                                    'top-between'    => esc_html__('Top between','cetara'),
                                    'bottom-left'    => esc_html__('Bottom Left','cetara'),
                                    'bottom-right'   => esc_html__('Bottom Right','cetara'),
                                    'bottom-center'  => esc_html__('Bottom Center','cetara'),
                                    'bottom-between' => esc_html__('Bottom between','cetara'),
                                    'custom'         => esc_html__('Custom','cetara'),
                                ],
                                'prefix_class' => 'kng-swiper-nav-',
                            ),
                            array(
                                'name'         => 'arrows_style',
                                'label'        => esc_html__('Arrows Styles', 'cetara'),
                                'type'         => 'select',
                                'default'      => 'default',
                                'options'      => [
                                    'default'  => esc_html__('Default','cetara'),
                                ],
                                'prefix_class' => 'kng-swiper-nav-style-',
                            )
                        ),
                        cetara_elementor_theme_colors([
                            'name'         => 'arrows_color',
                            'label'        => esc_html__('Arrows Color', 'cetara'),
                            'custom_label'        => esc_html__('Custom Arrows Color', 'cetara'),
                            'custom_selector'     => '.kng-swiper-nav-color-custom .kng-swiper-arrow',
                            'custom_selector_tag' => 'color',
                            'prefix_class'        => 'kng-swiper-nav-color-',
                            'relation'            => 'and'
                        ]),
                        cetara_elementor_theme_colors([
                            'name'         => 'arrows_color_hover',
                            'label'        => esc_html__('Arrows Color Hover', 'cetara'),
                            'custom_label'        => esc_html__('Custom Arrows Color Hover', 'cetara'),
                            'custom_selector'     => '.kng-swiper-nav-color-hover-custom .kng-swiper-arrow:hover',
                            'custom_selector_tag' => 'color',
                            'prefix_class'        => 'kng-swiper-nav-color-hover-',
                            'relation'            => 'and'
                        ])
                    )
                ),
                array(
                    'name'     => 'slider_dots_settings',
                    'label'    => esc_html__('Dots Navigation', 'cetara'),
                    'tab'      => 'settings',
                    'controls' => array_merge(
                        array(
                            array(
                                'name'         => 'dots',
                                'label'        => esc_html__('Show Dots', 'cetara'),
                                'type'         => 'select',
                                'options'      => [
                                    'true'  => esc_html__('Yes', 'cetara'),
                                    'false' => esc_html__('No','cetara')
                                ],
                                'control_type' => 'responsive',
                                'default'      => 'true',
                                'prefix_class' => 'kng-swiper-dots%s-'
                            ),
                            array(
                                'name'         => 'dots_style',
                                'label'        => esc_html__('Dots Style', 'cetara'),
                                'type'         => 'select',
                                'default'      => 'bullets',
                                'options'      => [
                                    'bullets'     => esc_html__('Bullets','cetara'),
                                    //'dynamic'   => esc_html__('Dynamic','cetara'),
                                    //'progressbar' => esc_html__('Progressbar','cetara'),
                                    //'fraction'    => esc_html__('Fraction','cetara'),
                                    //'custom'    => esc_html__('Custom','cetara')
                                ]
                            ),
                            array(
                                'name'      => 'dots_style_notice',
                                'type'      => 'raw_html',
                                'raw'       => sprintf( esc_html__( 'How to custom pagination, readmore at <a href="%s" target="_blank">swiper.js</a>', 'cetara' ), 'https://swiperjs.com/swiper-api#pagination' ),
                                'condition' => [
                                    'dots_style'  => 'custom'
                                ],
                                'content_classes' => 'elementor-panel-alert elementor-panel-alert-warning'
                            ),
                            array(
                                'name'      => 'dots_style_custom',
                                'type'      => 'textarea',
                                'label'     => esc_html__('Enter your code here','cetara'),
                                'condition' => [
                                    'dots_style'  => 'custom'
                                ],
                                'description' => esc_html__('Default','cetara').': function (swiper, current, total) { return current + \' of \' + total;}'
                            ),
                            array(
                                'name'         => 'dots_in_nav',
                                'label'        => esc_html__('Dots In Nav', 'cetara'),
                                'type'         => 'switcher',
                                'default'      => '',
                                'separator'    => 'before',
                                'condition'    => [
                                    'arrows'     => 'true',
                                    'arrows_pos' => ['top-left', 'top-right', 'top-center','bottom-left', 'bottom-right', 'bottom-center']
                                ] 
                            ),
                            array(
                                'name'         => 'dots_pos',
                                'label'        => esc_html__('Dots Position', 'cetara'),
                                'type'         => 'select',
                                'default'      => 'bottom-out',
                                'options'      => [
                                    'middle-left'     => esc_html__('Middle Left','cetara'), 
                                    'middle-right'    => esc_html__('Middle Right','cetara'),  
                                    'bottom-in'  => esc_html__('Bottom Inside Center','cetara'),
                                    'bottom-in-left'  => esc_html__('Bottom Inside Left','cetara'),
                                    'bottom-in-right'  => esc_html__('Bottom Inside Right','cetara'),
                                    /*'bottom-out' => esc_html__('Bottom Outside Center','cetara'),
                                    'bottom-out-left' => esc_html__('Bottom Outside Left','cetara'),
                                    'bottom-out-right' => esc_html__('Bottom Outside Right','cetara')*/
                                ],
                                'condition' => [
                                    'dots_in_nav' => ''
                                ],
                                'prefix_class' => 'kng-swiper-dots-'
                            ),
                            array(
                                'name' => 'dots_margin',
                                'label' => esc_html__('Margin(px)', 'cetara' ),
                                'type' => 'dimensions',
                                'control_type' => 'responsive',
                                'size_units' => [ 'px' ],
                                'selectors' => [
                                    '{{WRAPPER}} .kng-swiper-dots' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
                                ],
                            )
                        ),
                        cetara_elementor_theme_colors([
                            'name'                => 'dots_color',
                            'label'               => esc_html__('Dots Color', 'cetara'),
                            'custom_label'        => esc_html__('Custom Dots Color', 'cetara'),
                            'custom_selector'     => '.kng-swiper-dots-color-custom ul.kng-swiper-dot li:not(.slick-active):not(:hover) button:before',
                            'custom_selector_tag' => 'background',
                            'prefix_class'        => 'kng-swiper-dots-color-',
                            'relation'            => 'and'
                        ]),
                        cetara_elementor_theme_colors([
                            'name'                => 'dots_color_hover',
                            'label'               => esc_html__('Dots Color Hover', 'cetara'),
                            'custom_label'        => esc_html__('Custom Dots Color Hover', 'cetara'),
                            'custom_selector'     => '.kng-swiper-dots-color-hover-custom ul.kng-swiper-dot li.slick-active button:before, .kng-swiper-dots-color-hover-custom ul.kng-swiper-dot li:hover button:before',
                            'custom_selector_tag' => 'background',
                            'prefix_class'        => 'kng-swiper-dots-color-hover-',
                            'relation'            => 'and'
                        ])
                    )
                ), 

                array(
                    'name'     => 'slider_general',
                    'label'    => esc_html__('Number of Slider (Max 5 slides)', 'cetara'),
                    'tab'      => 'content',
                    'controls' => array(
                        array(
                            'name'    => 'number_of_slider',
                            'label'   => esc_html__('Number of Slider','cetara'),
                            'type'    => 'select',
                            'options' => [
                                '1' => '1',
                                '2' => '2',
                                '3' => '3',
                                '4' => '4',
                                '5' => '5',
                            ],
                            'default' => ''
                        )
                    )
                ),
                array(
                    'name'     => 'content_slide_1',
                    'label'    => esc_html__('Content slide 1', 'cetara'),
                    'tab'      => 'content',
                    'controls' => array_merge(
                        cetara_elementor_content_slider_settings([
                            'prefix' => 'content_slide_1_'
                        ]),
                    ),
                    'condition'    => [
                        'number_of_slider' => ['1','2','3','4','5']
                    ]
                ),
                array(
                    'name'     => 'content_slide_2',
                    'label'    => esc_html__('Content slide 2', 'cetara'),
                    'tab'      => 'content',
                    'controls' => array_merge(
                        cetara_elementor_content_slider_settings([
                            'prefix' => 'content_slide_2_'
                        ]),
                    ),
                    'condition'    => [
                        'number_of_slider' => ['2','3','4','5']
                    ]
                ),
                array(
                    'name'     => 'content_slide_3',
                    'label'    => esc_html__('Content slide 3', 'cetara'),
                    'tab'      => 'content',
                    'controls' => array_merge(
                        cetara_elementor_content_slider_settings([
                            'prefix' => 'content_slide_3_'
                        ]),
                    ),
                    'condition'    => [
                        'number_of_slider' => ['3','4','5']
                    ]
                ),
                array(
                    'name'     => 'content_slide_4',
                    'label'    => esc_html__('Content slide 4', 'cetara'),
                    'tab'      => 'content',
                    'controls' => array_merge(
                        cetara_elementor_content_slider_settings([
                            'prefix' => 'content_slide_4_'
                        ]),
                    ),
                    'condition'    => [
                        'number_of_slider' => ['4','5']
                    ]
                ),
                array(
                    'name'     => 'content_slide_5',
                    'label'    => esc_html__('Content slide 5', 'cetara'),
                    'tab'      => 'content',
                    'controls' => array_merge(
                        cetara_elementor_content_slider_settings([
                            'prefix' => 'content_slide_5_'
                        ]),
                    ),
                    'condition'    => [
                        'number_of_slider' => ['5']
                    ]
                ),
                array(
                    'name'     => 'static_slide_1',
                    'label'    => esc_html__('Image Layers in slide 1', 'cetara'),
                    'tab'      => 'content',
                    'controls' => array_merge(
                        cetara_elementor_layers_img_settings([
                            'prefix' => 'static_slide_1_img_layer_1_'
                        ]),
                        cetara_elementor_layers_img_settings([
                            'prefix' => 'static_slide_1_img_layer_2_'
                        ]),
                        cetara_elementor_layers_img_settings([
                            'prefix' => 'static_slide_1_img_layer_3_'
                        ]),
                        cetara_elementor_layers_img_settings([
                            'prefix' => 'static_slide_1_img_layer_4_'
                        ]),
                        cetara_elementor_layers_img_settings([
                            'prefix' => 'static_slide_1_img_layer_5_'
                        ])
                    ),
                    'condition'    => [
                        'number_of_slider' => ['1','2','3','4','5']
                    ]
                ),
                array(
                    'name'     => 'static_slide_2',
                    'label'    => esc_html__('Image Layers in slide 2', 'cetara'),
                    'tab'      => 'content',
                    'controls' => array_merge(
                        cetara_elementor_layers_img_settings([
                            'prefix' => 'static_slide_2_img_layer_1_'
                        ]),
                        cetara_elementor_layers_img_settings([
                            'prefix' => 'static_slide_2_img_layer_2_'
                        ]),
                        cetara_elementor_layers_img_settings([
                            'prefix' => 'static_slide_2_img_layer_3_'
                        ]),
                        cetara_elementor_layers_img_settings([
                            'prefix' => 'static_slide_2_img_layer_4_'
                        ]),
                        cetara_elementor_layers_img_settings([
                            'prefix' => 'static_slide_2_img_layer_5_'
                        ])
                    ),
                    'condition'    => [
                        'number_of_slider' => ['2','3','4','5']
                    ]
                ),
                array(
                    'name'     => 'static_slide_3',
                    'label'    => esc_html__('Image Layers in slide 3', 'cetara'),
                    'tab'      => 'content',
                    'controls' => array_merge(
                        cetara_elementor_layers_img_settings([
                            'prefix' => 'static_slide_3_img_layer_1_'
                        ]),
                        cetara_elementor_layers_img_settings([
                            'prefix' => 'static_slide_3_img_layer_2_'
                        ]),
                        cetara_elementor_layers_img_settings([
                            'prefix' => 'static_slide_3_img_layer_3_'
                        ]),
                        cetara_elementor_layers_img_settings([
                            'prefix' => 'static_slide_3_img_layer_4_'
                        ]),
                        cetara_elementor_layers_img_settings([
                            'prefix' => 'static_slide_3_img_layer_5_'
                        ])
                    ),
                    'condition'    => [
                        'number_of_slider' => ['3','4','5']
                    ]
                ),
                array(
                    'name'     => 'static_slide_4',
                    'label'    => esc_html__('Image Layers in slide 4', 'cetara'),
                    'tab'      => 'content',
                    'controls' => array_merge(
                        cetara_elementor_layers_img_settings([
                            'prefix' => 'static_slide_4_img_layer_1_'
                        ]),
                        cetara_elementor_layers_img_settings([
                            'prefix' => 'static_slide_4_img_layer_2_'
                        ]),
                        cetara_elementor_layers_img_settings([
                            'prefix' => 'static_slide_4_img_layer_3_'
                        ]),
                        cetara_elementor_layers_img_settings([
                            'prefix' => 'static_slide_4_img_layer_4_'
                        ]),
                        cetara_elementor_layers_img_settings([
                            'prefix' => 'static_slide_4_img_layer_5_'
                        ])
                    ),
                    'condition'    => [
                        'number_of_slider' => ['4','5']
                    ]
                ),
                array(
                    'name'     => 'static_slide_5',
                    'label'    => esc_html__('Image Layers in slide 5', 'cetara'),
                    'tab'      => 'content',
                    'controls' => array_merge(
                        cetara_elementor_layers_img_settings([
                            'prefix' => 'static_slide_5_img_layer_1_'
                        ]),
                        cetara_elementor_layers_img_settings([
                            'prefix' => 'static_slide_5_img_layer_2_'
                        ]),
                        cetara_elementor_layers_img_settings([
                            'prefix' => 'static_slide_5_img_layer_3_'
                        ]),
                        cetara_elementor_layers_img_settings([
                            'prefix' => 'static_slide_5_img_layer_4_'
                        ]),
                        cetara_elementor_layers_img_settings([
                            'prefix' => 'static_slide_5_img_layer_5_'
                        ])
                    ),
                    'condition'    => [
                        'number_of_slider' => ['5']
                    ]
                ),     
            )
        )
    ),
    get_template_directory() . '/elements/classes/'
);