<?php
// Register Quick Contact Widget
kng_add_custom_widget(
    array(
		'name'       => 'kng_socials',
		'title'      => esc_html__( 'KNG Social', 'cetara' ),
		'icon'       => 'eicon-social-icons',
		'categories' => array('kngtheme-core'),
		'scripts'    => array(),
		'params'     => array(
            'sections' => array(
                array(
					'name'     => 'layout_section',
					'label'    => esc_html__( 'Layout', 'cetara' ),
					'tab'      => 'layout',
					'controls' => array(
						cetara_elementor_row_align(),
                        array(
							'name'    => 'layout',
							'label'   => esc_html__( 'Templates', 'cetara' ),
							'type'    => 'layoutcontrol',
							'default' => '1',
							'options' => [
                                '1' => [
                                    'label' => esc_html__( 'Layout 1', 'cetara' ),
                                    'image' => get_template_directory_uri() . '/elements/el-widgets/layouts/kng_socials-1.jpg'
                                ] 
                            ],
                            'prefix_class' => 'kng-socials-layout-'
                        ),
                    ),
                ),
                array(
					'name'     => 'social_section',
					'label'    => esc_html__( 'Socials Settings', 'cetara' ),
					'tab'      => 'content',
					'controls' => array_merge(
						array(
	                        array(
								'name'     => 'social_list',
								'label'    => esc_html__( 'Social Lists', 'cetara' ),
								'type'     => 'repeater',
								'controls' => array_merge(
									array(
		                                array(
											'name'        => 'social_name',
											'label'       => esc_html__( 'Name', 'cetara' ),
											'type'        => 'text',
											'label_block' => true,
		                                ),
		                                array(
											'name'        => 'social_link',
											'label'       => esc_html__( 'Link', 'cetara' ),
											'type'        => 'url',
											'placeholder' => esc_html__('https://your-link.com', 'cetara' ),
											'label_block' => true,
		                                ),
		                                array(
											'name'             => 'social_icon',
											'label'            => esc_html__( 'Icon', 'cetara' ),
											'type'             => 'icons',
											'fa4compatibility' => 'social',
											'default'          => [],
				                        )
		                            )
	                            ),
	                            'default' => [
	                                [
										'social_name' => 'Facebook',
										'social_link' => [
											'url'         => 'https://facebook.com',
											'is_external' => 'on'
										],
										'social_icon' => [
											'value'   => 'kngi-facebook',
											'library' => 'kngi',
										]
	                                ],
	                                [
										'social_name' => 'Twitter',
										'social_link' => [
											'url'         => 'https://twitter.com',
											'is_external' => 'on'
										],
										'social_icon' => [
											'value'   => 'kngi-twitter-circle',
											'library' => 'kngi',
										]
	                                ],
	                                [
										'social_name' => 'Linkedin',
										'social_link' => [
											'url'         => 'https://linkedin.com',
											'is_external' => 'on'
										],
										'social_icon' => [
											'value'   => 'kngi-linkedin-circle',
											'library' => 'kngi',
										]
	                                ]
	                            ],
	                            'title_field' => '{{{ elementor.helpers.renderIcon( this, social_icon, {}, "i", "panel" ) || \'<i class="{{ icon }}" aria-hidden="true"></i>\' }}} {{{ social_name }}}'
	                        )
						),
						array(
							array(
								'name'    => 'social_shape',
								'label'   => esc_html__( 'Shape', 'cetara' ),
								'type'    => 'select',
								'default' => '',
								'options' => [
									''        => esc_html__('Default', 'cetara'),
									'rounded' => esc_html__( 'Rounded', 'cetara' ),
									'square'  => esc_html__( 'Square', 'cetara' ),
									'circle'  => esc_html__( 'Circle', 'cetara' ),
								],
								'prefix_class' => 'kng-shape-',
				            ),
				            array(
								'name'       => 'social_shape_round',
								'label'      => esc_html__( 'Icon Rounded', 'cetara' ),
								'type'       => 'dimensions',
								'size_units' => [ 'px', '%' ],
								'selectors'  => [
	                                '{{WRAPPER}} a, {{WRAPPER}} .kng-icon-wrap' => 'border-radius: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};'
	                            ],
	                            'condition' => [
                                    'social_shape'    => ['rounded']                            
                                ],
				            ),
							array(
				                'name'  => 'social_size',
				                'label' => esc_html__( 'Size', 'cetara' ),
				                'type'  => 'slider',
				                'range' => [
				                    'px' => [
				                        'min' => 20,
				                        'max' => 200,
				                    ],
				                ],
				                'default' => [
									'size' => '',
								],
				                'selectors' => [
				                    '{{WRAPPER}} .kng-social-item' => 'width: {{SIZE}}{{UNIT}}; height: {{SIZE}}{{UNIT}}; line-height: {{SIZE}}{{UNIT}};',
				                ]
				            )
	                    ),
	                    array(	
							array(
				                'name'  => 'social_icon_size',
				                'label' => esc_html__( 'Icon Size', 'cetara' ),
				                'type'  => 'slider',
				                'range' => [
				                    'px' => [
				                        'min' => 10,
				                        'max' => 50,
				                    ],
				                ],
				                'default' => [
									'size' => '',
								],
				                'selectors' => [
				                    '{{WRAPPER}} .kng-social-item a' => 'font-size: {{SIZE}}{{UNIT}};',
				                ]
				            )
	                    ),
						cetara_elementor_theme_colors([
							'name'            => 'social_icon_color',
							'label'           => esc_html__('Icon Color','cetara'),
							'custom_name'     => 'social_icon_color_custom',
							'custom_label'    => esc_html__('Custom Icon Color','cetara'),
							'custom_selector' => '.kng-social-item a'
						]),
						cetara_elementor_theme_colors([
							'name'            => 'social_icon_color_hover',
							'label'           => esc_html__('Hover Color','cetara'),
							'custom_name'     => 'social_icon_color_hover_custom',
							'custom_label'    => esc_html__('Custom Hover Color','cetara'),
							'custom_selector' => '.kng-social-item a:hover'
						]),
                        cetara_elementor_theme_colors([
							'name'            => 'social_bg_color',
							'label'           => esc_html__('Background Color','cetara'),
							'custom_name'     => 'social_bg_color_custom',
							'custom_label'    => esc_html__('Custom Background Color','cetara'),
							'custom_selector' => '.kng-social-item'
						]),
						cetara_elementor_theme_colors([
							'name'                => 'social_bg_color_hover',
							'label'               => esc_html__('Background Hover Color','cetara'),
							'custom_name'         => 'social_bg_color_hover_custom',
							'custom_label'        => esc_html__('Custom Background Hover Color','cetara'),
							'custom_selector'     => '.kng-social-item:hover',
							'custom_selector_tag' => 'background-color'
						])
                    )
                )
            )
        )
    ),
    get_template_directory() . '/elements/classes/'
);