<?php
// Register Video Player Widget
kng_add_custom_widget(
    array(
        'name'       => 'kng_video',
        'title'      => esc_html__('KNG Video', 'cetara' ),
        'icon'       => 'eicon-play',
        'categories' => array('kngtheme-core'),
        'scripts'    => array(
            'jquery',
            'magnific-popup'
        ),
        'styles'     => array(
            'magnific-popup'
        ),
        'params'     => array(
            'sections' => array(
                array(
                    'name' => 'layout_section',
                    'label' => esc_html__('Layout', 'cetara' ),
                    'tab' => 'layout',
                    'controls' => array(
                        array(
                            'name'    => 'layout',
                            'label'   => esc_html__('Templates', 'cetara' ),
                            'type'    => 'layoutcontrol',
                            'default' => '1',
                            'options' => [
                                '1' => [
                                    'label' => esc_html__('Layout 1', 'cetara' ),
                                    'image' => get_template_directory_uri() . '/elements/el-widgets/layouts/kng_video-1.jpg'
                                ]
                            ],
                            'prefix_class' => 'kng-video-layout-'
                        )
                    )
                ),
                array(
                    'name'     => 'video_section',
                    'label'    => esc_html__('Video', 'cetara' ),
                    'tab'      => 'content',
                    'controls' => array_merge(
                        cetara_elementor_button_video_settings(),
                        array(                         
                            array(
                                'name'             => 'play_icon_icon',
                                'label'            => esc_html__( 'Play Icon', 'cetara' ),
                                'type'             => 'icons',
                                'default'          => [
                                    'library'   => 'kngi',
                                    'value'     => 'kngi-play'
                                ] 
                            ),
                            array(
                                'name'    => 'video_play_btn_position',
                                'label'   => esc_html__('Position', 'cetara' ),
                                'type'    => 'select',
                                'options' => [
                                    ''              => esc_html__('Default','cetara'),
                                    'top-left'      => esc_html__('Top Left','cetara'),
                                    'top-center'    => esc_html__('Top Center','cetara'),
                                    'top-right'     => esc_html__('Top Right','cetara'),
                                    'center-left'   => esc_html__('Center Left','cetara'),
                                    'center-center' => esc_html__('Center Center','cetara'),
                                    'center-right'  => esc_html__('Center Right','cetara'),
                                    'bottom-left'   => esc_html__('Bottom Left','cetara'),
                                    'bottom-center' => esc_html__('Bottom Center','cetara'),
                                    'bottom-right'  => esc_html__('Bottom Right','cetara')
                                ]
                            )
                        )
                    )
                ),
                array(
                    'name'     => 'image_section',
                    'label'    => esc_html__('Image Overlay', 'cetara' ),
                    'tab'      => 'content',
                    'controls' => array(
                        array(
                            'name'    => 'video_image_overlay',
                            'label'   => esc_html__( 'Choose Image', 'cetara' ),
                            'type'    => 'media',
                            'dynamic' => [
                                'active' => true,
                            ],
                            'default' => [
                                'url' => \Elementor\Utils::get_placeholder_image_src()
                            ]
                        ),
                        array(
                            'name'         => 'video_image_overlay_size',
                            'type'         => \Elementor\Group_Control_Image_Size::get_type(),
                            'control_type' => 'group',
                            'default'      => 'full',
                            'separator'    => 'none',
                        )
                    )
                ),
                array(
                    'name'     => 'heading_section',
                    'label'    => esc_html__( 'Heading', 'cetara' ),
                    'tab'      => 'content',
                    'controls' => array_merge(
                        cetara_elementor_text_settings([
                            'name'     => 'heading_text',
                            'selector' => '.kng-heading',
                            'default'  => ''
                        ]),
                        cetara_elementor_theme_colors([
                            'name'                => 'heading_bg',
                            'label'               => esc_html__('Background Color','cetara'),
                            'custom_name'         => 'heading_bg_custom',
                            'custom_label'        => esc_html__('Custom Background Color','cetara'),
                            'custom_selector'     => '.kng-video-title',
                            'custom_selector_tag' => 'background-color'
                        ])
                    )
                ),
                array(
                    'name'     => 'desc_section',
                    'label'    => esc_html__( 'Description', 'cetara' ),
                    'tab'      => 'content',
                    'controls' => array_merge(
                        cetara_elementor_text_settings([
                            'name'     => 'description_text',
                            'selector' => '.kng-desc'
                        ])
                    )
                )
            )
        )
    ),
    get_template_directory() . '/elements/classes/'
);