<?php
$default_settings = [
    'active_section' => '',
    'kng_accordion'  => '',
    'main_icon'      => 'fal fa-plus',
    'icon_active'    => 'fal fa-minu',
    'title_html_tag' => 'div'
];
$settings = array_merge($default_settings, $settings);
extract($settings);
$html_id = kng_get_element_id($settings);
$active_section = intval($active_section);
$accordions = $widget->get_settings('kng_accordion');
$is_new = \Elementor\Icons_Manager::is_migration_allowed();

$widget->add_render_attribute( 'heading', 'class', 'kng-heading');
?>
<div id="<?php echo esc_attr($html_id); ?>" class="kng-accordion layout-1">
    <div <?php kng_print_html($widget->get_render_attribute_string( 'heading' ));?>><?php 
        kng_print_html($widget->get_setting('heading', ''));
    ?></div>
    <?php foreach ($accordions as $key => $value):
        $is_active     = ($key + 1) == $active_section;
        $_id           = isset($value['_id']) ? $value['_id'] : '';
        $ac_title      = isset($value['ac_title']) ? $value['ac_title'] : '';
        $ac_title_icon = isset($value['ac_title_icon']) ? $value['ac_title_icon'] : '';
        $ac_content    = isset($value['ac_content']) ? $value['ac_content'] : '';
        $title_key     = $widget->get_repeater_setting_key( 'ac_title', 'kng_accordion', $key );
        $widget->add_render_attribute( $title_key, [
            'class' => [ 'kng-ac-title-text col' ],
        ] );
        $widget->add_inline_editing_attributes( $title_key, 'basic' );

        $content_key = $widget->get_repeater_setting_key( 'ac_content', 'kng_accordion', $key );
        $widget->add_render_attribute( $content_key, [
            'id' => $_id,
            'class' => [ 'kng-ac-content' ],
        ] );
        if($is_active){
            $widget->add_render_attribute( $content_key, 'style', 'display:block;' );
        }
        $widget->add_inline_editing_attributes( $content_key, 'basic' );
 
    ?>
        <div class="kng-accordion-item kng-transition <?php echo esc_attr($is_active?'active':''); ?> kng-radius-8" data-target="<?php echo esc_attr('#' . $_id); ?>">
            <<?php kng_print_html($title_html_tag); ?> class="kng-ac-title row gutters-20 justify-content-between">
                <a <?php kng_print_html($widget->get_render_attribute_string( $title_key )); ?>><?php 
                    if($is_new){
                        \Elementor\Icons_Manager::render_icon(
                            $ac_title_icon,
                            [
                                'aria-hidden' => 'true',
                                'class'       => 'ac-title-icon'
                            ]
                        );
                    }
                    echo esc_html($ac_title); 
                ?></a>
                <span class="kng-ac-title-icon col-auto">
                    <i class="kng-ac-title-icon-close fal fa-plus"></i>
                    <i class="kng-ac-title-icon-open fal fa-minus"></i>     
                </span>
            </<?php kng_print_html($title_html_tag); ?>>
            <div <?php kng_print_html($widget->get_render_attribute_string( $content_key )); ?>><?php kng_print_html(nl2br($ac_content)); ?></div>
        </div>
    <?php
        endforeach;
    ?>
</div>