<?php
$html_id = kng_get_element_id($settings);
$query_type = $widget->get_setting('query_type', 'all');
$terms  = $widget->get_setting('terms', []);
$orderby = $widget->get_setting('orderby', 'date');
$order   = $widget->get_setting('order', 'desc');
$limit   = $widget->get_setting('limit', 9);

if($query_type === 'separate')
	$post_ids = $widget->get_setting('author_ids', '');
else
	$post_ids = '';
 
extract(kng_get_posts_of_grid('authors', [
    'source'   => [],
    'orderby'  => $orderby,
    'order'    => $order,
    'limit'    => $limit,
    'terms'    => $terms,
    'taxonomy' => ['author-category'],
    'post_ids' => $post_ids,
]));
 
?>
<div class="kng-author-carousel kng-swiper-sliders" id="<?php echo esc_attr($html_id) ?>">
	<div class="kng-swiper-slider-wrap">
    	 
        <div <?php cetara_swiper_slider_settings($widget, ['class' => 'slider-indent-wrap no-shadow']); ?>>
            <?php cetara_swiper_slider_arrows_top($settings); ?>
            <div class="kng-swiper-wrapper swiper-wrapper">
             	<?php 
             		foreach ($posts as $post): 
             			$author_role       = get_post_meta($post->ID,'author_role', true );
                        $author_extra_text = get_post_meta($post->ID,'author_extra_text', true );
                        $author_socials    = get_post_meta($post->ID,'author_socials', true );
             			?>
             			<div class="kng-author-item kng-swiper-slide swiper-slide">
	             			<?php 
				            cetara_post_media([
		                        'post_id'    => $post->ID, 
		                        'size'       => 'cetara-author1',
		                        'wrap_class' => '',
		                        'img_class'  => 'w-100',
		                    ]);
		                    ?>
		                    <div class="kng-item-content-inner">
			                    <div class="kng-item-content-title h3">
					                <a href="<?php echo esc_url(get_permalink( $post->ID )); ?>"><?php echo get_the_title($post->ID); ?></a>
					            </div>
					            <?php if(!empty($author_role) || !empty($author_extra_text)): ?> 
                                    <div class="rol-extra row gutters-10 align-items-center">
                                        <span class="text-primary col-auto"><?php echo esc_html($author_role) ?></span>
                                        <span class="col-auto"><span class="kng-meta-separator"></span></span>
                                        <span class="text-heading col-auto"><?php echo esc_html($author_extra_text) ?></span>
                                    </div>
                                <?php endif; ?>
                                <div class="author-excerpt">
                                    <?php
                                        if(!empty($post->post_excerpt)){
                                            echo wp_trim_words( $post->post_excerpt, 18 , '...' );
                                        } else{
                                            $content = strip_shortcodes( $post->post_content );
                                            $content = apply_filters( 'the_content', $content );
                                            $content = str_replace(']]>', ']]&gt;', $content);
                                            echo wp_trim_words( $content, 18, '...' );
                                        }
                                    ?> 
                                </div>
				            </div>
			            </div>
			        <?php endforeach; ?>
            </div>
            <?php 
                cetara_swiper_slider_dots($settings); 
                cetara_swiper_slider_arrows($settings);
                cetara_swiper_slider_arrows_bottom($settings);
                cetara_swiper_slider_arrows_side($settings);

            ?>
            <?php if( !empty($settings['button_text']) ): ?> 
				<a class="btn-viewall btn btn-round btn-outline default" href="<?php echo esc_url($widget->get_setting('button_link','#')) ?>"><?php echo kng_print_html($widget->get_setting('button_text','')) ?></a>
			<?php endif; ?>
        </div>
    </div>
</div>