<?php 
$widget->add_render_attribute( 'wrap', 'class', 'kng-banner-wrap relative');

if(!empty($settings['bg_image']['url'])){
	$widget->add_render_attribute( 'overlay', 'style', 'background-image:url('.$settings['bg_image']['url'].');background-repeat: no-repeat;background-position: center bottom; background-size: 100% 100%;');
} 

$content_position = cetara_get_class_breakpoints($settings, [
	'prefix' => 'content_position',
	'type-prefix' => 'justify-content-',
]);

$content_align = cetara_get_class_breakpoints($settings, [
	'prefix' => 'content_align',
	'type-prefix' => 'text-',
]);

$align_self = cetara_get_class_breakpoints($settings, [
	'prefix' => 'align_self',
	'type-prefix' => 'align-self-',
]);
 
    
// large heading
$large_heading_animation = !empty($settings['large_heading_animation']) ? $settings['large_heading_animation'] : 'fadeInLeft';
$large_heading_animation_delay = !empty($settings['large_heading_animation_delay']) ? $settings['large_heading_animation_delay'] : 200;
$large_heading_color = !empty($settings['large_heading_color']) ? $settings['large_heading_color'] : 'heading';

// small heading 
$small_heading_animation = !empty($settings['small_heading_animation']) ? $settings['small_heading_animation'] : 'fadeInLeft';
$small_heading_animation_delay = !empty($settings['small_heading_animation_delay']) ? $settings['small_heading_animation_delay'] : 300;
$small_heading_color = !empty($settings['small_heading_color']) ? $settings['small_heading_color'] : 'heading';

// Description
$description_animation = !empty($settings['description_animation']) ? $settings['description_animation'] : 'fadeInLeft';
$description_animation_delay = !empty($settings['description_animation_delay']) ? $settings['description_animation_delay'] : 600;
$description_color = !empty($settings['description_color']) ? $settings['description_color'] : 'body';
 
// Build Attributes
$large_heading_attrs = [
	'class' => 'large-heading h2 heading-font-family text-'.$large_heading_color.'  kng-animate kng-invisible',
	'data-settings' => json_encode([
        'animation'      => $large_heading_animation,
        'animation_delay' => $large_heading_animation_delay
    ])
];

$small_heading_attrs = [
	'class' => 'small-heading align-items-center text-13 lh-2-46153846154 text-uppercase font-500 text-'.$small_heading_color.' kng-animate kng-invisible',
	'data-settings' => json_encode([
        'animation'      => $small_heading_animation,
        'animation_delay' => $small_heading_animation_delay
    ])
];

$description_attrs = [
	'class' => 'description text-14 text-'.$description_color.' kng-animate kng-invisible',
	'data-settings' => json_encode([
        'animation'      => $description_animation,
        'animation_delay' => $description_animation_delay
    ])
];
   
?>
<div <?php kng_print_html($widget->get_render_attribute_string( 'wrap' )); ?>>
	<div class="kng-banner-overlay kng-overlay" <?php kng_print_html($widget->get_render_attribute_string( 'overlay' )); ?>></div> 
	<?php 
	if(!empty($settings['image_position'])){
		$img1_prefix = 'static_banner_img_1_';
 		$img2_prefix = 'static_banner_img_2_';

 		if(!empty($settings[$img1_prefix.'image']['url'])){
	 		$img1_attrs = [];
			$img1_cls = ['kng-banner-static absolute'];
			$img1_cls[] = $img1_prefix.'idx ';
			$img1_cls[] = cetara_elementor_responsive_render($settings, ['prefix' => $img1_prefix]);

			$img1_attrs['data-settings'] = '';
			if ( $settings[$img1_prefix.'animation'] ) {
				$img1_cls[] = 'kng-animate kng-invisible';
				$img1_attrs['data-settings'] = json_encode([
			        'animation'      => $settings[$img1_prefix.'animation'],
			        'animation_delay' => $settings[$img1_prefix.'delay']
			    ]);
			}
			$img1_attrs['class'] = trim(implode(' ', $img1_cls));
			cetara_elementor_image_render($settings,$widget, [
				'id'     => $img1_prefix.'image',
				'before' => '<div class="'.esc_attr($img1_attrs['class']).'" data-settings="'.esc_attr($img1_attrs['data-settings']).'">',
				'after'  => '</div>'
			]);
		}

		if(!empty($settings[$img2_prefix.'image']['url'])){
	 		$img2_attrs = [];
			$img2_cls = ['kng-banner-static absolute'];
			$img2_cls[] = $img2_prefix.'idx ';
			$img2_cls[] = cetara_elementor_responsive_render($settings, ['prefix' => $img2_prefix]);

			$img2_attrs['data-settings'] = '';
			if ( $settings[$img2_prefix.'animation'] ) {
				$img2_cls[] = 'kng-animate kng-invisible';
				$img2_attrs['data-settings'] = json_encode([
			        'animation'      => $settings[$img2_prefix.'animation'],
			        'animation_delay' => $settings[$img2_prefix.'delay']
			    ]);
			}
			$img2_attrs['class'] = trim(implode(' ', $img2_cls));
			cetara_elementor_image_render($settings,$widget, [
				'id'     => $img2_prefix.'image',
				'before' => '<div class="'.esc_attr($img2_attrs['class']).'" data-settings="'.esc_attr($img2_attrs['data-settings']).'">',
				'after'  => '</div>'
			]);
		}
	}
	?>
	<div class="kng-banner-content-wrap h-100 d-flex <?php echo esc_attr(trim(implode(' ', $content_position))) ?> <?php echo esc_attr(implode(' ', $content_align)) ?>">
		<div class="kng-banner-content relative <?php echo esc_attr(implode(' ', $align_self)) ?>">
			<div class="kng-banner-content-inner">
				<?php if(!empty($settings['large_heading'])): ?>
					<div class="<?php echo esc_attr($large_heading_attrs['class']); ?>" data-settings="<?php echo esc_attr($large_heading_attrs['data-settings']);?>"><?php kng_print_html( nl2br($settings['large_heading']));?></div>
				<?php endif; ?>
				<?php if(!empty($settings['small_heading'])): ?>
					<div class="<?php echo esc_attr($small_heading_attrs['class']); ?>" data-settings="<?php echo esc_attr($small_heading_attrs['data-settings']);?>">
					<?php kng_print_html($settings['small_heading']);?>
					</div>
				<?php endif; ?>
				<?php if(!empty($settings['description'])): ?>
					<div class="<?php echo esc_attr($description_attrs['class']); ?>" data-settings="<?php echo esc_attr($description_attrs['data-settings']);?>"><?php 
						kng_print_html(nl2br($settings['description']));
					?></div>
				<?php endif; ?>
				<?php 
				cetara_elementor_button_render($settings, [
	            	'prefix'	   => 'banner_btn',
	                'class'        => 'banner-btn1'
	            ]);
	         	?>
			</div>
		</div>
		<?php  if(empty($settings['image_position']) && !empty($settings['image1']['url'])): ?>
			<div class="kng-banner-imgs relative">
			<?php 
				$img1_attrs = [];
				$img1_cls = ['kng-img1'];
				$img1_attrs['data-settings'] = '';
				if ( $settings['image1_animation'] ) {
					$img1_cls[] = 'kng-animate kng-invisible';
					$img1_attrs['data-settings'] = json_encode([
				        'animation'      => $settings['image1_animation'],
				        'animation_delay' => $settings['image1_delay']
				    ]);
				}
				$img1_attrs['class'] = trim(implode(' ', $img1_cls));
				cetara_elementor_image_render($settings,$widget, [
					'id'     => 'image1',
					'before' => '<div class="'.esc_attr($img1_attrs['class']).'" data-settings="'.esc_attr($img1_attrs['data-settings']).'">',
					'after'  => '</div>'
				]);
			?>
			</div>
		<?php endif;?>
		 
	</div>
</div> 
			 