<?php 
$widget->add_render_attribute( 'wrap', 'class', 'kng-category-box-wrap relative');

if(!empty($settings['bg_image']['url'])){
	$widget->add_render_attribute( 'overlay', 'style', 'background-image:url('.$settings['bg_image']['url'].');background-repeat: no-repeat;background-position: top right;');
} 
  
// large heading
$large_heading_animation = !empty($settings['large_heading_animation']) ? $settings['large_heading_animation'] : 'fadeInUp';
$large_heading_animation_delay = !empty($settings['large_heading_animation_delay']) ? $settings['large_heading_animation_delay'] : 200;
$large_heading_color = !empty($settings['large_heading_color']) ? $settings['large_heading_color'] : 'heading';

// small heading 
$cat_item_title_animation = !empty($settings['small_heading_animation']) ? $settings['small_heading_animation'] : 'fadeInUp';
$cat_item_title_animation_delay = !empty($settings['small_heading_animation_delay']) ? $settings['small_heading_animation_delay'] : 150;
$cat_item_title_color = !empty($settings['cat_item_title_color']) ? $settings['cat_item_title_color'] : 'heading';
 
 
// Build Attributes
$large_heading_attrs = [
	'class' => 'large-heading text-20 lh-1-8 mb-12 text-'.$large_heading_color.' kng-animate kng-invisible',
	'data-settings' => json_encode([
        'animation'      => $large_heading_animation,
        'animation_delay' => $large_heading_animation_delay
    ])
];

$cat_title_attrs = [
	'class' => 'small-heading text-'.$cat_item_title_color.' kng-animate kng-invisible'  
];
 
$cat_items = $widget->get_settings( 'cat_items',[] );

?>
<div <?php kng_print_html($widget->get_render_attribute_string( 'wrap' )); ?>>
	<div class="kng-box-overlay kng-overlay" <?php kng_print_html($widget->get_render_attribute_string( 'overlay' )); ?>></div> 
	<div class="kng-cat-content-wrap d-flex gutter-30 gutter-grid justify-content-between">
	 	<div class="kng-cat-content">
	 		<?php if(!empty($widget->get_settings( 'large_heading','' ))): ?>
	 		<div class="<?php echo esc_attr($large_heading_attrs['class']); ?>" data-settings="<?php echo esc_attr($large_heading_attrs['data-settings']);?>"><?php kng_print_html( nl2br($widget->get_settings( 'large_heading','' ))) ?></div>
	 		<?php endif; ?>
	 		<?php if(count($cat_items) > 0): ?>
	 		<ul class="cat-list-item">
	 			<?php
	 			$d = 0;
 				foreach ($cat_items as $cat): 
 					$d++;
 					$cat_title_attrs['data-settings'] = json_encode([
				        'animation'      => $cat_item_title_animation,
				        'animation_delay' => (int)$cat_item_title_animation_delay + ($d * 80)
				    ]);
 				?>
	 			<li class="<?php echo esc_attr($cat_title_attrs['class']); ?>" data-settings="<?php echo esc_attr($cat_title_attrs['data-settings']);?>"><a class="cat-item-title" href="<?php echo esc_url($cat['cat_item_link']) ?>" ><?php kng_print_html($cat['cat_item_title']); ?></a></li>
	 			<?php endforeach; ?>
	 		</ul>
	 		<?php endif; ?>
	 	</div>
	 	<?php 
	 	if(!empty($settings['image']['url'])){
	 		?>
	 		<div class="kng-cat-img">
	 			<?php 
		 		$img_attrs = [];
				$img_cls = ['cat-img']; 
				$img_attrs['data-settings'] = '';
				if ( $settings['image_animation'] ) {
					$img_cls[] = 'kng-animate kng-invisible';
					$img_attrs['data-settings'] = json_encode([
				        'animation'      => $settings['image_animation'],
				        'animation_delay' => $settings['image_delay']
				    ]);
				}
				$img_attrs['class'] = trim(implode(' ', $img_cls));
				cetara_elementor_image_render($settings,$widget, [
					'id'     => 'image',
					'before' => '<div class="'.esc_attr($img_attrs['class']).'" data-settings="'.esc_attr($img_attrs['data-settings']).'">',
					'after'  => '</div>'
				]);
				?>
			</div>
		<?php }?>
	 	  
	</div> 
</div> 
			 