<?php 
// Heading
$heading_tag = $widget->get_setting('heading_text_tag', 'h2');
$widget->add_render_attribute( 'heading', 'class', 'kng-heading empty-none text-30 mt-n5 mb-5');
$widget->add_render_attribute( 'heading', 'class', 'text-'.$widget->get_setting('heading_text_color', 'heading'));
if ( $settings['heading_text_animation'] ) {
    $widget->add_render_attribute( 'heading', 'class', 'elementor-invisible');
    $widget->add_render_attribute( 'heading', 'class', 'animated-'.$widget->get_setting('heading_text_animation_duration', ''));
    $widget->add_render_attribute( 'heading', 'data-settings', json_encode([
        '_animation'      => $widget->get_setting('heading_text_animation', ''),
        'animation_delay' => $widget->get_setting('heading_text_animation_delay', '')
    ]));
}
// Countdown Bar
$countdownbar_tag = $widget->get_setting('countdownbar_text_tag', 'div');
$widget->add_render_attribute( 'countdownbar', 'class', 'kng-countdownbar empty-none');
$widget->add_render_attribute( 'countdownbar', 'class', 'text-'.$widget->get_setting('countdownbar_text_color', 'heading'));
if ( $settings['countdownbar_text_animation'] ) {
    $widget->add_render_attribute( 'countdownbar', 'class', 'elementor-invisible');
    $widget->add_render_attribute( 'countdownbar', 'class', 'animated-'.$widget->get_setting('countdownbar_text_animation_duration', ''));
    $widget->add_render_attribute( 'countdownbar', 'data-settings', json_encode([
        '_animation'      => $widget->get_setting('countdownbar_text_animation', ''),
        'animation_delay' => $widget->get_setting('countdownbar_text_animation_delay', '')
    ]));
}
// Countdown Time
if(empty($settings['time_to'])) $settings['time_to'] = date('Y-m-d H:i', strtotime("+6 days 2 hours 56 minutes 50 seconds"));
// Number
$number_classes = 'inner-number';
$number_classes .= ' text-'.$widget->get_setting('number_color','accent');
// Number Text
$text_classes = 'inner-text';
$text_classes .= ' text-'.$widget->get_setting('number_text_color','heading');
?>
<div class="<?php echo cetara_elementor_align_class($settings);?>">
    <<?php kng_print_html($heading_tag);?> <?php kng_print_html($widget->get_render_attribute_string( 'heading' )); ?>><?php 
        kng_print_html($widget->get_setting('heading_text'));
    ?></<?php kng_print_html($heading_tag);?>>
    <div class="kng-heading-extra-space extra-space"></div>
    <div class="kng-countdown">
        <div class="kng-countdown-bar row align-items-center <?php echo cetara_elementor_align_class($settings, ['prefix' => 'justify-content-']);?>" data-time="<?php echo esc_attr($settings['time_to']); ?>">
            <div class="time-item-text col-auto">
                <<?php kng_print_html($countdownbar_tag);?> <?php kng_print_html($widget->get_render_attribute_string( 'countdownbar' )); ?>><?php
                    printf('%s', $settings['countdownbar_text']);
                ?></<?php kng_print_html($countdownbar_tag);?>>
                <div class="kng-heading-extra-space extra-space"></div>
            </div>
            <div class="time-item col-auto">
                <div class="time-item-inner">
                    <div class="<?php echo implode(' ', ['day', $number_classes]);?>"></div>
                </div>
            </div>
            <div class="time-item col-auto">
                <div class="time-item-inner">
                    <div class="<?php echo implode(' ', ['hour', $number_classes]);?>"></div>
                </div>
            </div>
            <div class="time-item col-auto">
                <div class="time-item-inner">
                    <div class="<?php echo implode(' ', ['minute', $number_classes]);?>"></div>
                </div>
            </div>
            <div class="time-item col-auto">
                <div class="time-item-inner">
                    <div class="<?php echo implode(' ', ['second', $number_classes]);?>"></div>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="empty-none row gutters-grid pt-40 <?php echo cetara_elementor_align_class($settings, ['prefix' => 'justify-content-']);?>"><?php 
    cetara_elementor_button_render($settings, [
        'prefix' => 'button1_',
        'class' => 'col-auto'
    ]);
    cetara_elementor_button_render($settings, [
        'prefix' => 'button2_',
        'class' => 'col-auto'
    ]);
?></div>
