<?php
$speakers = $widget->get_setting('speakers', []);
?>
 
<div class="kng-speaker-wrap">
    <div class="kng-tabs-title">
        <div class="kng-tab-title active" data-target="#kng-tab-content-speaker"><?php echo esc_html__('Speakers','cetara') ?></div>
        <div class="kng-tab-title" data-target="#kng-tab-content-map"><?php echo esc_html__('Map','cetara') ?></div>
    </div>
    <div class="kng-tabs-content">
        
        <div class="kng-tab-content speaker-content active" id="kng-tab-content-speaker">
            <div class="row">
            <?php foreach ($speakers as $speaker): ?>
                <?php 
                $image = isset($speaker['selected_img']) ? $speaker['selected_img'] : [];
                $img = kng_get_image_by_size( array(
                    'attach_id'  => $image['id'],
                    'thumb_size' => 'cetara-author',
                    'class'      => '',
                ));
                if($img)
                    $thumbnail = $img['thumbnail'];
                else if(!empty($speaker['selected_img']['url']))
                    $thumbnail = '<img src="' . esc_attr( $speaker['selected_img']['url'] ) . '" alt="'.esc_attr($speaker['name']).'"/>';
                else
                    $thumbnail = '';

                ?>
                <div class="kng-speaker-item col-sm-6 col-md-4">
                    <div class="speaker-item-inner">
                        <?php if(!empty($thumbnail)): ?>
                            <?php if(!empty($speaker['custom_link']['url'])) 
                                echo '<a class="kng-post-image" href="'.$speaker['custom_link']['url'].'" title="'.$speaker['name'].'">'; 
                                else echo '<div class="kng-post-image" onclick="">';
                            ?>
                            <?php kng_print_html($thumbnail);?>
                            <?php if(!empty($speaker['custom_link']['url'])) echo '</a>'; 
                                else echo '</div>';
                            ?>
                        <?php endif; ?>
                        <?php if(!empty($speaker['name'])): ?>
                            <?php if(!empty($speaker['custom_link']['url'])) 
                                echo '<a class="kng-post-image" href="'.$speaker['custom_link']['url'].'" title="'.$speaker['name'].'">';  ?>
                                <h3 class="speaker-name"><?php echo esc_html($speaker['name']) ?></h3>
                            <?php if(!empty($speaker['custom_link']['url'])) echo '</a>'; ?>
                        <?php endif; ?>
                        <?php if(!empty($speaker['role']) || !empty($speaker['extra_text'])): ?>
                            <div class="rol-extra d-flex">
                                <span class="rol text-primary"><?php echo esc_html($speaker['role']) ?></span>
                                <span class="extra-text"><?php echo esc_html($speaker['extra_text']) ?></span>
                            </div>
                        <?php endif; ?>
                        <?php if(!empty($speaker['description'])): ?>
                            <div class="desc"><?php kng_print_html(nl2br($speaker['description'])) ?></div>
                        <?php endif; ?>  
                        <?php if(!empty($speaker['social'])): ?>  
                            <div class="kng-speaker-social d-flex gutters-18">
                                <?php 
                                $speaker_socials = json_decode($speaker['social'], true);
                                foreach ($speaker_socials as $speaker_social): ?>
                                    <a href="<?php echo esc_url($speaker_social['url']); ?>">
                                        <span class="<?php echo esc_attr($speaker_social['icon']); ?> kng-transition"></span>
                                    </a>
                                <?php endforeach; ?>
                            </div>
                        <?php endif; ?>
                    </div>
                </div>
            <?php endforeach; ?>
            </div>   
        </div>
        <div class="kng-tab-content" id="kng-tab-content-map" style="opacity: 0; visibility: hidden; height: 0;">
            <div class="kng-tab-content-inner">
            <?php kng_print_html($settings['event_map']) ?>
            </div>
        </div>
    </div>
</div>