<?php
// Single 
$widget->add_render_attribute( 'single_wrap', 'class', 'kng-fancybox overflow-hidden relative '.cetara_elementor_align_class($settings));
$widget->add_render_attribute( 'single_wrap', 'class', 'bg-'.$widget->get_setting('bg_color', 'white'));
 
// Heading
$widget->add_render_attribute( 'heading', 'class', 'kng-fancy-title kng-heading h3');
$widget->add_render_attribute( 'heading', 'class', 'text-'.$widget->get_setting('title_color', 'heading'));
if ( $settings['title_animation'] ) {
    $widget->add_render_attribute( 'heading', 'class', 'kng-animate kng-invisible animated-'.$settings['title_animation_duration']);
    $widget->add_render_attribute( 'heading', 'data-settings', 
        json_encode([
            'animation'      => $settings['title_animation'],
            'animation_delay' => $settings['title_animation_delay']
        ])
    );
}

// Description
$widget->add_render_attribute( 'description', 'class', 'kng-fancy-description');
$widget->add_render_attribute( 'description', 'class', 'text-'.$widget->get_setting('desc_color', 'body'));
if ( $settings['description_animation'] ) {
    $widget->add_render_attribute( 'description', 'class', 'kng-animate kng-invisible animated-'.$settings['description_animation_duration']);
    $widget->add_render_attribute( 'description', 'data-settings', 
        json_encode([
            'animation'      => $settings['description_animation'],
            'animation_delay' => $settings['description_animation_delay']
        ])
    );
}
 
 
?>
 
<div <?php kng_print_html($widget->get_render_attribute_string('single_wrap'));?>>
    <?php 
    $img_before = '<div class="kng-fancy-img">';
    $img_after = '';
    if(!empty($settings['hyper_link']['url'])){
        $img_before .= '<a href="'.$settings['hyper_link']['url'].'">';
        $img_after .= '</a>';
    }
    $img_after .= '</div>';

    cetara_elementor_image_render($settings,$widget,[
        'id'          => 'image',
        'class'       => 'kng-fancy-img w-100 kng-radius-b-8',
        'custom_size' => '580x206',
        'before'      => $img_before,
        'after'       => $img_after
    ]);
    ?>
     
    <div class="kng-fancybox-content kng-transition">
        <?php if(!empty($widget->get_setting('title'))): ?>
        <div <?php kng_print_html($widget->get_render_attribute_string( 'heading' )); ?>><?php
            if(!empty($settings['hyper_link']['url'])) echo '<a href="'.$settings['hyper_link']['url'].'">';
            kng_print_html(nl2br($widget->get_setting('title')));
            if(!empty($settings['hyper_link']['url'])) echo '</a>';
        ?></div>
        <?php endif; ?>
        <?php if(!empty($widget->get_setting('description'))): ?>
        <div <?php kng_print_html($widget->get_render_attribute_string( 'description' )); ?>><?php
            kng_print_html(nl2br($widget->get_setting('description')));
        ?></div>
        <?php endif; ?>
    </div>
     
</div>
 



