<?php
// Single 
$widget->add_render_attribute( 'single_wrap', 'class', 'kng-fancybox relative '.cetara_elementor_align_class($settings));
$widget->add_render_attribute( 'single_wrap', 'class', 'bg-'.$widget->get_setting('bg_color', 'white'));
// Single Inner
$widget->add_render_attribute('single-wrap-inner', 'class' , 'kng-fancybox-inner kng-transition');
 
// Heading
$widget->add_render_attribute( 'heading', 'class', 'kng-fancy-title kng-heading h3');
$widget->add_render_attribute( 'heading', 'class', 'text-'.$widget->get_setting('title_color', 'heading'));
if ( $settings['title_animation'] ) {
    $widget->add_render_attribute( 'heading', 'class', 'kng-animate kng-invisible animated-'.$settings['title_animation_duration']);
    $widget->add_render_attribute( 'heading', 'data-settings', 
        json_encode([
            'animation'      => $settings['title_animation'],
            'animation_delay' => $settings['title_animation_delay']
        ])
    );
}
// Description
$widget->add_render_attribute( 'description', 'class', 'kng-fancy-description');
$widget->add_render_attribute( 'description', 'class', 'text-'.$widget->get_setting('desc_color', 'body'));
if ( $settings['description_animation'] ) {
    $widget->add_render_attribute( 'description', 'class', 'kng-animate kng-invisible animated-'.$settings['description_animation_duration']);
    $widget->add_render_attribute( 'description', 'data-settings', 
        json_encode([
            'animation'      => $settings['description_animation'],
            'animation_delay' => $settings['description_animation_delay']
        ])
    );
}

// Icon 
$widget->add_render_attribute( 'icon-wrap', 'class', 'kng-fancy-icon-wrap relative kng-transition');
 
?>
 
<div <?php kng_print_html($widget->get_render_attribute_string('single_wrap'));?>>
    <div <?php kng_print_html($widget->get_render_attribute_string('single-wrap-inner'));?>>
        <?php if(! empty( $settings['selected_icon']['value'] ) || !empty($settings['icon_image']['id'])): ?>
            <div <?php kng_print_html($widget->get_render_attribute_string('icon-wrap'));?>><?php
                switch ($widget->get_setting('icon_type','icon')) {
                    case 'img':
                        cetara_elementor_image_render($settings,$widget,[
                            'class'       => 'kng-fancy-icon',
                            'custom_size' => '12',
                        ]);
                    break;
                    case 'icon':
                        cetara_elementor_icon_render($settings,[
                            'class'        => 'kng-transition kng-fancy-icon'
                        ]);
                    break;
                }
            ?></div>
        <?php endif; ?>
        <div class="kng-fancybox-content">
            <?php if(!empty($widget->get_setting('title'))): ?>
            <div <?php kng_print_html($widget->get_render_attribute_string( 'heading' )); ?>><?php
                if(!empty($settings['hyper_link']['url'])) echo '<a href="'.$settings['hyper_link']['url'].'">';
                kng_print_html(nl2br($widget->get_setting('title')));
                if(!empty($settings['hyper_link']['url'])) echo '</a>';
            ?></div>
            <?php endif; ?>
            <?php if(!empty($widget->get_setting('description'))): ?>
            <div <?php kng_print_html($widget->get_render_attribute_string( 'description' )); ?>><?php
                kng_print_html(nl2br($widget->get_setting('description')));
            ?></div>
            <?php endif; ?>
        </div>
    </div>
</div>
 



