<?php
// Single 
// @type-prefix: justify-content-, text-,align-self-
$text_align = cetara_get_class_breakpoints($settings, [
    'prefix' => 'text_align',
    'type-prefix' => 'text-',
]);
$widget->add_render_attribute( 'single_wrap', 'class', 'kng-fancybox overflow-hidden relative '.trim( implode(' ', $text_align)));
$widget->add_render_attribute( 'single_wrap', 'class', 'bg-'.$widget->get_setting('bg_color', ''));
// Single Inner
$widget->add_render_attribute('single-wrap-inner', 'class' , 'kng-fancybox-inner relative kng-transition');

$justify_content_cls = cetara_get_class_breakpoints($settings, [
    'prefix' => 'text_align',
    'type-prefix' => 'justify-content-',
]);

// Small title
$stw_cls = 'small-title-wrap d-flex align-items-center '.implode(' ', $justify_content_cls);
$st_ds = '';
if ( $settings['small_title_animation'] ) {
    $stw_cls .= ' kng-animate kng-invisible';
    $stw_cls .= ' animated-'.$settings['small_title_animation_duration'];  
    $st_ds = json_encode([
        'animation'      => $settings['small_title_animation'],
        'animation_delay' => $settings['small_title_animation_delay']
    ]);
}
$widget->add_render_attribute( 'small-title', 'class', 'small-title');
$widget->add_render_attribute( 'small-title', 'class', 'text-'.$widget->get_setting('sub_title_color', 'heading'));

// Heading
$widget->add_render_attribute( 'heading', 'class', 'kng-fancy-title kng-heading h4');
$widget->add_render_attribute( 'heading', 'class', 'text-'.$widget->get_setting('title_color', 'heading'));
if ( $settings['title_animation'] ) {
    $widget->add_render_attribute( 'heading', 'class', 'kng-animate kng-invisible animated-'.$settings['title_animation_duration']);
    $widget->add_render_attribute( 'heading', 'data-settings', 
        json_encode([
            'animation'      => $settings['title_animation'],
            'animation_delay' => $settings['title_animation_delay']
        ])
    );
}
// Description
$widget->add_render_attribute( 'description', 'class', 'kng-fancy-description');
$widget->add_render_attribute( 'description', 'class', 'text-'.$widget->get_setting('desc_color', 'body'));
if ( $settings['description_animation'] ) {
    $widget->add_render_attribute( 'description', 'class', 'kng-animate kng-invisible animated-'.$settings['description_animation_duration']);
    $widget->add_render_attribute( 'description', 'data-settings', 
        json_encode([
            'animation'      => $settings['description_animation'],
            'animation_delay' => $settings['description_animation_delay']
        ])
    );
}
  
$widget->add_render_attribute( 'image-layer', 'class', 'kng-fancy-img-layer absolute');
if ( !empty($widget->get_setting('image_layer_animation') )) {
    $widget->add_render_attribute( 'image-layer', 'class', 'kng-animate kng-invisible animated-'.$widget->get_setting('image_layer_animation_duration'));
    $widget->add_render_attribute( 'image-layer', 'data-settings', 
        json_encode([
            'animation'      => $widget->get_setting('image_layer_animation'),
            'animation_delay' => $widget->get_setting('image_layer_animation_delay')
        ])
    );
}

$widget->add_render_attribute( 'image', 'class', 'kng-fancy-img absolute');
if ( !empty($widget->get_setting('img_animation') )) {
    $widget->add_render_attribute( 'image', 'class', 'kng-animate kng-invisible');
    $widget->add_render_attribute( 'image', 'data-settings', 
        json_encode([
            'animation'      => $widget->get_setting('img_animation'),
            'animation_delay' => $widget->get_setting('img_delay')
        ])
    );
}

$img_responsive = cetara_elementor_responsive_render($settings, ['prefix' => 'img_responsive_']);
$widget->add_render_attribute( 'image', 'class', $img_responsive);
 
$img_layer_before = '<div '. $widget->get_render_attribute_string( 'image-layer' ) .'>';
$img_layer_after = '</div>';

$img_before = '<div '. $widget->get_render_attribute_string( 'image' ) .'>';
$img_after = '';
if(!empty($settings['hyper_link']['url'])){
    $img_before .= '<a href="'.$settings['hyper_link']['url'].'">';
    $img_after .= '</a>';
}
$img_after .= '</div>';
?>
 
<div <?php kng_print_html($widget->get_render_attribute_string('single_wrap'));?>>
    <?php 
       
    cetara_elementor_image_render($settings,$widget,[
        'id'          => 'image_layer',
        'class'       => '',
        'custom_size' => 'full',
        'before'      => $img_layer_before,
        'after'       => $img_layer_after
    ]);

    cetara_elementor_image_render($settings,$widget,[
        'id'          => 'image',
        'class'       => '',
        'custom_size' => 'full',
        'before'      => $img_before,
        'after'       => $img_after
    ]);
    ?>
    <div <?php kng_print_html($widget->get_render_attribute_string('single-wrap-inner'));?>>
        <div class="kng-fancybox-content">
            <?php if(!empty($settings['small_title'])): ?>
            <div class="<?php echo esc_attr($stw_cls) ?>" data-settings="<?php echo esc_attr($st_ds) ?>"> 
                <?php 
                    cetara_elementor_icon_render($settings,[
                        'id'    => 'small_title_icon',
                        'class' => 'd-flex mr-8'
                    ]);
                ?>
                <div <?php kng_print_html($widget->get_render_attribute_string( 'small-title' )); ?>>
                    <?php kng_print_html($widget->get_setting('small_title'));?>
                </div>
            </div>
            <?php endif; ?>

            <?php if(!empty($settings['title'])): ?>
            <div <?php kng_print_html($widget->get_render_attribute_string( 'heading' )); ?>><?php
                if(!empty($settings['hyper_link']['url'])) echo '<a href="'.$settings['hyper_link']['url'].'">';
                kng_print_html(nl2br($widget->get_setting('title')));
                if(!empty($settings['hyper_link']['url'])) echo '</a>';
            ?></div>
            <?php endif; ?>

            <?php if(!empty($settings['description'])): ?>
            <div <?php kng_print_html($widget->get_render_attribute_string( 'description' )); ?>><?php
                kng_print_html(nl2br($widget->get_setting('description')));
            ?></div>
            <?php endif; ?>
            <?php cetara_elementor_button_render($settings,['btn_class'=>'btn-small']); ?>
        </div>
    </div>
</div>
 



