<?php
$default_settings = [
    'title' => '',
    'title_tag' => 'h3',
    'style' => 'st-default',
    'sub_title' => '',
    'sub_title_style' => '',
    'text_align' => '',
    'kng_animate' => '',
    'kng_animate_delay' => '',
    'selected_icon' => '',
    'kng_icon' => '',
];
$settings = array_merge($default_settings, $settings);
extract($settings); 
$is_new = \Elementor\Icons_Manager::is_migration_allowed();
$widget->add_render_attribute( 'selected_icon', 'class' );
$has_icon = ! empty( $selected_icon );
if ( $has_icon ) {
    $widget->add_render_attribute( 'i', 'class', $selected_icon );
    $widget->add_render_attribute( 'i', 'aria-hidden', 'true' );
}

$sub_title_ontop = $widget->get_settings( 'sub_title_ontop' );
 
?>
<div class="kng-heading-wrap h-align-<?php echo esc_attr($text_align); ?> item-<?php echo esc_attr($style); ?>">
    <?php if($sub_title_ontop && !empty($sub_title)): ?>
        <div class="item--sub-title <?php echo esc_attr($sub_title_style); ?>">
            <span>
                <?php if($is_new):
                    \Elementor\Icons_Manager::render_icon( $selected_icon, [ 'aria-hidden' => 'true' ] );
                    else: ?>
                    <i <?php kng_print_html($widget->get_render_attribute_string( 'i' )); ?>></i>
                <?php endif; ?>
                <?php echo kng_print_html(nl2br($sub_title)); ?>
            </span>
        </div>
    <?php endif; ?>
    <<?php echo esc_attr($title_tag); ?> class="item--title case-animate-time  <?php echo esc_attr($style); ?> <?php if($kng_animate != 'case-fade-in-up') { echo esc_attr($kng_animate); } ?>" data-wow-delay="<?php echo esc_attr($kng_animate_delay); ?>ms">
        <?php if($kng_animate == 'case-fade-in-up') {
            $arr_str = explode(' ', $title);
            foreach ($arr_str as $index => $value) {
                $arr_str[$index] = '<span class="slide-in-container"><span class="d-inline-block wow '.$kng_animate.'">' . $value . '</span></span>';
            }
            $str = implode(' ', $arr_str);
            echo kng_print_html($str);
        } else {
            echo '<span>';
            echo wp_kses_post(nl2br($title));
            echo '</span>';
        } ?>
    </<?php echo esc_attr($title_tag); ?>>
    <?php if(!empty($sub_title) && empty($sub_title_ontop)) : ?>
        <div class="item--sub-title <?php echo esc_attr($sub_title_style); ?>">
            <span>
                <?php if($is_new):
                    \Elementor\Icons_Manager::render_icon( $selected_icon, [ 'aria-hidden' => 'true' ] );
                    else: ?>
                    <i <?php kng_print_html($widget->get_render_attribute_string( 'i' )); ?>></i>
                <?php endif; ?>
                <?php echo kng_print_html(nl2br($sub_title)); ?>
            </span>
        </div>
    <?php endif; ?>
</div>

