<?php
$default_settings = [
    'menu' => '',
    'show_arrow' => false
];
$settings = array_merge($default_settings, $settings);

$content_align = cetara_get_class_breakpoints($settings, [
    'prefix' => 'align',
    'type-prefix' => 'justify-content-',
]);

extract($settings);
$html_id = kng_get_element_id($settings);  
$show_arrow_cls = ($show_arrow === 'yes') ? 'is-arrow' : ''; 

?>
<div id="<?php echo esc_attr($html_id); ?>" class="kng-nav-menu kng-nav-menu1 <?php echo esc_attr($show_arrow_cls) ?>">
<?php 
    if(!empty($menu)) { 
        wp_nav_menu(
            array(
                'menu_id'    => 'kng-primary-menu-'.$html_id,
                'menu_class' => 'kng-primary-menu clearfix '.trim(implode(' ', $content_align)),
                'walker'     => class_exists( 'EFramework_Mega_Menu_Walker' ) ? new EFramework_Mega_Menu_Walker : '',
                'link_before'    => '<span class="kng-menu-title">',
                'link_after'      => '</span>',
                'menu'        => wp_get_nav_menu_object($menu)
            )
        ); 
    } elseif( has_nav_menu( 'primary' ) ) { 
        wp_nav_menu( 
            array(
                'theme_location' => 'primary',
                'menu_id'    => 'kng-primary-menu-'.$html_id,
                'menu_class' => 'kng-primary-menu clearfix '.trim(implode(' ', $content_align)),
                'link_before'    => '<span class="kng-menu-title">',
                'link_after'      => '</span>',
                'walker'         => class_exists( 'EFramework_Mega_Menu_Walker' ) ? new EFramework_Mega_Menu_Walker : '',
            )
        );
    }
?>
</div>
