<?php
$html_id = kng_get_element_id($settings);
$query_type = $widget->get_setting('query_type', 'recent_product');
$post_per_page = $widget->get_setting('post_per_page', 10);
$product_ids = $widget->get_setting('product_ids', '');
$categories = $widget->get_setting('taxonomies', '');
$categories_exclude = $widget->get_setting('taxonomies_exclude', '');
$param_args=[];
 
$loop = cetara_woocommerce_query($query_type,$post_per_page,$product_ids,$categories,$categories_exclude,$param_args);
extract($loop);
?>
<div class="kng-product-carousel kng-swiper-sliders">
    <div class="kng-swiper-slider-wrap">
        <div <?php cetara_swiper_slider_settings($widget, ['class' => 'no-shadow']); ?>>
            <?php cetara_swiper_slider_arrows_top($settings); ?>
            <div class="kng-swiper-wrapper swiper-wrapper align-items-center">
            	<?php
		        switch ($settings['layout']) {
		            case '1':
		            while ($posts->have_posts()) {
		                $posts->the_post();
		                global $product;
		                $units_sold = $product->get_total_sales();
		                $available = $product->get_stock_quantity(); 
		                if(!empty($available)){
		                	$percent = ($units_sold / $available) * 100;
		                	$rest = $available - $units_sold;
		                }
		                else {
		                	$percent = 0;
		                	$rest = 0;
		                }
		                ?>
		            	<div class="kng-carousel-item product kng-swiper-slide swiper-slide">

		                    <?php
		                        do_action( 'woocommerce_before_shop_loop_item' );
		                        do_action( 'woocommerce_before_shop_loop_item_title' );
		                        do_action( 'woocommerce_shop_loop_item_title' );
		                        do_action( 'woocommerce_after_shop_loop_item_title' );
		                        do_action( 'woocommerce_after_shop_loop_item' );
		                    ?>
		                    <?php if($settings['show_sold_bar_percent'] == 'true'): ?>
		                    <div class="sold-bar-wrap"> 
	                    		<div class="sales-bar w-100"><span class="sold-bar" style="width: <?php echo esc_attr($percent) ?>%;"></span></div>
	                    		<div class="sold-bar-text d-flex justify-content-between align-items-center">
	                    			<span><?php echo esc_html__( 'Sold:', 'cetara' ) ?> <span><?php echo esc_html($units_sold) ?></span></span>
	                    			<?php if(!empty($rest)): ?>
	                    			<span><?php echo esc_html__( 'Available:', 'cetara' ) ?> <span><?php echo esc_html($rest) ?></span></span>
	                    			<?php endif; ?>
	                    		</div>
		                    </div> 
		                	<?php endif; ?>
		                </div>
		            <?php 
		            }  
		            break;
		        }
		        wp_reset_postdata();

		        ?>
            </div>
            <?php 
                cetara_swiper_slider_dots($settings); 
                cetara_swiper_slider_arrows($settings);
                cetara_swiper_slider_arrows_bottom($settings);
                cetara_swiper_slider_arrows_side($settings);
            ?>
        </div>
    </div>
</div>