<?php
$html_id = kng_get_element_id($settings);

?>
<div class="kng-product-cats kng-swiper-sliders" id="<?php echo esc_attr($html_id) ?>">
    <div class="kng-swiper-slider-wrap">
    	<?php if(!empty($settings['sub_title_heading']) || !empty($settings['title_heading']) || !empty($settings['button_text']) ): ?> 
		<div class="general-title-wrap">
			<div class="w-inner">
				<div class="sub-title"><?php echo kng_print_html( $widget->get_setting('sub_title_heading','')) ?></div>
				<div class="title h2"><?php echo kng_print_html($widget->get_setting('title_heading','')) ?></div>
				<a class="btn btn-small btn-second" href="<?php echo esc_url($widget->get_setting('button_link','#')) ?>"><?php echo kng_print_html($widget->get_setting('button_text','')) ?></a>
			</div>
		</div>
		<?php endif; ?>
        <div <?php cetara_swiper_slider_settings($widget, ['class' => 'slider-indent-wrap no-shadow']); ?>>
            <?php cetara_swiper_slider_arrows_top($settings); ?>
            <div class="kng-swiper-wrapper swiper-wrapper align-items-center">
                <?php foreach ($settings['product_cats'] as $value): ?>
	                <?php if(!empty($value['term'])): 
	                	$term = get_term_by('slug',$value['term'],'product_cat');
	                	if(isset($term) && $term){  
	                		$style = '';
	                		if(!empty($value['bg_color'])){
	                			$style = 'style="background-color:'. $value['bg_color'].'"';
	                		}
	                	?>
	                    <div class="kng-product-cat-item kng-swiper-slide swiper-slide text-center">
	                    	<div class="cat-item-inner">
		                    	<?php echo '<a class="kng-cat-link" href="' . esc_url( get_term_link( $term->term_id, 'product_cat' ) ) . '" title="'.esc_attr($term->name).'">'; ?>
		                    	<?php if(! empty( $value['selected_icon']['value'] ) || !empty($value['selected_img']['url'])): ?>
						            <div class="kng-pcat-icon-wrap relative kng-transition" <?php echo kng_print_html($style) ?>><?php
						                switch ($value['icon_type']) {
						                    case 'img':
						                        echo '<img src="'.esc_url($value['selected_img']['url']).'" alt="'.esc_attr($term->name).'">';
						                    break;
						                    case 'icon':
						                    	\Elementor\Icons_Manager::render_icon( $value['selected_icon'], array_merge(
						                    		[ 
									                    'aria-hidden' => 'true', 
									                    'class'       => 'kng-icon kng-pcat-icon',
									                    'style'       => ''  
									                ],
									                []
									            ), 'div'); 
						                    break;
						                }
						            ?></div>
						        <?php endif; ?>
		                    	<?php 
		                    		if(!empty($value['custom_title']))
				                		echo '<div class="cat-title">'.esc_html($value['custom_title']).'</div>';
				                	else
				                		echo '<div class="cat-title">'.esc_html($term->name).'</div>';
				                	echo '<div class="cat-count">';
				                	if(!empty($value['custom_desc']))
					                	echo esc_html($value['custom_desc']);
					                else 
					                	printf( _nx( '%s Book', '%s Books', $term->count, 'product count', 'cetara' ), number_format_i18n( $term->count ) );
					                echo '</div>';
		                    	?> 
		                    	<?php echo '</a>'; ?>
	                    	</div>
	                    </div>
	                	<?php } ?>
	                <?php endif; ?>
                <?php endforeach; ?>
            </div>
            <?php 
                cetara_swiper_slider_dots($settings); 
                cetara_swiper_slider_arrows($settings);
                cetara_swiper_slider_arrows_bottom($settings);
                cetara_swiper_slider_arrows_side($settings);
            ?>
        </div>
    </div>
</div>