<?php
$html_id = kng_get_element_id($settings);
  
$str_query_type = $widget->get_setting('query_types', 'best_selling,recent_product,top_rate');
$default_lbl = esc_html__( 'Best Seller', 'cetara' ).','.esc_html__( 'Just Released', 'cetara' ).','.esc_html__( 'Hight Rate', 'cetara' );
$str_query_types_label = $widget->get_setting('str_query_types_label', $default_lbl );
$query_types = explode(',', $str_query_type); 
$query_type_labels = explode(',', $str_query_types_label); 
$query_type = !empty($query_types[0]) ? $query_types[0] : 'best_selling';
$post_per_page = $widget->get_setting('post_per_page', 8);
$product_ids = $widget->get_setting('product_ids', '');
$categories = $widget->get_setting('taxonomies', '');
$categories_exclude = $widget->get_setting('taxonomies_exclude', '');
$param_args=[];
 
$loop = cetara_woocommerce_query($query_type,$post_per_page,$product_ids,$categories,$categories_exclude,$param_args);

extract($loop);
 
// Fiilter 
$filter_default_title = $widget->get_setting('filter_default_title', 'All');
$filter               = $widget->get_setting('filter', 'false');
$filter_alignment     = $widget->get_setting('filter_alignment', 'center');

// pagination
$pagination_type      = $widget->get_setting('pagination_type', 'false');
$pagination_align_cls = 'justify-content-'.$widget->get_setting('pagination_align', 'center');

$layout = $settings['layout'];
$load_more = [];
$load_more = array(
	'layout'             => $layout,
	'query_type'         => $query_type,
	'post_per_page'      => $post_per_page,
	'product_ids'        => $product_ids,
	'categories'         => $categories,
	'categories_exclude' => $categories_exclude,
	'param_args'         => $param_args,
	
	'startPage'          => $paged,
	'maxPages'           => $max,
	'total'              => $total,
	'perpage'            => $post_per_page, 
	'nextLink'           => $next_link,
	 
	'limit'              => $post_per_page,
	 
	'pagination_type'    => $pagination_type,
	 
	'masonry_mode'       => $widget->get_setting('masonry_mode', 'fitRows'),
	'col_xxl'            => $widget->get_setting('col_xxl', '5'),
	'col_xl'             => $widget->get_setting('col_xl', '4'),
	'col_lg'             => $widget->get_setting('col_lg', '3'),
	'col_md'             => $widget->get_setting('col_md', '3'),
	'col_sm'             => $widget->get_setting('col_sm', '2'),
	'col_xs'             => $widget->get_setting('col_xs', '1'),
	'gap'                => $widget->get_setting('gap', '30'),
	'gap_extra'          => $widget->get_setting('gap_extra', ''),   
	'grid'               => true, 
	'pagin_align_cls'    => $pagination_align_cls
);
 
// Render Attribute
// Grid
$grid_class = 'kng-grid-inner products row relative animation-time';
//$masonry_mode = $widget->get_setting('masonry_mode', 'fitRows');
$widget->add_render_attribute( 'grid', 'class', $grid_class);
//$widget->add_render_attribute( 'grid', 'data-layout', $masonry_mode);
// css style
if(!empty($settings['gap']))
	$widget->add_render_attribute( 'grid', 'style', 'margin:'.($settings['gap']/-2).'px');

 
$col_xxl = isset($settings['col_xl']) ? 'col-xxl-'.str_replace('.', '',12 / intval($settings['col_xxl'])) : '';
$col_xl = isset($settings['col_xl']) ? 'col-xl-'.str_replace('.', '',12 / intval( $settings['col_xl'])) : '';
$col_lg = isset($settings['col_lg']) ? 'col-lg-'.str_replace('.', '',12 / intval( $settings['col_lg'])) : '';
$col_md = isset($settings['col_md']) ? 'col-md-'.str_replace('.', '',12 / intval( $settings['col_md'])) : '';
$col_sm = isset($settings['col_sm']) ? 'col-sm-'.str_replace('.', '',12 / intval( $settings['col_sm'])) : ''; 
$col_xs = isset($settings['col_xs']) ? 'col-xs-'.str_replace('.', '',12 / intval( $settings['col_xs'])) : ''; 

$item_class = trim(implode(' ', ['kng-grid-item product wow fadeInUp', $col_xxl, $col_xl, $col_lg, $col_md, $col_sm, $col_xs]));

$settings['gap_extra'] = empty($settings['gap_extra']) ? '0' : $settings['gap_extra'];
 
?>

<div <?php cetara_elementor_masonry_settings_render_attrs($widget, $settings,['class' => 'kng-product-grid layout-'.$layout]);?>>
    <div class="filter-top-wrap row gutters-0 justify-content-between align-items-center" data-settings="<?php echo esc_attr(json_encode($load_more)); ?>">
        <div class="col">
            <?php if (count($query_types) > 1 && count($query_type_labels) > 1): ?>
                <div class="filter-wrap row gutters-30">
                    <?php 
                    $i = 0; 
    	            foreach($query_types as $qt){ 
                        $active_cls = $i==0 ? 'active' : '';
	                	echo '<a href="javascript:void(0);" class="kng-filter-item col-auto '.$active_cls.'" data-filter="'.esc_attr( $qt).'">'.esc_html($query_type_labels[$i]).'</a>';
                        $i++;
    	            }
        	        ?>
                </div>
            <?php endif; ?>
        </div>
        <?php if(!empty($settings['custom_link_text']) && !empty($settings['custom_link_url'])): ?>
        <div class="col-auto col-view-all-top">
            <a href="<?php echo esc_url($settings['custom_link_url']) ?>" class="view-all-link"><?php echo esc_html($settings['custom_link_text']) ?><?php cetara_get_svg('arrow-right1') ?></a>            
        </div>
        <?php endif; ?>
    </div> 
    <div <?php kng_print_html($widget->get_render_attribute_string('grid')); ?>>
    	<div class="kng-grid-sizer"></div>
        <?php
        
            $d = 0;
            while ($posts->have_posts()) {
                $posts->the_post();
                global $product;
                $d++;
                $term_list = array();
                $term_of_post = wp_get_post_terms($product->get_ID(), 'product_cat');
	            foreach ($term_of_post as $term) {
	                $term_list[] = $term->slug;
	            }
	            $filter_class = implode(' ', $term_list);
                
                $style = 'style="';
                if(isset($settings['masonry_mode']) && !empty($settings['gap'])){
                    $style .= 'padding:'.($settings['gap']/2).'px;';
                }
                if($settings['gap_extra']!== '0'){
                    $style .= 'margin-bottom:'.$settings['gap_extra'].'px;';
                }
                $style .= 'animation-delay:'.($d * 50).'ms;';
                $style .= '"'; 

                ?>
            	<div class="<?php echo trim(implode(' ', [$item_class, $filter_class])); ?>" <?php kng_print_html($style); ?>>
                    <?php
                        do_action( 'woocommerce_before_shop_loop_item' );
                        do_action( 'woocommerce_before_shop_loop_item_title' );
                        do_action( 'woocommerce_shop_loop_item_title' );
                        do_action( 'woocommerce_after_shop_loop_item_title' );
                        do_action( 'woocommerce_after_shop_loop_item' );
                    ?>
                </div>
            <?php 
            }  
            
        ?>
        <div class="kng-grid-overlay"></div>
        <?php wp_reset_postdata(); ?>
    </div>

    <?php if(!empty($settings['custom_link_text']) && !empty($settings['custom_link_url'])): ?>
        <div class="col-view-all-bot">
            <a href="<?php echo esc_url($settings['custom_link_url']) ?>" class="view-all-link"><?php echo esc_html($settings['custom_link_text']) ?><?php cetara_get_svg('arrow-right1') ?></a>            
        </div>
        <?php endif; ?>

    <?php if ($pagination_type == 'pagination') { ?>
        <div class="kng-post-pagination kng-product-grid-pagination" data-loadmore="<?php echo esc_attr(json_encode($load_more)); ?>" data-query="<?php echo esc_attr(json_encode($args)); ?>">
            <?php cetara_posts_pagination($query, true, ['class' => $pagination_align_cls]); ?>
        </div>
    <?php } ?>
    <?php if (!empty($next_link) && $pagination_type == 'loadmore') { ?>
        <div class="kng-post-pagination kng-product-load-more text-center <?php echo esc_attr($pagination_align_cls) ?>" data-loadmore="<?php echo esc_attr(json_encode($load_more)); ?>" data-loading-text="<?php echo esc_attr__('Loading','cetara') ?>">
            <span class="btn btn-lg btn-fill btn-accent">
                <span class="kng-btn-content">
                    <span class="kng-btn-text"><?php echo esc_html($settings['loadmore_text']); ?></span>
                    <span class="kng-btn-icon"></span>
                </span>
            </span>
        </div>
    <?php } ?>
</div>