<?php 
$slider_settings_class = ['kng-slider-container'];
if($widget->get_setting('slide_direction') === 'vertical') $slider_settings_class[] = 'overflow-hidden';
$slider_settings_class = implode(' ', $slider_settings_class);

$number_of_slider = (int)$settings['number_of_slider'];

$container_cls = $widget->get_setting('content_width', 'container');
 
?>
<div class="kng-sliders-wrap">
	<div <?php cetara_swiper_slider_settings($widget, ['swiper_container' => $slider_settings_class]); ?>>
		<?php cetara_swiper_slider_arrows_top($settings); ?>
        <div class="kng-swiper-slider swiper-wrapper">
			<?php 
				 
				for( $i=1; $i <= $number_of_slider; $i++){
					 
					$cs_prefix = 'content_slide_'.$i.'_';
					$static_layer_prefix = 'static_slide_'.$i.'_';
  					  
			        $content_position = cetara_get_class_breakpoints($settings, [
			        	'prefix' => $cs_prefix.'content_position',
			        	'type-prefix' => 'justify-content-',
			        ]);

			         
			        $content_align = cetara_get_class_breakpoints($settings, [
			        	'prefix' => $cs_prefix.'content_align',
			        	'type-prefix' => 'text-',
			        ]);
 
			        $align_self = cetara_get_class_breakpoints($settings, [
			        	'prefix' => $cs_prefix.'align_self',
			        	'type-prefix' => 'align-self-',
			        ]);
			           
					// small heading 
					$small_heading_animation = !empty($settings[$cs_prefix.'small_heading_animation']) ? $settings[$cs_prefix.'small_heading_animation'] : 'fadeInLeft';
					$small_heading_animation_delay = !empty($settings[$cs_prefix.'small_heading_animation_delay']) ? $settings[$cs_prefix.'small_heading_animation_delay'] : 300;
					$small_heading_color = !empty($settings[$cs_prefix.'small_heading_color']) ? $settings[$cs_prefix.'small_heading_color'] : 'heading';
					$small_heading_reponsive = cetara_elementor_responsive_render($settings, ['prefix' => $cs_prefix.'small_heading_']);
					// large heading
					$large_heading_animation = !empty($settings[$cs_prefix.'large_heading_animation']) ? $settings[$cs_prefix.'large_heading_animation'] : 'fadeInLeft';
					$large_heading_animation_delay = !empty($settings[$cs_prefix.'large_heading_animation_delay']) ? $settings[$cs_prefix.'large_heading_animation_delay'] : 600;
					$large_heading_color = !empty($settings[$cs_prefix.'large_heading_color']) ? $settings[$cs_prefix.'large_heading_color'] : 'heading';
					// medium heading 
					$medium_heading_animation = !empty($settings[$cs_prefix.'medium_heading_animation']) ? $settings[$cs_prefix.'medium_heading_animation'] : 'fadeInLeft';
					$medium_heading_animation_delay = !empty($settings[$cs_prefix.'medium_heading_animation_delay']) ? $settings[$cs_prefix.'medium_heading_animation_delay'] : 300;
					$medium_heading_color = !empty($settings[$cs_prefix.'medium_heading_color']) ? $settings[$cs_prefix.'medium_heading_color'] : 'heading';
					$medium_heading_reponsive = cetara_elementor_responsive_render($settings, ['prefix' => $cs_prefix.'medium_heading_']);
					// Description
					$description_animation = !empty($settings[$cs_prefix.'description_animation']) ? $settings[$cs_prefix.'description_animation'] : 'fadeInLeft';
					$description_animation_delay = !empty($settings[$cs_prefix.'description_animation_delay']) ? $settings[$cs_prefix.'description_animation_delay'] : 900;
					$description_color = !empty($settings[$cs_prefix.'description_color']) ? $settings[$cs_prefix.'description_color'] : 'body';
					$description_heading_reponsive = cetara_elementor_responsive_render($settings, ['prefix' => $cs_prefix.'description_']);
					 
					// Button Video
					$btn_video_animation = !empty($settings[$cs_prefix.'btn_video_animation']) ? $settings[$cs_prefix.'btn_video_animation'] : 'fadeInRight';
					$btn_video_animation_delay = !empty($settings[$cs_prefix.'btn_video_animation_delay']) ? $settings[$cs_prefix.'btn_video_animation_delay'] : 1200;
					// Build Attributes
					
					$large_heading_attrs = [
						'class' => 'large-heading text-36 text-md-40 text-lg-56 text-xl-56 lh-1-375 lh-md-1-3 lh-xl-1-28572 heading-font-family mb-8 text-'.$large_heading_color.'  kng-animate kng-invisible',
						'data-settings' => json_encode([
					        'animation'      => $large_heading_animation,
					        'animation_delay' => $large_heading_animation_delay
					    ])
					];
					$small_heading_attrs = [
						'class' => 'small-heading align-items-center text-13 lh-2-46153846154 text-uppercase font-500 text-'.$small_heading_color.' '.$small_heading_reponsive.' kng-animate kng-invisible',
						'data-settings' => json_encode([
					        'animation'      => $small_heading_animation,
					        'animation_delay' => $small_heading_animation_delay
					    ])
					];
					$medium_heading_attrs = [
						'class' => 'medium-heading align-items-center text-22 text-uppercase font-700 text-'.$medium_heading_color.' '.$medium_heading_reponsive.' kng-animate kng-invisible',
						'data-settings' => json_encode([
					        'animation'      => $medium_heading_animation,
					        'animation_delay' => $medium_heading_animation_delay
					    ])
					];
					$description_attrs = [
						'class' => 'description text-13 lh-2-46153846154 text-uppercase font-500 text-'.$description_color.' '.$description_heading_reponsive.' kng-animate kng-invisible',
						'data-settings' => json_encode([
					        'animation'      => $description_animation,
					        'animation_delay' => $description_animation_delay
					    ])
					];
					// icons 
					$icon_attrs = [
						'class' => [
							'd-flex',
							'kng-slide-icon',
							'text-'.$settings[$cs_prefix.'icons_color'],
							'lh-1 mr-8',
							'kng-animate kng-invisible'
						]
					];
					$icon1_attr = [
						'data-settings' => json_encode([
							'animation'       => $settings[$cs_prefix.'icon1_animation'],
							'animation_delay' => $settings[$cs_prefix.'icon1_animation_delay']
						])
					]; 
					  
					?>
					<div class="kng-slider-item swiper-slide <?php echo esc_attr($cs_prefix.'item')?>">
						<div class="kng-slide-bg-classic kng-overlay"></div>
						<?php if(!empty($settings[$cs_prefix.'image']['url'])): ?>
						<div class="kng-slide-img">
							<img src="<?php echo esc_url($settings[$cs_prefix.'image']['url']);?>" alt="<?php echo get_bloginfo('name');?>" class="w-100 h-100 img-cover" />
						</div>
						<?php endif; ?>
						<div class="kng-slide-overlay kng-overlay"></div>
						<div class="kng-slide-content kng-overlay <?php echo esc_attr($container_cls)?>">
							<?php 
								for($j=1; $j<=5; $j++){ 
									$static_layer_img_prefix = $static_layer_prefix.'img_layer_'.$j.'_';
									 
									if(!empty($settings[$static_layer_img_prefix.'image']['url'])){
 
										$img_layer_attrs = [];
										$img_cls = ['kng-slide-static-layer absolute'];
										$img_cls[] = $static_layer_img_prefix.'idx ';
										$img_cls[] = cetara_elementor_responsive_render($settings, ['prefix' => $static_layer_img_prefix]);
										//$img_layer_attrs['class'] = 'kng-slide-static-layer absolute '.$static_layer_img_prefix.'idx '.$res_cls;
										$img_layer_attrs['data-settings'] = '';
										if ( $settings[$static_layer_img_prefix.'animation'] ) {
											$img_cls[] = 'kng-animate kng-invisible';
											$img_layer_attrs['data-settings'] = json_encode([
										        'animation'      => $settings[$static_layer_img_prefix.'animation'],
										        'animation_delay' => $settings[$static_layer_img_prefix.'delay']
										    ]);
										}
										if(!empty($settings[$static_layer_img_prefix.'class']))
											$img_cls[] = $settings[$static_layer_img_prefix.'class'];

										$img_layer_attrs['class'] = implode(' ', $img_cls);

										cetara_elementor_image_render($settings,$widget, [
											'id'     => $static_layer_img_prefix.'image',
											'size'   => $static_layer_img_prefix.'thumbnail',
											'before' => '<div class="'.esc_attr($img_layer_attrs['class']).'" data-settings="'.esc_attr($img_layer_attrs['data-settings']).'">',
											'after'  => '</div>'
										]);
									}
									 	
								}
							?>
							<div class="h-100 d-flex align-items-center <?php echo esc_attr(trim(implode(' ', $content_position))) ?> <?php echo esc_attr(implode(' ', $content_align)) ?>">
								<div class="kng-slide-content-wrap <?php echo esc_attr(implode(' ', $align_self)) ?>">	  
									
									<?php if(!empty($settings[$cs_prefix.'large_heading'])): ?>
									<div class="<?php echo esc_attr($large_heading_attrs['class']); ?>" data-settings="<?php echo esc_attr($large_heading_attrs['data-settings']);?>"><?php kng_print_html( nl2br($settings[$cs_prefix.'large_heading']));?></div>
									<?php endif; ?>
									<?php if(!empty($settings[$cs_prefix.'small_heading'])): ?>
										<div class="<?php echo esc_attr($small_heading_attrs['class']); ?>" data-settings="<?php echo esc_attr($small_heading_attrs['data-settings']);?>">
										<?php kng_print_html($settings[$cs_prefix.'small_heading']);?>
										</div>
									<?php endif; ?>
									<?php if(!empty($settings[$cs_prefix.'medium_heading'])): ?>
									<div class="<?php echo esc_attr($medium_heading_attrs['class']); ?>" data-settings="<?php echo esc_attr($medium_heading_attrs['data-settings']);?>"><?php kng_print_html( $settings[$cs_prefix.'medium_heading']);?></div> 
									<?php endif; ?>
									<?php if(!empty($settings[$cs_prefix.'description'])): ?>
									<div class="<?php echo esc_attr($description_attrs['class']); ?>" data-settings="<?php echo esc_attr($description_attrs['data-settings']);?>"><?php 
										kng_print_html($settings[$cs_prefix.'description']);
									?></div>
									<?php endif; ?>
									<div class="row gutters-30 align-items-center mt-32 <?php echo esc_attr(implode(' ', $content_position)) ?>">
								        <?php 
								            cetara_elementor_button_render($settings, [
								            	'prefix'	   => $cs_prefix.'btn1',
								                'class'        => $cs_prefix.'btn1 col-auto',
								                'icon_class'   => 'text-13'
								            ]);
								            cetara_elementor_button_render($settings, [
								            	'prefix'	   => $cs_prefix.'btn2',
								                'class'        => $cs_prefix.'btn2 col-auto',
								                'icon_class'   => 'text-13'
								            ]);
								            // video
								            cetara_elementor_render_lightbox_video_button($widget, $settings, [
								            	'prefix'	   => $cs_prefix,
								            	'class' => 'col-auto'
								            ]);
								             
								        ?>
								    </div>
								</div>
							</div>
						</div>
					</div>
				<?php
				}
			?>
        </div>
        <?php 
            cetara_swiper_slider_dots($settings, ['class' => 'kng-dots-main']); 
            cetara_swiper_slider_arrows($settings);
            cetara_swiper_slider_arrows_bottom($settings);
        ?>
    </div>
</div>