<?php
$img_classes = [];
// wrap
$widget->add_render_attribute( 'wrap', 'class', 'kng-video-player relative kng-video-play-btn-'.$widget->get_setting('video_play_btn_position', 'center-center'));
// Gradient
$widget->add_render_attribute( 'gradient', 'class', 'kng-overlay kng-gradient-'.$widget->get_setting('gradient_overlay', ''));
$widget->add_render_attribute( 'gradient', 'style', 'background-color:'.$widget->get_setting('gradient_bg_color','rgba(9,29,62,0.05)'));

// Play Icon
$widget->add_render_attribute( 'play-icon', 'class', 'kng-play-video-icon '.$widget->get_setting('gradient_overlay', ''));
// Video Link 
$video_link = $widget->get_setting('video_link', 'https://www.youtube.com/watch?v=XHOmBV4js_E');

// Heading
$heading_tag = $widget->get_setting('heading_text_tag', 'h2');
$widget->add_render_attribute( 'heading', 'class', 'kng-heading empty-none text-20 lh-29');
$widget->add_render_attribute( 'heading', 'class', 'text-'.$widget->get_setting('heading_text_color', 'accent'));
$widget->add_render_attribute( 'heading', 'class', 'bg-'.$widget->get_setting('heading_bg', 'white'));
if ( $settings['heading_text_animation'] ) {
    $widget->add_render_attribute( 'heading', 'class', 'elementor-invisible');
    $widget->add_render_attribute( 'heading', 'class', 'animated-'.$widget->get_setting('heading_text_animation_duration', ''));
    $widget->add_render_attribute( 'heading', 'data-settings', json_encode([
        '_animation'      => $widget->get_setting('heading_text_animation', ''),
        'animation_delay' => $widget->get_setting('heading_text_animation_delay', '')
    ]));
}
// Description
$description_tag = $widget->get_setting('description_text_tag', 'div');
$widget->add_render_attribute( 'description', 'class', 'kng-desc empty-none');
$widget->add_render_attribute( 'description', 'class', 'text-'.$widget->get_setting('description_text_color', 'body'));
if ( $settings['description_text_animation'] ) {
    $widget->add_render_attribute( 'description', 'class', 'elementor-invisible');
    $widget->add_render_attribute( 'description', 'class', 'animated-'.$widget->get_setting('description_text_animation_duration', ''));
    $widget->add_render_attribute( 'description', 'data-settings', json_encode([
        '_animation'      => $widget->get_setting('description_text_animation', ''),
        'animation_delay' => $widget->get_setting('description_text_animation_delay', '')
    ]));
}
?>
<div <?php kng_print_html($widget->get_render_attribute_string( 'wrap' )); ?>>
    <div class="relative">
        <?php 
            cetara_elementor_image_render($settings,$widget, [
                'id'          => 'video_image_overlay',
                'size'        => 'video_image_overlay_size',
                'img_class'       => 'video-bg rtl-flip kng-radius-8'.implode(' ', $img_classes)
            ]);
        ?>
        <div class="btn-video-wrap">
            <?php cetara_elementor_render_lightbox_video_button($widget, $settings,[
                'icon_class' => 'kng-ripple size-88 text-center'
            ]); ?>
        </div>
    </div>
    <?php if(!empty($widget->get_setting('heading_text'))): ?>
        <<?php kng_print_html($heading_tag);?> <?php kng_print_html($widget->get_render_attribute_string( 'heading' )); ?>><?php 
            kng_print_html($widget->get_setting('heading_text'));
        ?></<?php kng_print_html($heading_tag);?>>
        <div class="kng-heading-extra-space extra-space"></div>
        <<?php kng_print_html($description_tag);?> <?php kng_print_html($widget->get_render_attribute_string( 'description' )); ?>><?php 
            kng_print_html($widget->get_setting('description_text'));
        ?></<?php kng_print_html($description_tag);?>>
        <div class="kng-heading-extra-space extra-space"></div>
    <?php endif; ?>
</div>