<?php

if(!function_exists('cetara_cpt_header_top')){
	add_filter( 'kng_extra_post_types', 'cetara_cpt_header_top' );
	function cetara_cpt_header_top( $postypes ) {
  
		$postypes['kng-header'] = array(
			'status'     => true,
			'item_name'  => esc_html__( 'Header Builder', 'cetara' ),
			'items_name' => esc_html__( 'Header Builder', 'cetara' ),
			'args'       => array(
				'menu_icon'          => 'dashicons-editor-insertmore',
				'supports'           => array(
					'title',
					'editor',
					'thumbnail',
				),
				'public'             => true,
				'publicly_queryable' => true,
				'exclude_from_search' => true
			),
			'labels'     => array()
		);
		$postypes['kng-footer'] = array(
			'status'     => true,
			'item_name'  => esc_html__( 'Footer Builder', 'cetara' ),
			'items_name' => esc_html__( 'Footer Builder', 'cetara' ),
			'args'       => array(
				'menu_icon'          => 'dashicons-editor-insertmore',
				'supports'           => array(
					'title',
					'editor',
					'thumbnail',
				),
				'public'             => true,
				'publicly_queryable' => true,
				'exclude_from_search' => true
			),
			'labels'     => array()
		);
 
		$postypes['events'] = array(
			'status'     => true,
			'item_name'  => esc_html__( 'Events', 'cetara' ),
			'items_name' => esc_html__( 'Events', 'cetara' ),
			'args'       => array(
				'menu_icon'          => 'dashicons-hammer',
				'supports'           => array(
					'title',
					'thumbnail',
					'editor',
					'excerpt'
				),
				'public'             => true,
				'publicly_queryable' => true,
				'rewrite'             => array(
	                'slug'       => 'events'
	 		 	),
			),
			'labels'     => array()
		);
		$postypes['authors'] = array(
			'status'     => true,
			'item_name'  => esc_html__( 'Author', 'cetara' ),
			'items_name' => esc_html__( 'Authors', 'cetara' ),
			'args'       => array(
				'menu_icon'          => 'dashicons-admin-users',
				'supports'           => array(
					'title',
					'thumbnail',
					'editor',
					'excerpt'
				),
				'public'             => true,
				'publicly_queryable' => true,
				'rewrite'             => array(
	                'slug'       => 'authors'
	 		 	),
			),
			'labels'     => array()
		);
		return $postypes;
	}
}

// Add/Remove support Mega Menu
if(!function_exists('cetara_enable_megamenu')){
	add_filter( 'kng_enable_megamenu', 'cetara_enable_megamenu' );
	function cetara_enable_megamenu() {
		return true;
	}
}
// Add/Remove Menu One Page
if(!function_exists('cetara_enable_onepage')){
	add_filter( 'kng_enable_onepage', 'cetara_enable_onepage' );
	function cetara_enable_onepage() {
		return false;
	}
}

add_filter( 'kng_extra_taxonomies', 'cetara_add_tax' );
function cetara_add_tax( $taxonomies ) {
 
	$taxonomies['event-category'] = array(
		'status'     => true,
		'post_type'  => array( 'events' ),
		'taxonomy' => esc_html__('Events Categories', 'cetara'),
		'taxewcomy'   => esc_html__('Events Categories', 'cetara'),
		'taxonomies' => esc_html__('Events Categories', 'cetara'),
		'args'       => array(
			'rewrite'             => array(
                'slug'       => 'event-category'
 		 	),
		),
		'labels'     => array()
	);
	$taxonomies['author-category'] = array(
		'status'     => true,
		'post_type'  => array( 'authors' ),
		'taxonomy' => esc_html__('Author Categories', 'cetara'),
		'taxewcomy'   => esc_html__('Author Categories', 'cetara'),
		'taxonomies' => esc_html__('Author Categories', 'cetara'),
		'args'       => array(
			'rewrite'             => array(
                'slug'       => 'author-category'
 		 	),
		),
		'labels'     => array()
	);
	return $taxonomies;
}
 