<?php
 
if(!function_exists('cetara_add_cpt_support')){
    add_action( 'after_switch_theme', 'cetara_add_cpt_support');
    function cetara_add_cpt_support() {
        $cpt_support = get_option( 'elementor_cpt_support' );
        if( ! $cpt_support ) {
            $cpt_support = [ 'page', 'post', 'events', 'authors', 'kng-header', 'kng-footer', 'kng-mega-menu' ];
            update_option( 'elementor_cpt_support', $cpt_support );
        } else if( ! in_array( 'events', $cpt_support ) ) {
            $cpt_support[] = 'events';
            update_option( 'elementor_cpt_support', $cpt_support );
        } else if( ! in_array( 'authors', $cpt_support ) ) {
            $cpt_support[] = 'authors';
            update_option( 'elementor_cpt_support', $cpt_support );
        } else if( ! in_array( 'kng-header', $cpt_support ) ) {
            $cpt_support[] = 'kng-header';
            update_option( 'elementor_cpt_support', $cpt_support );
        } else if( ! in_array( 'kng-footer', $cpt_support ) ) {
            $cpt_support[] = 'kng-footer';
            update_option( 'elementor_cpt_support', $cpt_support );
        } else if( ! in_array( 'kng-mega-menu', $cpt_support ) ) {
            $cpt_support[] = 'kng-mega-menu';
            update_option( 'elementor_cpt_support', $cpt_support );
        }
    }
}
// Add custom field to section
if(!function_exists('cetara_custom_section_params')){
    add_filter('kng-custom-section/custom-params', 'cetara_custom_section_params'); 
    function cetara_custom_section_params(){
        return array(
            'sections' => array(
                array(
                    'name'     => 'kng_custom_layout',
                    'label'    => esc_html__( 'Custom Settings', 'cetara' ),
                    'tab'      => \Elementor\Controls_Manager::TAB_LAYOUT,
                    'controls' => array(
                        array(
                            'name'         => 'stretched_with_space',
                            'label'        => esc_html__( 'Stretched with space from?', 'cetara' ),
                            'type'         => \Elementor\Controls_Manager::SELECT,
                            'prefix_class' => 'kng-section-stretched-with-space-',
                            'options'      => array(
                                'none'    => esc_html__( 'None', 'cetara'),
                                'start'   => esc_html__( 'Start', 'cetara'),
                                'end'     => esc_html__( 'End', 'cetara')
                            ),
                            'default'      => 'none',
                            'condition' => [
                                'stretch_section' => 'section-stretched'
                            ]
                        ),
                        // make section full content with a space on start / end
                        array(
                            'name'         => 'full_content_with_space',
                            'label'        => esc_html__( 'Full Content with space from?', 'cetara' ),
                            'type'         => \Elementor\Controls_Manager::SELECT,
                            'prefix_class' => 'kng-full-content-with-space-',
                            'options'      => array(
                                'none'    => esc_html__( 'None', 'cetara' ),
                                'start'   => esc_html__( 'Start', 'cetara' ),
                                'end'     => esc_html__( 'End', 'cetara' ),
                            ),
                            'default'      => 'none',
                            'condition' => [
                                'layout' => 'full_width'
                            ]
                        ),
                        // this field hasn't config prefix_class
                        // its value will be handled at cetara_custom_section_classes function
                        // screen shot - http://prntscr.com/tjco9g
                        array(
                            'name'    => 'column_hori_align',
                            'label'   => esc_html__( 'Horizontal Align', 'cetara' ),
                            'type'    => \Elementor\Controls_Manager::SELECT,
                            'options' => array(
                                ''        => esc_html__( 'Default', 'cetara' ),
                                'start'   => esc_html__( 'Start', 'cetara' ),
                                'center'  => esc_html__( 'Center', 'cetara' ),
                                'end'     => esc_html__( 'End', 'cetara' ),
                                'around'  => esc_html__( 'Space Around', 'cetara' ),
                                'between' => esc_html__( 'Space Between', 'cetara' )
                            ),
                            'prefix_class' => 'kng-justify-content-',
                            'default'      => '',
                        ),
                        array(
                            'name'         => 'kng_boxed_bg',
                            'label'        => esc_html__( 'Boxed Background', 'cetara' ),
                            'type'         => \Elementor\Controls_Manager::SWITCHER,
                            'prefix_class' => 'kng-boxed-bg-',
                            'default'      => 'false',
                            'separator'    => 'before'
                        ),
                        array(
                            'name'      => 'kng_boxed_overlay',
                            'label'     => esc_html__( 'Overlay Color','cetara' ),
                            'type'      => \Elementor\Controls_Manager::COLOR,
                            'default'   => '',
                            'selectors' => [
                                '{{WRAPPER}} > .kng-section-boxed-bg:before' => 'background-color: {{VALUE}};',
                            ],
                            'condition' => [
                                'kng_boxed_bg' => 'true'
                            ], 
                        ),
                        array(
                            'name'           => 'kng_boxed_overlay_gradient',
                            'label'          => esc_html__( 'Overlay Gradient Color','cetara' ),
                            'type'           => \Elementor\Group_Control_Background::get_type(),
                            'control_type'   => 'group',
                            'types'          => [ 'gradient' ],
                            'fields_options' => [
                                'background' => [
                                    'frontend_available' => true,
                                ],
                            ],
                            'selector' => '{{WRAPPER}} > .kng-section-boxed-bg:after',
                            'condition' => [
                                'kng_boxed_bg' => 'true'
                            ]
                        ),
                        array(
                            'name'         => 'kng_boxed_bg_background',
                            'title'        => esc_html__( 'Boxed Background', 'cetara' ),
                            'type'         => \Elementor\Group_Control_Background::get_type(),
                            'control_type' => 'group',
                            'types'         => [ 'classic' ],
                            'fields_options' => [
                                'background' => [
                                    'frontend_available' => true,
                                ],
                            ],
                            'selector'  => '{{WRAPPER}} > .kng-section-boxed-bg',
                            'condition'    => [
                                'kng_boxed_bg' => ['true']
                            ]
                        ),
                        array(
                            'name'         => 'kng_boxed_divider',
                            'label'        => esc_html__( 'Boxed Divider', 'cetara' ),
                            'type'         => \Elementor\Controls_Manager::SWITCHER,
                            'prefix_class' => 'kng-section-boxed-divider-',
                            'default'      => 'false',
                            'separator'    => 'before'
                        ),
                        array(
                            'name'         => 'kng_boxed_divider_pos',
                            'label'        => esc_html__( 'Boxed Divider Position', 'cetara' ),
                            'type'         => \Elementor\Controls_Manager::SELECT,
                            'prefix_class' => 'kng-section-boxed-divider-',
                            'options'      => [
                                'top'    => esc_html__('Top', 'cetara'),
                                'bottom' => esc_html__('Bottom', 'cetara')
                            ],
                            'default'      => 'top',
                            'condition' => [
                                'kng_boxed_divider' => 'true'
                            ],
                        ),
                        array(
                            'name'      => 'kng_boxed_divider_color',
                            'label'     => esc_html__( 'Divider Color','cetara' ),
                            'type'      => \Elementor\Controls_Manager::COLOR,
                            'default'   => '',
                            'selectors' => [
                                '{{WRAPPER}} > .kng-section-boxed-divider' => 'background-color: {{VALUE}};',
                            ],
                            'condition' => [
                                'kng_boxed_divider' => 'true'
                            ], 
                        ),
                        array(
                            'name'      => 'kng_boxed_divider_h',
                            'label'     => esc_html__( 'Divider Height', 'cetara' ),
                            'type'      => \Elementor\Controls_Manager::SLIDER,
                            'range' => [
                                'px' => [
                                    'min'  => 1,
                                    'max'  => 100,
                                    'step' => 1,
                                ],
                            ],
                            'default' => [
                                'size' => '1',
                            ],
                            'size_units' => [ 'px'],
                            'selectors' => [
                                '{{WRAPPER}} > .kng-section-boxed-divider' => 'height: {{SIZE}}{{UNIT}};',
                            ],
                            'condition' => [
                                'kng_boxed_divider' => 'true'
                            ] 
                        ),
                        array(
                            'name'       => 'kng_boxed_radius',
                            'label'      => esc_html__( 'Boxed Radius', 'cetara' ),
                            'type'       => \Elementor\Controls_Manager::DIMENSIONS,
                            'size_units' => [ 'px', '%' ],
                            'selectors'  => [
                                '{{WRAPPER}}.kng-boxed-bg-true > .kng-section-boxed-bg' => 'border-radius: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
                            ]
                        )      
                    ),
                    array(
                        'name'     => 'kng_custom_layout_background_overlay',
                        'label'    => esc_html__( 'Custom Background Overlay', 'cetara' ),
                        'tab'      => \Elementor\Controls_Manager::TAB_STYLE,
                        'controls' => array(
                            array(
                                'name'         => 'kng_overlay_background_position',
                                'label'        => esc_html__( 'Overlay position', 'cetara' ),
                                'type'         => \Elementor\Controls_Manager::SELECT,
                                'prefix_class' => 'kng-section-overvlay-with-space kng-section-overvlay-with-space-',
                                'options'      => array(
                                    'full'    => esc_html__( 'Full', 'cetara'),
                                    'start'   => esc_html__( 'Full - Space Start', 'cetara'),
                                    'end'     => esc_html__( 'Full - Space End', 'cetara'),
                                    'between' => esc_html__( 'Full - Space Between', 'cetara')
                                ),
                                'default'      => 'full'
                            ),
                            array(
                                'name'      => 'kng_overlay_background_color',
                                'label'     => esc_html__( 'Background Overlay Color','cetara' ),
                                'type'      => \Elementor\Controls_Manager::COLOR,
                                'default'   => '',
                                'selectors' => [
                                    '{{WRAPPER}} > .elementor-background-overlay:before' => 'background-color: {{VALUE}};',
                                ]
                            ),
                            array(
                                'name'    => 'kng_overlay_background_color_opacity',
                                'label'   => esc_html__( 'Opacity', 'cetara' ),
                                'type'    => \Elementor\Controls_Manager::SLIDER,
                                'default' => [
                                    'size' => 0.85,
                                ],
                                'range' => [
                                    'px' => [
                                        'max' => 1,
                                        'step' => 0.01,
                                    ],
                                ],
                                'selectors' => [
                                    '{{WRAPPER}} > .elementor-background-overlay:before' => 'opacity: {{SIZE}};',
                                ]
                            ),
                            array(
                                'name'       => 'kng_overlay_background_radius',
                                'label'      => esc_html__( 'Border Radius', 'cetara' ),
                                'type'       => \Elementor\Controls_Manager::DIMENSIONS,
                                'size_units' => [ 'px', '%' ],
                                'selectors'  => [
                                    '{{WRAPPER}} > .elementor-background-overlay, {{WRAPPER}} > .elementor-background-overlay:before' => 'border-radius: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
                                ]
                            )
                        ),
                        'condition' => [
                            'background_overlay_background' => [ 'classic', 'gradient' ],
                        ]
                    ),
                    array(
                        'name'     => 'kng_default_row_overlay',
                        'tab'      => \Elementor\Controls_Manager::TAB_STYLE,
                        'label'    => esc_html__( 'Default Overlay', 'cetara' ),
                        'controls' => array(
                            array(
                                'name'         => 'kng_overlay_gradient',
                                'label'        => esc_html__( 'Overlay Gradient', 'cetara' ),
                                'type'         => \Elementor\Controls_Manager::SELECT,
                                'prefix_class' => 'kng-overlay-gradient-',
                                'options'      => array(
                                    ''    => __( 'None', 'cetara'),
                                    '1'   => __( 'Gradient 01', 'cetara')
                                ),
                                'default' => ''
                            )
                        )
                    )
                )
            )
        );
    }
}

// add html to before row
if(!function_exists('cetara_boxed_bg')){
    //add_filter('kng-custom-section/before-elementor-row', 'cetara_boxed_bg', 10 , 2);
    function cetara_boxed_bg( $html, $settings){
        $html .= '<div class="kng-overlay-gradient"></div>';
        $html .= '<div class="kng-section-boxed-bg"></div>';
        return $html;
    }
}
if(!function_exists('cetara_boxed_divider')){
    //add_filter('kng-custom-section/before-elementor-row', 'cetara_boxed_divider', 11 , 2);
    function cetara_boxed_divider( $html, $settings){
        $html .= '<div class="kng-section-boxed-divider"></div>';
        return $html;
    }
}
// add html to after row
if(!function_exists('cetara_elementor_section_carousel_arrows')){
    //add_filter('kng-custom-section/after-elementor-row', 'cetara_elementor_section_carousel_arrows', 11 , 2);
    function cetara_elementor_section_carousel_arrows( $html, $settings){
        $html .= '<div class="kng-elementor-section-carousel-arrows"></div>';
        $html .= '<div class="kng-elementor-section-carousel-dots"></div>';
        return $html;
    }
}

 