<?php
/**
 * Move comment field to bottom
 */
function cetara_comment_field_to_bottom( $fields ) {
	$comment_field = $fields['comment'];
	unset( $fields['comment'] );
	unset( $fields['cookies'] );
	$fields['comment'] = $comment_field;
	return $fields;
}
//add_filter( 'comment_form_fields', 'cetara_comment_field_to_bottom' );
/**
 * Custom Comment List
 */
function cetara_comment_list( $comment, $args, $depth ) {
	if ( 'div' === $args['style'] ) {
        $tag       = 'div';
        $add_below = 'comment';
    } else {
        $tag       = 'li';
        $add_below = 'div-comment';
    }
	?>
    <<?php echo ''.$tag ?> <?php comment_class( ['comment', empty( $args['has_children'] ) ? '' : 'parent' ]) ?> id="comment-<?php comment_ID() ?>">
    <?php if ( 'div' != $args['style'] ) : ?>
        <div id="div-comment-<?php comment_ID() ?>" class="comment-body">
		<?php endif; ?>
		    <div class="comment-inner row gutters-24 gutters-grid">
		        <?php if ($args['avatar_size'] != 0) : ?>
		        	<div class="comment-avatar col-auto empty-none"><?php
		        		echo get_avatar($comment, cetara_configs('comment')['avatar-size']); 
		        	?></div>
		        <?php endif; ?>
		        <div class="comment-content col">
		        	<div class="row gutters-16 align-items-center">
	        			<div class="kng-heading comment-title col-auto"><?php printf( '%s', get_comment_author_link() ); ?></div>
	        			<div class="comment-date empty-none col-auto"><?php echo get_comment_date() ?></div>
	        			<?php
			            	comment_reply_link( array_merge( $args, array(
								'add_below' => $add_below,
								'depth'     => $depth,
								'max_depth' => $args['max_depth'],
								'reply_text' => esc_html__('Reply', 'cetara')
							) ) ); 
						?>
	        		</div>
		        	<div class="comment-meta">
		            	<div class="comment-rating empty-none"><?php
		            		/**
						 * The woocommerce_review_before_comment_meta hook.
						 *
						 * @hooked woocommerce_review_display_rating - 10
						 */
		            		if(is_singular('product')){
								do_action( 'woocommerce_review_before_comment_meta', $comment );
							}
						?></div>
						<div class="empty-none"><?php
							/**
							 * The woocommerce_review_meta hook.
							 *
							 * @hooked woocommerce_review_display_meta - 10
							 */
							if(is_singular('product')){
								do_action( 'woocommerce_review_meta', $comment );
							}
						?></div>
		            </div>
		            <div class="before-comment-text empty-none"><?php
		            	if(is_singular('product')){ do_action( 'woocommerce_review_before_comment_text', $comment ); }
		            ?></div>
		            <div class="comment-text empty-none"><?php 
		            	comment_text(); 
		            	/**
						 * The woocommerce_review_comment_text hook
						 *
						 * @hooked woocommerce_review_display_comment_text - 10
						 */
		            	if(is_singular('product')){
							do_action( 'woocommerce_review_comment_text', $comment );
						}
		            ?></div>
		            <div class="after-comment-text empty-none"><?php 
		            	if(is_singular('product')){ do_action( 'woocommerce_review_after_comment_text', $comment ); }
		            ?></div>
		            
		        </div>
		    </div>
		<?php if ( 'div' != $args['style'] ) : ?>
        </div>
	<?php endif;
}

/**
 * Comment form fields
**/
if(!function_exists('cetara_comment_form_args')){
	function cetara_comment_form_args($args = []){
		$args = wp_parse_args($args, []);
		$commenter = [
			'comment_author' => '',
			'comment_author_email' => ''
		];
		$kng_comment_fields = array(
			'id_form'              => 'commentform',
			'title_reply'          => esc_attr__( 'Write a Comment', 'cetara'),
			'title_reply_to'       => esc_attr__( 'Write a Comment To ', 'cetara') . '%s',
 			'cancel_reply_link'    => esc_attr__( 'Cancel Reply', 'cetara'),
			'id_submit'            => 'submit',
			'class_submit'         => 'btn-primary',
			'label_submit'         => esc_attr__( 'Submit Comment', 'cetara'),
			'comment_notes_before' => '<span class="comment-note">'.esc_html__('Your email address will not be published. Required fields are marked *','cetara').'</span>',
            'comment_field' 	   =>  '',
    	);

    	$kng_fields = [];
    	$kng_fields['open'] = '';
    	if(!is_user_logged_in()){
			$kng_fields['open'] .= cetara_comment_rating_fields([
				'echo' => false,
				'class' => 'mb-20'
			]);
			$kng_fields['open'] .= cetara_woocommerce_comment_rating_fields([
				'echo' => false,
				'class' => 'mb-20 aaa'
			]);
		}
		//open
    	$kng_fields['open'] .= '<div class="kng-comment-form-fields-wrap row gutters-16">';
		// author
		$kng_fields['author'] = '<div class="comment-form-field comment-form-author col-lg-6 col-md-6 col-sm-12">'.
                	'<input id="author" name="author" type="text" value="' . esc_attr( $commenter['comment_author'] ) .
                	'" size="30" placeholder="'.esc_attr__('Name', 'cetara').'"/></div>';
        // email 
        $kng_fields['email'] = '<div class="comment-form-field comment-form-email col-lg-6 col-md-6 col-sm-12">'.
                	'<input id="email" name="email" type="text" value="' . esc_attr(  $commenter['comment_author_email'] ) .
                	'" size="30" placeholder="'.esc_attr__('Email', 'cetara').'"/></div>';
         
        $kng_fields['close'] = '</div>';

		$fields =  apply_filters( 'comment_form_default_fields', $kng_fields);
		$kng_comment_fields['fields'] = $fields;

		// Comment Field Message
		$kng_comment_fields['comment_field'] = '';
		if(is_user_logged_in()){
			$kng_comment_fields['comment_field'] .= cetara_comment_rating_fields([
				'echo' => false,
				'class' => 'mt-20'
			]);
			$kng_comment_fields['comment_field'] .= cetara_woocommerce_comment_rating_fields([
				'echo' => false,
				'class' => 'mt-20'
			]);
		}
		$kng_comment_fields['comment_field'] .= '<div class="kng-comment-form-fields-wrap kng-comment-form-fields-message row"><div class="comment-form-field comment-form-comment col-12"><textarea id="comment-msg" name="comment" cols="45" rows="8" placeholder="'.esc_attr__('Comment', 'cetara').'" aria-required="true">' .'</textarea></div></div>';
 

    	return $kng_comment_fields;
	}
}
if(!function_exists('cetara_comment_product_form_args')){
	function cetara_comment_product_form_args($args = []){
		$args = wp_parse_args($args, []);
		$commenter = [
			'comment_author' => '',
			'comment_author_email' => ''
		];
		$kng_comment_fields = array(
			'id_form'              => 'commentform',
			'title_reply'          => esc_attr__( 'Write a Review', 'cetara'),
			'title_reply_to'       => esc_attr__( 'Write a Review To ', 'cetara') . '%s',
 			'cancel_reply_link'    => esc_attr__( 'Cancel Reply', 'cetara'),
			'id_submit'            => 'submit',
			'class_submit'         => 'btn-primary',
			'label_submit'         => esc_attr__( 'Submit Review', 'cetara'),
			'comment_notes_before' => '<span class="comment-note">'.esc_html__('Your email address will not be published. Required fields are marked *','cetara').'</span>',
            'comment_field' 	   =>  '',
    	);

    	$kng_fields = [];
    	$kng_fields['open'] = '';
    	 
		//open
    	$kng_fields['open'] .= '<div class="kng-comment-form-fields-wrap row gutters-16">';
		// author
		$kng_fields['author'] = '<div class="comment-form-field comment-form-author col-lg-6 col-md-6 col-sm-12">'.
                	'<input id="author" name="author" type="text" value="' . esc_attr( $commenter['comment_author'] ) .
                	'" size="30" placeholder="'.esc_attr__('Name', 'cetara').'"/></div>';
        // email 
        $kng_fields['email'] = '<div class="comment-form-field comment-form-email col-lg-6 col-md-6 col-sm-12">'.
                	'<input id="email" name="email" type="text" value="' . esc_attr(  $commenter['comment_author_email'] ) .
                	'" size="30" placeholder="'.esc_attr__('Email', 'cetara').'"/></div>';
         
        $kng_fields['close'] = '</div>';

		$fields =  apply_filters( 'comment_form_default_fields', $kng_fields);
		$kng_comment_fields['fields'] = $fields;

		// Comment Field Message
		$kng_comment_fields['comment_field'] = '';
		 
		$kng_comment_fields['comment_field'] .= cetara_woocommerce_comment_rating_fields([
			'echo' => false,
			'class' => 'mt-20'
		]);
		 
		$kng_comment_fields['comment_field'] .= '<div class="kng-comment-form-fields-wrap kng-comment-form-fields-message row"><div class="comment-form-field comment-form-comment col-12"><textarea id="comment-msg" name="comment" cols="45" rows="8" placeholder="'.esc_attr__('Your Review', 'cetara').'" aria-required="true">' .'</textarea></div></div>';
 

    	return $kng_comment_fields;
	}
}

//Create the rating interface.
if(!function_exists('cetara_comment_rating_fields')){
	//add_action( 'comment_form_logged_in_after', 'cetara_comment_rating_fields' );
	//add_action( 'comment_form_after_fields', 'cetara_comment_rating_fields' );
	function cetara_comment_rating_fields ($args =[]) {
		$args = wp_parse_args($args, [
			'echo'  => true,
			'class' => ''
		]);
		$show_rating = cetara_get_theme_opt('post_comments_rating_on','0');
		$rating = '';
		if('1' === $show_rating && is_singular('post')){
			$rating .= '<div class="kng-comment-form-rating kng-comment-form-fields-wrap row align-items-center '.esc_attr($args['class']).'">';
				$rating .= '<div  class="comment-form-field col-auto">'. esc_html__('Your Rating','cetara').'<span class="required">*</span></div>';
				$rating .= '<div class="comment-form-field comments-rating col">';
					$rating .= '<span class="rating-container stars">';
						for ( $i = 5; $i >= 1; $i-- ) :
							$rating .= '<input type="radio" id="rating-'.$i.'" class="star-'.$i.'" name="rating" value="'.$i.'" />
										<label for="rating-'.$i.'"><span class="d-none">'.$i.'</span></label>';
						endfor;
						$rating .= '<input type="radio" id="rating-0" class="star-cb-clear star-0" name="rating" value="0" /><label for="rating-0"><span class="d-none">0</span></label>';
					$rating .= '</span>
				</div>
			</div>';
		}
		if($args['echo']){
			printf('%s', $rating);
		} else {
			return $rating;
		}
	}
}
if(!function_exists('cetara_woocommerce_comment_rating_fields')){
	function cetara_woocommerce_comment_rating_fields($args =[]){
		$args = wp_parse_args($args, [
			'echo' => true,
			'class' => ''
		]);
		$rating = '';
		if(!function_exists('wc_review_ratings_enabled')) return;
		if (wc_review_ratings_enabled() && is_singular('product') ) {
			$rating .= '<div class="kng-comment-form-rating kng-comment-form-fields-wrap row gutters-12 align-items-center '.esc_attr($args['class']).'">';
				$rating .= '<div class="comment-form-field col-auto">' . esc_html__( 'Your rating of this product', 'cetara' ) . ( wc_review_ratings_required() ? '&nbsp;<span class="required">*</span>' : '' ) . '</div>';
				$rating .= '<div class="comment-form-field comments-rating col">';
					$rating .= '<select name="rating" id="rating" required>
						<option value="">' . esc_html__( 'Rate&hellip;', 'cetara' ) . '</option>
						<option value="5">' . esc_html__( 'Perfect', 'cetara' ) . '</option>
						<option value="4">' . esc_html__( 'Good', 'cetara' ) . '</option>
						<option value="3">' . esc_html__( 'Average', 'cetara' ) . '</option>
						<option value="2">' . esc_html__( 'Not that bad', 'cetara' ) . '</option>
						<option value="1">' . esc_html__( 'Very poor', 'cetara' ) . '</option>
					</select>';
				$rating .= '</div>';
			$rating .= '</div>';
		}
		if($args['echo']){
			printf('%s', $rating);
		} else {
			return $rating;
		}
	}
}
 

//Save the new meta added by theme  submitted by the user.
if(!function_exists('cetara_comment_rating_save_comment_meta')){
	add_action( 'comment_post', 'cetara_comment_rating_save_comment_meta' );
	function cetara_comment_rating_save_comment_meta( $comment_id ) {
		// rating
		if ( ( isset( $_POST['rating'] ) ) && ( '' !== sanitize_text_field($_POST['rating']) ) )
		$rating = intval( sanitize_text_field($_POST['rating']) );
		// address
		if ( ( isset( $_POST['address'] ) ) && ( '' !== sanitize_text_field($_POST['address']) ) )
		$address = sanitize_text_field($_POST['address']);
		add_comment_meta( $comment_id, 'rating', $rating );
		add_comment_meta( $comment_id, 'address', $address );
	}
}
// Make the rating required.
if(!function_exists('cetara_comment_rating_require_rating')){
	add_filter( 'preprocess_comment', 'cetara_comment_rating_require_rating' );
	function cetara_comment_rating_require_rating( $commentdata ) {
		$show_rating = cetara_get_theme_opt('post_comments_rating_on','0');
		if('1' !== $show_rating) return $commentdata;

		if ( ! is_admin() && ( ! isset( $_POST['rating'] ) || 0 === intval( sanitize_text_field($_POST['rating']) ) ) )
		wp_die( esc_html__( 'Error: You did not add a rating. Hit the Back button on your Web browser and resubmit your comment with a rating.','cetara' ) );
		return $commentdata;
	}
}
 

//Get the average rating of a post.
if(!function_exists('cetara_comment_rating_get_average_ratings')){
	function cetara_comment_rating_get_average_ratings( $id ) {
		$comments = get_approved_comments( $id );
		if ( $comments ) {
			$i = 0;
			$total = 0;
			foreach( $comments as $comment ){
				$rate = get_comment_meta( $comment->comment_ID, 'rating', true );
				if( isset( $rate ) && '' !== $rate ) {
					$i++;
					$total += $rate;
				}
			}

			if ( 0 === $i ) {
				return false;
			} else {
				return round( $total / $i, 1 );
			}
		} else {
			return false;
		}
	}
}
// Display the star average rating only
if(!function_exists('cetara_comment_rating_display_average')){
	function cetara_comment_rating_display_average() {

		global $post;

		if ( false === cetara_comment_rating_get_average_ratings( $post->ID ) ) {
			return false;
		}
		
		$stars   = '';
		$average = cetara_comment_rating_get_average_ratings( $post->ID );

		for ( $i = 1; $i <= $average + 1; $i++ ) {
			
			$width = intval( $i - $average > 0 ? 20 - ( ( $i - $average ) * 20 ) : 20 );

			if ( 0 === $width ) {
				continue;
			}
			$stars .= '<span style="overflow:hidden; width:' . $width . 'px" class="rating-icon kng-rating-icon-filled"></span>';

			if ( $i - $average > 0 ) {
				$stars .= '<span style="overflow:hidden; position:relative; left:-' . $width .'px;" class="kng-rating-icon kng-rating-icon-empty"></span>';
			}
		}
		$custom_content  = '<div class="kng-average-rating kng-average-rating-star">' . $stars .'</div>';
		return $custom_content;
	}
}
 
if(!function_exists('cetara_comment_rating_display_feedback')){
	function cetara_comment_rating_display_feedback($args=[]){
		$args = wp_parse_args($args,[
			'id'        => get_the_ID(),
			'mode'      => 'good', //bad
			'good_text' => esc_html__('positive feedback', 'cetara'),
			'bad_text'  => esc_html__('negative feedback', 'cetara'),
			'good_icon' => 'icofont-simple-smile',
			'bad_icon'  => 'icofont-sad'
		]);
		$comments = get_approved_comments( $args['id'] );
		if ( $comments ) {
			$i = 0;
			$total = 0;
			$good_rate = $bad_rate = 0;
			foreach( $comments as $comment ){
				$rate = get_comment_meta( $comment->comment_ID, 'rating', true );
				if( isset( $rate ) && '' !== $rate ) {
					$i++;
					$total += $rate;
				}
				if(isset($rate) && $rate > 3){
					$good_rate ++;
				}
				if(isset($rate) && $rate <= 3){
					$bad_rate ++;
				}
			}

			if ( 0 === $i ) {
				return false;
			} else {
				//return  $total .' good:'.$good_rate.' bad:'.$bad_rate ;
				if($args['mode'] == 'good'){
					return '<span class="kng-rating-good text-accent text-17 '.$args['good_icon'].'"></span> <span class="kng-rating-percent text-accent font-700">'.number_format_i18n( $good_rate*100 / $i, 2 ).'%</span> '.$args['good_text'];
				} else {
					return '<span class="kng-rating-bad text-accent text-17 '.$args['bad_icon'].'"></span> <span class="kng-rating-percent text-accent font-700">'.number_format_i18n( $bad_rate*100 / $i, 2 ).'%</span> '.$args['bad_text'];
				}
			}
		} else {
			return false;
		}
	}
}