<?php
/**
 * Page title layout
 **/
if(!function_exists('cetara_page_title_layout')){
    function cetara_page_title_layout($args = []) {
        if( is_singular('kng-footer') || is_singular('kng-mega-menu') || is_404()) return;

        $prefix = is_singular( 'product' ) ? 'product_' : '';
        $prefix = cetara_is_shop_loop() ? 'shop_' : $prefix;

		$show_pagetitle  = cetara_get_opts( $prefix.'pagetitle', '1' );
        $show_title      = cetara_get_opts( $prefix.'ptitle_title_on', '1');
        $show_breadcrumb = cetara_get_opts( $prefix.'ptitle_breadcrumb_on', '1' );
        $show_scroll     = cetara_get_opts( $prefix.'ptitle_scroll_on', '0' );

        $pt_cls = '-default';

        if($show_pagetitle !== '1' || ($show_title !== '1' && $show_breadcrumb !== '1') ) return;

        $single_post_pagetitle = cetara_get_theme_opt('single_post_pagetitle','0');

        $single_post_title_layout = isset($_GET['title-layout1']) ? sanitize_text_field($_GET['title-layout1']) : cetara_get_theme_opt('single_post_title_layout','1');

        
        if(is_singular('post') && $single_post_title_layout == '1'){
            cetara_blog_post_title_layout();
            return;
        } 
         
        if(is_singular('post') && $single_post_pagetitle == '0'){
            return;
        } 

        if(is_singular('events')){
            $single_events_page_title = cetara_get_theme_opt('single_events_page_title','0');
            if($single_events_page_title == '0') return;
            $pt_cls = '-events';
        }

        if(is_singular('authors')){
            $single_author_page_title = cetara_get_theme_opt('single_author_page_title','0');
            if($single_author_page_title == '0') return;
            $pt_cls = '-authors';
        }
         
        if(is_singular('post')){
            $ptitle_layout = cetara_get_opts( 'ptitle_layout', cetara_configs('single_post')['title_layout'] );
            $pt_cls = '-default';
        } elseif(is_singular('product')){
            $ptitle_layout = cetara_get_opts( 'product_ptitle_layout', cetara_configs('product_ptitle')['layout'] );
            $pt_cls = '-product';
        }elseif( cetara_is_shop_loop() ){
            $ptitle_layout = cetara_get_opts( 'shop_ptitle_layout', '2' );
            $pt_cls = '-shop';
        } else {
            $ptitle_layout = cetara_get_opts( 'ptitle_layout', cetara_configs('ptitle')['layout'] );
            $pt_cls = '-default';
        }

		 
    	$args = wp_parse_args($args, [
    		'class' => ''
    	]);

        $title_align = cetara_get_opts( $prefix.'ptitle_title_align', '' );
        $title_wrap = ['text-'.$title_align];
        $title_class = 'heading';

        //  Breadcrumb
        $breadcrumb_align = cetara_get_opts( $prefix.'ptitle_breadcrumb_align', '' );
        $breadcrumb_class = ['kng-pagetitle-breadcrumb','justify-content-'.$breadcrumb_align]; ;
     	?>
    	<div id="kng-pagetitle" class="kng-pagetitle kng-pagetitle<?php echo esc_attr($pt_cls); ?> kng-page-title-layout<?php echo esc_attr($ptitle_layout); ?> relative">
        	<div class="kng-page-title-overlay"></div>
        	<div class="container relative">
        		<div class="kng-page-title-inner">
        			<?php
                        switch ($ptitle_layout) {
                            case '1':
                                    cetara_page_title([
                                        'class'      => implode(',', $title_wrap),
                                        'title_class' => $title_class,
                                        'sub_class'   => 'text-18'
                                    ]);
                                    cetara_breadcrumb( ['class'   => implode(' ', $breadcrumb_class)] );
                                break;
                            case '2':
                                    cetara_breadcrumb( ['class'   => implode(' ', $breadcrumb_class)] );
                                    cetara_page_title([
                                        'class'      => implode(',', $title_wrap),
                                        'title_class' => $title_class,
                                        'sub_class'   => 'text-18'
                                    ]);
                                break;
                            case '3':
                                printf('%s', '<div class="row justify-content-between align-items-center">');
                                    cetara_page_title([
                                        'before'      => '<div class="col-lg-6">',
                                        'after'       => '</div>',
                                        'class'       =>  implode(' ', $title_wrap),
                                        'title_class' =>  $title_class,
                                        'sub_class'   => 'text-18'
                                    ]);
                                    cetara_breadcrumb([
                                        'before'  => '<div class="col-lg-6 text-lg-end">',
                                        'after'   => '</div>',
                                        'class'   => implode(' ', $breadcrumb_class)
                                    ]);
                                printf('%s', '</div>');
                                break;
                            case '4':
                                printf('%s', '<div class="row justify-content-between align-items-center">');
                                    cetara_breadcrumb([
                                        'before'  => '<div class="col-lg-6">',
                                        'after'   => '</div>',
                                        'class'   => implode(' ', $breadcrumb_class)
                                    ]);
                                    cetara_page_title([
                                        'before'      => '<div class="col-lg-6 text-lg-end">',
                                        'after'       => '</div>',
                                        'class'       =>  implode(' ', $title_wrap),
                                        'title_class' => $title_class,
                                        'sub_class'   => 'text-18'
                                    ]);
                                printf('%s', '</div>');
                                break;
                        }
                    ?>
        		</div>
        	</div>
            <?php if($show_scroll): ?>
                <a href="#kng-main" class="kng-scroll kng-ripple kng-ripple-accent kng-vibrate"><span class="kngi-long-arrow-down"></span></a>
            <?php endif; ?>
        </div>
        <?php
    }
}

/**
 * Page Title 
*/
if(!function_exists('cetara_page_title')){
	function cetara_page_title($args = []){
        $prefix = is_singular( 'product' ) ? 'product_' : '';
        $prefix = cetara_is_shop_loop() ? 'shop_' : $prefix;

		$show_title = cetara_get_opts($prefix.'ptitle_title_on', '1');
  
		if($show_title !== '1') return;

		$args = wp_parse_args($args, [
            'class'      => '',
            'title_class' => 'kng-heading',
            'sub_class'  => '',
            'before'     => '',
            'after'      => ''
		]);
         
		$titles        = cetara_get_page_titles();

		printf('%s', $args['before']);
            printf('<div class="kng-page-title %1$s">', $args['class']);
    			if (!empty($titles['title'])){
    			    printf( '<h1 class="main-title %1$s">%2$s</h1>',$args['title_class'], $titles['title'] );
    			}
    	        if(!empty($titles['sub_title'])) { 
    	        	printf( '<div class="kng-page-sub-title %1$s">%2$s</div>',$args['sub_class'], $titles['sub_title']);
    	        }
            printf('%s','</div>');
        printf('%s', $args['after']);
	}
}

/**
 * Prints HTML for breadcrumbs.
 */
if(!function_exists('cetara_breadcrumb')){
    function cetara_breadcrumb($args = []){
        $prefix = is_singular( 'product' ) ? 'product_' : '';
        if(cetara_is_shop_loop())
            $prefix = 'loop_';

        $args = wp_parse_args($args, [
            'show_breadcrumb' => cetara_get_opts( $prefix.'ptitle_breadcrumb_on', '1' )
        ]);

        if ( ! class_exists( 'KNG_Breadcrumb' ) || $args['show_breadcrumb'] !== '1' )
        {
            return;
        }

        $breadcrumb = new KNG_Breadcrumb();
        $entries = $breadcrumb->get_entries();
        if ( empty( $entries ) )
        {
            return;
        }
        $args = wp_parse_args($args, [
            'before'       => '',
            'after'        => '',
            'show_divider' => true,
            'divider_icon' => 'kngi-chevron-right',
            'divider_class' => '',
            'class'        => '',
            'link_class'   => '',
            'text_class'   => ''
        ]);
        $divider = '';
        if($args['show_divider']){
            $divider = '<span class="'.implode(' ', ['br-divider', $args['divider_class'], $args['divider_icon'], 'rtl-flip']).'"></span>';
        }
        ob_start();
        foreach ( $entries as $entry )
        {
            $entry = wp_parse_args( $entry, array(
                'label' => '',
                'url'   => ''
            ) );

            if ( empty( $entry['label'] ) )
            {
                continue;
            }

            echo '<div class="br-item">';

            if ( ! empty( $entry['url'] ) )
            {
                printf(
                    '<a class="br-link '.$args['link_class'].'" href="%1$s">%2$s</a>%3$s',
                    esc_url( $entry['url'] ),
                    esc_attr( $entry['label'] ),
                    $divider
                );
            }
            else
            {
                printf( '<span class="br-text '.$args['text_class'].'" >%s</span>%2$s', $entry['label'], $divider );
            }

            echo '</div>';
        }

        $output = ob_get_clean();

        if ( $output )
        {
        	printf('%s', $args['before']);
            printf( '<div class="kng-breadcrumb %s">%s</div>', $args['class'], $output);
            printf('%s', $args['after']);
        }
    }
}
if(!function_exists('cetara_get_page_titles')){
    function cetara_get_page_titles() {
        $title = '';
        // Default titles
        if ( ! is_archive() ) { 
            // Posts page view
            if ( is_home() ) {
                // Only available if posts page is set.
                if ( ! is_front_page() && $page_for_posts = get_option( 'page_for_posts' ) ) {
                    $title = get_post_meta( $page_for_posts, 'custom_title', true );
                    if ( empty( $title ) ) {
                        $title = get_the_title( $page_for_posts );
                    }
                }
                if ( is_front_page() ) {
                    $title = esc_html__( 'Blog', 'cetara' );
                }
            } elseif ( is_404() ) {
                $title = esc_html__( '404', 'cetara' );
            } elseif ( is_search() ) {
                $title = esc_html__( 'Search results', 'cetara' );
            } else {
                $title = get_post_meta( get_the_ID(), 'custom_title', true );
                if(is_singular('post') && empty($title)) {
                    $title = esc_html__('Blog Post', 'cetara'); 
                    // get_the_title(); 
                } elseif ( ! $title ) {
                    $title = get_the_title();
                } else {
                    $title = $title; //get_the_title();
                }
            }
            $sub_title = get_post_meta( get_the_ID(), 'custom_sub_title', true );
        } elseif ( is_author() ) {  
            //esc_html__( 'Author:', 'cetara' ) . ' ' .
            $title     = get_the_author();
            $sub_title = cetara_get_opts('custom_sub_title');
        } else {    
            $custom_title = cetara_get_opts('custom_title');
            $_title = get_the_archive_title();
            if( class_exists( 'WooCommerce' ) && is_shop() ) {
                $_title = esc_html__( 'Shop', 'cetara' );
            }
            $title = !empty($custom_title) ? $custom_title : $_title;
            $sub_title = cetara_get_opts('custom_sub_title');
        }
        
        return array(
            'title'     => $title,
            'sub_title' => $sub_title
        );
    }
}

function cetara_blog_post_title_layout(){
     
    $post_id = get_the_ID();
    $my_post = get_post( $post_id );
    $user_id = $my_post->post_author;
    $author_url = get_author_posts_url($user_id);
    ?>
    <div id="kng-pagetitle" class="kng-pagetitle kng-pagetitle-default kng-post-title-layout relative">
        <div class="kng-page-title-overlay"></div>
        <div class="container relative">
            <div class="kng-page-title-inner text-center">
                <?php 
                cetara_post_category([
                    'show_icon' => false,
                    'show_cat'  => true,
                    'class'     => 'text-white',
                    'post_id'   => $post_id,
                    'text'      =>  '',
                    'taxo'      => cetara_get_custom_post_taxonomies(get_post_type(), 'cat'),
                    'echo'      => true
                ]);
                cetara_post_title(['tag' => 'h1','class'=>'text-white']);
                ?>
                <div class="date-author text-white">
                    <span class="pt-date"><?php echo get_the_date(get_option('date_format'), $post_id ); ?></span>
                    <span class="pt-author"><?php echo esc_html__('by','cetara') ?> <a href="<?php echo esc_url($author_url); ?>" title="<?php the_author_meta('display_name', $user_id); ?>"><?php the_author_meta('display_name', $user_id); ?></a></span>
                </div>
            </div>
        </div>
    </div>
    <?php 
}

/**
 * Filter breadcrumb entries for single custom post type
 * 
 * @param  array   $entries Each entry should be an array with 'label' and 'url' keys.
 * @param  WP_Post $post    Current post object
 * @return array
 */
function cetara_breadcrumb_single_filter( $entries, $post )
{
    if ( 'cpt' == $post->post_type )
    {
        $new_entries = array();
        $term        = current( wp_get_post_terms( $post->ID, 'ctax2' ) );
        $taxonomy    = get_taxonomy( $term->taxonomy );

        $new_entries[] = array(
            'label' => $term->name,
            'url'   => get_term_link( $term )
        );

        $pterm_id = $term->parent;

        while ( $pterm_id )
        {
            $pterm = get_term( $pterm_id );

            $new_entries[] = array(
                'label' => $pterm->name,
                'url'   => get_term_link( $pterm )
            );
            $pterm_id = $pterm->parent;
        }

        $new_entries[] = array(
            'label' => $taxonomy->labels->name
        );

        return array_reverse( $new_entries );
    }

    return $entries;
}
add_filter( 'cetara_breadcrumb_single', 'cetara_breadcrumb_single_filter', 10, 2 );