<?php
// make some configs
if(!function_exists('cetara_configs')){
    function cetara_configs($value){
        $body_font    = '\'Inter\', sans-serif';
        $heading_font = '\'Gilda Display\', sans-serif';
        $btn_font     = '\'Inter\', sans-serif';
         
        $configs = [
            'theme_colors' => [
                'primary'   => [
                    'title' => esc_html__('Primary', 'cetara').' ('.cetara_get_opts('primary_color', '#D62928').')', 
                    'value' => cetara_get_opts('primary_color', '#D62928')
                ],
                'second' => [
                    'title' => esc_html__('Secondary', 'cetara').' ('.cetara_get_opts('second_color', '#FFB237').')', 
                    'value' => cetara_get_opts('second_color', '#FFB237')
                ],
                'second2' => [
                    'title' => esc_html__('Secondary 2', 'cetara').' ('.cetara_get_opts('second_color2', '#FFF6F0').')', 
                    'value' => cetara_get_opts('second_color2', '#FFF6F0')
                ],
                'third'    => [
                    'title' => esc_html__('Third', 'cetara').' ('.cetara_get_opts('third_color', '#BC3A38').')', 
                    'value' => cetara_get_opts('third_color', '#BC3A38')
                ],
                'rating' => [
                    'title' => esc_html__('Rating', 'cetara').' ('.cetara_get_opts('rating_color', '#FFB237').')', 
                    'value' => cetara_get_opts('rating_color', '#FFB237')
                ],
                'body'     => [
                    'title' => esc_html__('Body', 'cetara').' ('.cetara_get_opts('body_font_typo', ['color' => '#4F4F4F'])['color'].')', 
                    'value' => cetara_get_opts('body_font_typo', ['color' => '#4F4F4F'])['color']
                ],
                'heading'     => [
                    'title' => esc_html__('Heading', 'cetara').' #201C1C', 
                    'value' => '#201C1C'
                ],
                'white'     => [
                    'title' => esc_html__('White', 'cetara'), 
                    'value' => '#ffffff'
                ]
            ],
             
            'link' => [
                'color' => cetara_get_opts('link_color', ['regular' => '#201C1C'])['regular'],
                'color-hover'   => cetara_get_opts('link_color', ['hover' => 'var(--primary-color)'])['hover'],
                'color-active'  => cetara_get_opts('link_color', ['active' => 'var(--primary-color)'])['active'],
            ],

            'body' => [
                'bg'                => '#fff',
                'font-family'       => cetara_get_opts('body_font_typo',['font-family' => $body_font])['font-family'],
                'font-size'         => cetara_get_opts('body_font_typo',['font-size' => '15px'])['font-size'],
                'font-weight'       => cetara_get_opts('body_font_typo',['font-weight' => '400'])['font-weight'],
                'line-height'       => cetara_get_opts('body_font_typo',['line-height' => '1.666666666666667'])['line-height'],
                'letter-spacing'    => cetara_get_opts('body_font_typo',['letter-spacing' => '0px'])['letter-spacing']
            ],

            'heading' => [
                'font-family'      => $heading_font,
                /*'color'            => '#201C1C',*/
                'color-hover'      => 'var(--primary-color)',
                'font-weight'      => '500',
            ],
            
            'button' => [
                'font-family'       => cetara_get_opts('btn_typo',['font-family' => $btn_font])['font-family'],
                'font-size'         => cetara_get_opts('btn_typo',['font-size' => '13px'])['font-size'],
                'font-weight'       => cetara_get_opts('btn_typo',['font-weight' => '500'])['font-weight'],
                'color'             => cetara_get_opts('btn_typo',['color' => '#ffffff'])['color'],
                'letter-spacing'    => cetara_get_opts('btn_typo',['letter-spacing' => '0.12em'])['letter-spacing'],
                'padding'           => '7px 20px',
                'radius'            => '4px',     
                'radius-rtl'        => '4px',
            ],

            'meta' => [
                'font-family'           => $body_font,
                'font-size'             => '13px',   
                'color'                 => 'var(--third-color)',    
                'color-hover'           => 'var(--heading-color)',
                'font-weight'           => '400',
                'separate-color'        => 'var(--third-color)'
            ],

            'border' => [
                'color'          => '#D7D7D7',
                'color2'          => '#E0E0E0',
                'main'           => '1px solid var(--border-color)', 
                'main2'          => '2px solid var(--border-color)',
            ],

            'comment' => [
                'avatar-size'  => 72,
                'border'       => '0',
                'radius'       => '36px' 
            ],

            'header' => [
                'height' => '87px' // use for default header
            ],

            'logo' => [
                'mobile_width' => cetara_get_opts('logo_mobile_size', ['width' => '140px', 'units' => 'px'])['width'],
                'default'   => get_template_directory_uri().'/assets/images/logo.svg',  
                'mobile'    => get_template_directory_uri().'/assets/images/logo-mobile.png',  
            ],
 
            'blog' => [
                'archive_content_col' => 9,
                'archive_sidebar_pos' => 'right',
                'single_content_col'  => 9,
                'single_sidebar_pos'  => 'right',
            ],
             
            'single_post' => [
                'title_layout' => '1'
            ],
            
            // use placeholder image if post dont have feature image
            'default_post_thumbnail' => cetara_get_theme_opt('default_post_thumbnail', false), 
            // make post thumbnail as background of it
            'thumbnail_is_bg'        => cetara_get_theme_opt('thumbnail_is_bg', false),
              
            // Menu Ontop Color
            'ontop' => array_merge(
                ['bg'            => 'transparent'],
                [
                    'regular' => '#fff',
                    'hover'   => '#fff',
                    'active'  => '#fff'
                ]
            ),
            // Menu Sticky Color
            'sticky' => array_merge(
                ['bg'            => '#fff'],
                [
                    'regular' => 'var(--primary-color)',
                    'hover'   => 'var(--second-color)',
                    'active'  => 'var(--second-color)',
                ]
            ),
            // Menu Color

            'menu' => array_merge(
                [
                    'bg'            => '#fff'
                ],
                [
                    'regular' => '#201C1C',
                    'hover'   => '#201C1C',
                    'active'  => '#201C1C',
                ],
                
                [
                    'font_size'   => '13px',
                    'font_weight' => 500,
                    'font_family' => $body_font 
                ]
            ),
            'dropdown' => array_merge(
                [
                    'bg'            => '#FFFFFF',
                    'shadow'        => '0px 10px 40px 0px rgba(27, 26, 26, 0.09)'
                ],
                [
                    'regular' => '#201C1C',
                    'hover'   => '#201C1C',
                    'active'  => '#201C1C',
                ],
                [
                    'font_size'     => '14px',  
                    'item_bg'       => 'transparent',
                    'item_bg_hover' => 'transparent'
                ]
            ),
            'mobile_menu' => array_merge(
                cetara_get_opts('mobile_menu_color', [
                    'regular' => 'var(--heading-color)',
                    'hover'   => 'var(--primary-color);',
                    'active'  => 'var(--primary-color);',
                ]),
                [
                    'font_size'   => '15px',
                    'font_weight' => 400,
                    'font_family' => $body_font,
                    'item_bg'       => 'transparent',
                    'item_bg_hover' => 'transparent',
                    'text_transform' => 'uppercase' 
                ]
            ),
            'mobile_submenu' => array_merge(
                [
                    'regular' => 'var(--heading-color)',
                    'hover'   => 'var(--primary-color);',
                    'active'  => 'var(--primary-color);',
                ],
                [
                    'font_size'     => '14px', 
                    'font_weight' => 400, 
                    'font_family' => $body_font,
                    'item_bg'       => 'transparent',
                    'item_bg_hover' => 'transparent',
                    'text_transform' => 'initial' 
                ]
            ),
             
            // Page title
            'ptitle' => array_merge(
                [
                    'layout' => '1'
                ],
                cetara_get_opts('ptitle_color', [
                    'color' => '#fff',
                    'alpha' => '1',
                    'rgba'  => 'unset'
                ]),
                cetara_get_opts('ptitle_bg', [
                    'background-color'      => '#fff',
                    'background-image'      => '',
                    'background-repeat'     => 'no-repeat',
                    'background-size'       => 'cover',
                    'background-attachment' => 'scroll',
                    'background-position'   => 'center'
                ]),
                cetara_get_opts('ptitle_padding', [
                    'padding-top'      => '130px',
                    'padding-bottom'   => '130px'
                ])
            ),
            'ptitle_overlay' => cetara_get_opts('ptitle_overlay_color', [
                'color' => 'inherit',
                'rgba'  => 'rgba(32, 28, 28, 0.6)'
            ]),
            'ptitle_breadcrumb' => cetara_get_opts('ptitle_breadcrumb_link_color', [
                'regular' => '#ffffff', 
                'hover'   => 'var(--primary-color)', 
                'active'  => '#ffffff'
            ]),

            // shop Page title
            'shop_ptitle' => array_merge(
                [
                    'layout' => '10'
                ],
                cetara_get_opts('shop_ptitle_color', [
                    'color' => '#201C1C',
                    'alpha' => '1',
                    'rgba'  => 'unset'
                ]),
                cetara_get_opts('shop_ptitle_bg', [
                    'background-color'      => '#fff',
                    'background-image'      => '',
                    'background-repeat'     => 'no-repeat',
                    'background-size'       => 'cover',
                    'background-attachment' => 'scroll',
                    'background-position'   => 'center'
                ]),
                cetara_get_opts('shop_ptitle_padding', [
                    'padding-top'      => '48px',
                    'padding-bottom'   => '50px'
                ])
            ),
            'shop_ptitle_overlay' => cetara_get_opts('shop_ptitle_overlay_color', [
                'color' => '#fff',
                'rgba'  => '#fff'
            ]),
            'shop_ptitle_breadcrumb' => cetara_get_opts('shop_ptitle_breadcrumb_link_color', [
                'regular' => '#201C1C', 
                'hover'   => '#201C1C', 
                'active'  => '#828282'
            ]),

            // Product Page title
            'product_ptitle' => array_merge(
                [
                    'layout' => '10'
                ],
                cetara_get_opts('product_ptitle_color', [
                    'color' => '#201C1C',
                    'alpha' => '1',
                    'rgba'  => 'unset'
                ]),
                cetara_get_opts('product_ptitle_bg', [
                    'background-color'      => '#fff',
                    'background-image'      => '',
                    'background-repeat'     => 'no-repeat',
                    'background-size'       => 'cover',
                    'background-attachment' => 'scroll',
                    'background-position'   => 'center'
                ]),
                cetara_get_opts('product_ptitle_padding', [
                    'padding-top'      => '48px',
                    'padding-bottom'   => '50px'
                ])
            ),
            'product_ptitle_overlay' => cetara_get_opts('product_ptitle_overlay_color', [
                'color' => '#fff',
                'rgba'  => '#fff'
            ]),
            'product_ptitle_breadcrumb' => cetara_get_opts('product_ptitle_breadcrumb_link_color', [
                'regular' => '#201C1C', 
                'hover'   => '#201C1C', 
                'active'  => '#828282'
            ]),

            // 404 page
            '404' => [
                'background' => cetara_get_opts('bg_404_page', [
                    'background-repeat'     => 'no-repeat',
                    'background-size'       => 'cover',
                    'background-attachment' => 'fixed',
                    'background-position'   => 'center center'
                ])
            ],

            'content_width'         => 1280,          
            // WooCommerce,
            'cetara_product_single_image_w'          => '546', //432
            'cetara_product_single_image_h'          => '546', //680
            
            'cetara_product_loop_image_w'            => '388',
            'cetara_product_loop_image_h'            => '614',

            'cetara_product_gallery_layout'          => 'default', // simplle, default, horizontal, vertical
            'cetara_product_gallery_thumb_position'  => 'bottom', // bottom, left, right

            'cetara_product_gallery_thumbnail_w'     => '72',
            'cetara_product_gallery_thumbnail_h'     => '72',
            
            'cetara_product_gallery_thumbnail_v_w'   => '72',
            'cetara_product_gallery_thumbnail_v_h'   => '72',
            
            'cetara_product_gallery_thumbnail_h_w'   => '72',
            'cetara_product_gallery_thumbnail_h_h'   => '72',
            
            'cetara_product_gallery_thumbnail_space_vertical'   => '10',
            'cetara_product_gallery_thumbnail_space_horizontal' => '10',
  
        ];
        return $configs[$value];
    }
}
if(!function_exists('cetara_inline_styles')){
    function cetara_inline_styles() {  
        
        $theme_colors      = array_merge(cetara_configs('theme_colors'), cetara_custom_colors());
        $link_color        = cetara_configs('link');
        //$header            = cetara_configs('header'); 
        $menu              = cetara_configs('menu');
        $ontop             = cetara_configs('ontop');
        $sticky            = cetara_configs('sticky');
        $dropdown          = cetara_configs('dropdown');
        $ptitle            = cetara_configs('ptitle');
        $ptitle_overlay    = cetara_configs('ptitle_overlay');
        $ptitle_breadcrumb = cetara_configs('ptitle_breadcrumb');
        $shop_ptitle            = cetara_configs('shop_ptitle');
        $shop_ptitle_overlay    = cetara_configs('shop_ptitle_overlay');
        $shop_ptitle_breadcrumb = cetara_configs('shop_ptitle_breadcrumb');
        $product_ptitle            = cetara_configs('product_ptitle');
        $product_ptitle_overlay    = cetara_configs('product_ptitle_overlay');
        $product_ptitle_breadcrumb = cetara_configs('product_ptitle_breadcrumb');

        ob_start();
        echo ':root{';
            
            foreach ($theme_colors as $color => $value) {
                printf('--%1$s-color: %2$s;', str_replace('#', '',$color),  $value['value']);
            }
            foreach ($theme_colors as $color => $value) {
                printf('--%1$s-color-rgb: %2$s;', str_replace('#', '',$color),  cetara_hex_rgb($value['value']));
            }
            foreach ($link_color as $color => $value) {
                printf('--link-%1$s: %2$s;', $color, $value);
            }
            foreach ($ontop as $key => $value) {
                printf('--ontop-%1$s: %2$s;', $key, $value);
            }
            foreach ($sticky as $key => $value) {
                printf('--sticky-%1$s: %2$s;', $key, $value);
            }
            foreach ($dropdown as $key => $value) {
                printf('--dropdown-%1$s: %2$s;', $key, $value);
            }
            foreach ($ptitle as $key => $value) {
                if($key === 'background-image') $value = 'url('.$value.')';
                if(!is_array($value))
                    printf('--ptitle-%1$s: %2$s;', $key, $value);          
            }
            foreach ($ptitle_overlay as $key => $value) {

                printf('--ptitle-overlay-%1$s: %2$s;', $key, $value);
            }
            foreach ($ptitle_breadcrumb as $key => $value) {
                printf('--ptitle-breadcrumb-%1$s: %2$s;', $key, $value);
            }
            foreach ($shop_ptitle as $key => $value) {
                if($key === 'background-image') $value = 'url('.$value.')';
                if(!is_array($value))
                    printf('--shop-ptitle-%1$s: %2$s;', $key, $value);          
            }
            foreach ($shop_ptitle_overlay as $key => $value) {

                printf('--shop-ptitle-overlay-%1$s: %2$s;', $key, $value);
            }
            foreach ($shop_ptitle_breadcrumb as $key => $value) {
                printf('--shop-ptitle-breadcrumb-%1$s: %2$s;', $key, $value);
            }
            foreach ($product_ptitle as $key => $value) {
                if($key === 'background-image') $value = 'url('.$value.')';
                if(!is_array($value))
                    printf('--product-ptitle-%1$s: %2$s;', $key, $value);          
            }
            foreach ($product_ptitle_overlay as $key => $value) {

                printf('--product-ptitle-overlay-%1$s: %2$s;', $key, $value);
            }
            foreach ($product_ptitle_breadcrumb as $key => $value) {
                printf('--product-ptitle-breadcrumb-%1$s: %2$s;', $key, $value);
            }

              
        echo '}';

        return ob_get_clean();
         
    }
}

function cetara_animate() {
    $kng_animate = array(
        '' => 'None',
        'wow bounce' => 'bounce',
        'wow flash' => 'flash',
        'wow pulse' => 'pulse',
        'wow rubberBand' => 'rubberBand',
        'wow shake' => 'shake',
        'wow swing' => 'swing',
        'wow tada' => 'tada',
        'wow wobble' => 'wobble',
        'wow bounceIn' => 'bounceIn',
        'wow bounceInDown' => 'bounceInDown',
        'wow bounceInLeft' => 'bounceInLeft',
        'wow bounceInRight' => 'bounceInRight',
        'wow bounceInUp' => 'bounceInUp',
        'wow bounceOut' => 'bounceOut',
        'wow bounceOutDown' => 'bounceOutDown',
        'wow bounceOutLeft' => 'bounceOutLeft',
        'wow bounceOutRight' => 'bounceOutRight',
        'wow bounceOutUp' => 'bounceOutUp',
        'wow fadeIn' => 'fadeIn',
        'wow fadeInDown' => 'fadeInDown',
        'wow fadeInDownBig' => 'fadeInDownBig',
        'wow fadeInLeft' => 'fadeInLeft',
        'wow fadeInLeftBig' => 'fadeInLeftBig',
        'wow fadeInRight' => 'fadeInRight',
        'wow fadeInRightBig' => 'fadeInRightBig',
        'wow fadeInUp' => 'fadeInUp',
        'wow fadeInUpBig' => 'fadeInUpBig',
        'wow fadeOut' => 'fadeOut',
        'wow fadeOutDown' => 'fadeOutDown',
        'wow fadeOutDownBig' => 'fadeOutDownBig',
        'wow fadeOutLeft' => 'fadeOutLeft',
        'wow fadeOutLeftBig' => 'fadeOutLeftBig',
        'wow fadeOutRight' => 'fadeOutRight',
        'wow fadeOutRightBig' => 'fadeOutRightBig',
        'wow fadeOutUp' => 'fadeOutUp',
        'wow fadeOutUpBig' => 'fadeOutUpBig',
        'wow flip' => 'flip',
        'wow flipInX' => 'flipInX',
        'wow flipInY' => 'flipInY',
        'wow flipOutX' => 'flipOutX',
        'wow flipOutY' => 'flipOutY',
        'wow lightSpeedIn' => 'lightSpeedIn',
        'wow lightSpeedOut' => 'lightSpeedOut',
        'wow rotateIn' => 'rotateIn',
        'wow rotateInDownLeft' => 'rotateInDownLeft',
        'wow rotateInDownRight' => 'rotateInDownRight',
        'wow rotateInUpLeft' => 'rotateInUpLeft',
        'wow rotateInUpRight' => 'rotateInUpRight',
        'wow rotateOut' => 'rotateOut',
        'wow rotateOutDownLeft' => 'rotateOutDownLeft',
        'wow rotateOutDownRight' => 'rotateOutDownRight',
        'wow rotateOutUpLeft' => 'rotateOutUpLeft',
        'wow rotateOutUpRight' => 'rotateOutUpRight',
        'wow hinge' => 'hinge',
        'wow rollIn' => 'rollIn',
        'wow rollOut' => 'rollOut',
        'wow zoomIn' => 'zoomIn',
        'wow zoomInDown' => 'zoomInDown',
        'wow zoomInLeft' => 'zoomInLeft',
        'wow zoomInRight' => 'zoomInRight',
        'wow zoomInUp' => 'zoomInUp',
        'wow zoomOut' => 'zoomOut',
        'wow zoomOutDown' => 'zoomOutDown',
        'wow zoomOutLeft' => 'zoomOutLeft',
        'wow zoomOutRight' => 'zoomOutRight',
        'wow zoomOutUp' => 'zoomOutUp',
    );
    return $kng_animate;
}

function cetara_animate_case() {
    $kng_animate = array(
        '' => 'None',
        'case-fade-in-up' => 'Case Fade In Up',
        'bounce' => 'bounce',
        'flash' => 'flash',
        'pulse' => 'pulse',
        'rubberBand' => 'rubberBand',
        'shake' => 'shake',
        'swing' => 'swing',
        'tada' => 'tada',
        'wobble' => 'wobble',
        'bounceIn' => 'bounceIn',
        'bounceInDown' => 'bounceInDown',
        'bounceInLeft' => 'bounceInLeft',
        'bounceInRight' => 'bounceInRight',
        'bounceInUp' => 'bounceInUp',
        'bounceOut' => 'bounceOut',
        'bounceOutDown' => 'bounceOutDown',
        'bounceOutLeft' => 'bounceOutLeft',
        'bounceOutRight' => 'bounceOutRight',
        'bounceOutUp' => 'bounceOutUp',
        'fadeIn' => 'fadeIn',
        'fadeInDown' => 'fadeInDown',
        'fadeInDownBig' => 'fadeInDownBig',
        'fadeInLeft' => 'fadeInLeft',
        'fadeInLeftBig' => 'fadeInLeftBig',
        'fadeInRight' => 'fadeInRight',
        'fadeInRightBig' => 'fadeInRightBig',
        'fadeInUp' => 'fadeInUp',
        'fadeInUpBig' => 'fadeInUpBig',
        'fadeOut' => 'fadeOut',
        'fadeOutDown' => 'fadeOutDown',
        'fadeOutDownBig' => 'fadeOutDownBig',
        'fadeOutLeft' => 'fadeOutLeft',
        'fadeOutLeftBig' => 'fadeOutLeftBig',
        'fadeOutRight' => 'fadeOutRight',
        'fadeOutRightBig' => 'fadeOutRightBig',
        'fadeOutUp' => 'fadeOutUp',
        'fadeOutUpBig' => 'fadeOutUpBig',
        'flip' => 'flip',
        'flipInX' => 'flipInX',
        'flipInY' => 'flipInY',
        'flipOutX' => 'flipOutX',
        'flipOutY' => 'flipOutY',
        'lightSpeedIn' => 'lightSpeedIn',
        'lightSpeedOut' => 'lightSpeedOut',
        'rotateIn' => 'rotateIn',
        'rotateInDownLeft' => 'rotateInDownLeft',
        'rotateInDownRight' => 'rotateInDownRight',
        'rotateInUpLeft' => 'rotateInUpLeft',
        'rotateInUpRight' => 'rotateInUpRight',
        'rotateOut' => 'rotateOut',
        'rotateOutDownLeft' => 'rotateOutDownLeft',
        'rotateOutDownRight' => 'rotateOutDownRight',
        'rotateOutUpLeft' => 'rotateOutUpLeft',
        'rotateOutUpRight' => 'rotateOutUpRight',
        'hinge' => 'hinge',
        'rollIn' => 'rollIn',
        'rollOut' => 'rollOut',
        'zoomIn' => 'zoomIn',
        'zoomInDown' => 'zoomInDown',
        'zoomInLeft' => 'zoomInLeft',
        'zoomInRight' => 'zoomInRight',
        'zoomInUp' => 'zoomInUp',
        'zoomOut' => 'zoomOut',
        'zoomOutDown' => 'zoomOutDown',
        'zoomOutLeft' => 'zoomOutLeft',
        'zoomOutRight' => 'zoomOutRight',
        'zoomOutUp' => 'zoomOutUp',
    );
    return $kng_animate;
} 