<?php
 
/**
 * Header 
**/
if(!function_exists('cetara_header_opts')){
	function cetara_header_opts($args=[]){
		$args = wp_parse_args($args,[
			'default'         => false,
			'default_value'   => '1',
			'container_width' => 'container-wide'
		]);
		 
		$opt_lists = cetara_list_post_header('kng-header', 'no', $args['default']);
		$opt_lists_sticky = cetara_list_post_header('kng-header', 'yes', $args['default']);
		$header_container_width_default = [
			'-1'    => esc_html__('Theme Default', 'cetara')
		];
		$header_container_width_list = [
			'container'      => esc_html__('Default', 'cetara'),
			'container-wide' => esc_html__('Wide', 'cetara'),
			'container-full' => esc_html__('Full', 'cetara'),
		];
		if($args['default']){
			 
			$header_container_width_opts = $header_container_width_default + $header_container_width_list;
			$options = [
				'-1' => esc_html__('Default','cetara'),
                '1'  => esc_html__('Yes','cetara'),
                '0'  => esc_html__('No','cetara'),
			];
			$default_value = '-1';
		} else {
			 
			$header_container_width_opts = $header_container_width_list;
			$options = [
				'1'  => esc_html__('Yes','cetara'),
                '0'  => esc_html__('No','cetara'),
			];
			$default_value = '0';
		}
   
		$opts = array(
	        array(
	            'id'       => 'header_layout',
	            'type'     => 'select',
	            'title'    => esc_html__('Main Layout', 'cetara'),
	            'subtitle' => esc_html__('Select a layout for header.', 'cetara'),
	            'options'  => $opt_lists,
	            'default'  => ''  
	        ),
	        array(
                'id'       => 'header_is_sticky',
                'title'    => esc_html__('Header Sticky', 'cetara'),
                'type'     => 'switch',
                'default'  => false,
            ),
            array(
                'id'       => 'header_mobile_is_sticky',
                'title'    => esc_html__('Mobile Header Sticky', 'cetara'),
                'type'     => 'switch',
                'default'  => false,
            ),
	        array(
	            'id'       => 'header_ontop',
	            'title'    => esc_html__('Header OnTop (Transparent)', 'cetara'),
	            'subtitle' => esc_html__('Header will be overlay on next content when applicable.', 'cetara'),
	            'type'     => 'button_set',
                'options'  => $options,
                'default'  => $default_value,
	        ),
	        array(
	            'id'       => 'mobile_header_ontop',
	            'title'    => esc_html__('Mobile Header OnTop', 'cetara'),
	            'subtitle' => esc_html__('Header will be overlay on next content when applicable on mobile.', 'cetara'),
	            'type'     => 'button_set',
                'options'  => $options,
                'default'  => $default_value,
	        )  
	         
	    );
 
		return $opts;
	}
}
 
if(!function_exists('cetara_header_logo_opts')){
	function cetara_header_mobile_opts($args = []){
		$args = wp_parse_args($args, [
			'default'    => false,
			'default_value'  => '1',
		]);
		
		if($args['default']){
			$options = [
				'-1' => esc_html__('Default','cetara'),
                '1'  => esc_html__('Yes','cetara'),
                '0'  => esc_html__('No','cetara'),
			];
			$default_value_icon  = '-1'; 
			$default_value_icon_cart  = '-1';
			
		} else {
			$options = [
				'1'  => esc_html__('Yes','cetara'),
                '0'  => esc_html__('No','cetara'),
			];
			$default_value_icon  = '0'; 
			$default_value_icon_cart  = '1';  
		}

		$wishlist = [];
		if(class_exists('WPcleverWoosw'))
			$wishlist = array(
	            'id'       => 'mobile_header_wishlist',
	            'type'     => 'button_set',
	            'title'    => esc_html__('Show Wishlist', 'cetara'),
	            'options' => $options, 
	            'default' => $default_value_icon
	        );

		return array(
			array(
				'title'  => esc_html__('Header top mobile', 'cetara'),
				'type'   => 'section',
				'id'     => 'header_top_mobile',
				'indent' => true
	        ),
			array(
			    'id'=>'header_top_mobile_html',
			    'type' => 'multi_text',
			    'title' => esc_html__('Text items', 'cetara'),
			    'subtitle'     => esc_html__('This is the description field for additional info', 'cetara'),
			    'desc'         => esc_html__('info as email, address, phone', 'cetara'),
			),
			array(
	            'id'       => 'header_top_mobile_bg',
	            'type'     => 'color_rgba',
	            'title'    => esc_html__('Background Color', 'cetara'),
	            'output'   => array('background-color' => '.kng-header-mobile .header-top-mobile')
	        ),
	        array(
	            'id'          => 'header_top_mobile_color',
	            'type'        => 'color',
	            'title'       => esc_html__('Text Color', 'cetara'),
	            'transparent' => false,
	            'output'   => array('color' => '.kng-header-mobile .header-top-mobile,.kng-header-mobile .header-top-mobile a'),
	            'default'     => ''
	        ),
	        array(
	            'id'          => 'header_top_mobile_icon_color',
	            'type'        => 'color',
	            'title'       => esc_html__('Icon Color', 'cetara'),
	            'transparent' => false,
	            'output'   => array(
	            	'color' => '.kng-header-mobile .header-top-mobile .fa,.kng-header-mobile .header-top-mobile .icon,.kng-header-mobile .header-top-mobile i',
	            	'fill' => '.kng-header-mobile .header-top-mobile svg path'),
	            'default'     => ''
	        ),
	        array(
				'title'  => esc_html__('Header main mobile', 'cetara'),
				'type'   => 'section',
				'id'     => 'header_main_mobile',
				'indent' => true
	        ),
	        array(
	            'id'       => 'header_main_mobile_bg',
	            'type'     => 'color_rgba',
	            'title'    => esc_html__('Background Color', 'cetara'),
	            'output'   => array('background-color' => '.kng-header-mobile .header-main-mobile')
	        ),
	        array(
	            'id'       => 'mobile_menu_toggle',
	            'type'     => 'button_set',
	            'title'    => esc_html__('Toggle menu icon(Yes), text(No)', 'cetara'),
	            'options'  => $options, 
	            'default'  => $args['default_value']
	        ),
	        array(
	            'id'       => 'logo_m',
	            'type'     => 'media',
	            'title'    => esc_html__('Logo Mobile', 'cetara'),
	            'default' => array(
	                'url'=>''
	            )
	        ),
	        array(
	            'id'       => 'logo_mobile_size',
	            'type'     => 'dimensions',
	            'title'    => esc_html__('Logo Size', 'cetara'),
	            'subtitle' => esc_html__('Enter demensions for your logo', 'cetara'),
	            'height'    => false,
	            'unit'     => 'px'
	        ),
	        array(
	            'id'       => 'mobile_header_search',
	            'type'     => 'button_set',
	            'title'    => esc_html__('Show Search', 'cetara'),
	            'options' => $options, 
	            'default' => $default_value_icon
	        ),
	        array(
	            'id'       => 'mobile_header_user',
	            'type'     => 'button_set',
	            'title'    => esc_html__('Show User', 'cetara'),
	            'options' => $options, 
	            'default' => $default_value_icon
	        ),
	        $wishlist,
	        array(
	            'id'       => 'mobile_header_cart',
	            'type'     => 'button_set',
	            'title'    => esc_html__('Show Cart', 'cetara'),
	            'options' => $options, 
	            'default' => $default_value_icon_cart
	        ),
	    );
	}
}

function cetara_mobile_menu_panel_opts($args = []){
	$args = wp_parse_args($args, [
		'default'    => false,
		'default_value'  => '1',
	]);
	 
	if($args['default']){
		$options = [
			'-1' => esc_html__('Default','cetara'),
            '1'  => esc_html__('Yes','cetara'),
            '0'  => esc_html__('No','cetara'),
		];
		$menus = ['-1' => esc_html__('Theme Options','cetara')] + cetara_get_nav_menu();
		$default_menu  = '-1';
		$search_options = [
			'-1' => esc_html__('Default','cetara'),
            '1'  => esc_html__('Search Normal','cetara'),
            '2'  => esc_html__('Search Product (Ajax)','cetara'),
            '0'  => esc_html__('No','cetara'),
		];
	} else {
		$options = [
			'1'  => esc_html__('Yes','cetara'),
            '0'  => esc_html__('No','cetara'),
		];
		$menus = cetara_get_nav_menu();
		$default_menu  = '0';
		$search_options = [
            '1'  => esc_html__('Search Normal','cetara'),
            '2'  => esc_html__('Search Product (Ajax)','cetara'),
            '0'  => esc_html__('No','cetara'),
		];
	}

	$wishlist = [];
	if(class_exists('WPcleverWoosw'))
		$wishlist = array(
            'id'       => 'mobile_panel_wishlist',
            'type'     => 'button_set',
            'title'    => esc_html__('Show Wishlist', 'cetara'),
            'options' => $options, 
            'default' => $args['default_value']
        );

	return array(
        array(
			'title'       => esc_html__('Choose Menu', 'cetara'),
			'subtitle'    => esc_html__('Choose your menu', 'cetara'),
			'placeholder' => esc_html__('Choose your menu', 'cetara'),
			'id'          => 'mobile_panel_menu',
			'type'        => 'select',
			'options'     => $menus,
			'default'     => $default_menu,
        ),
        array(
            'id'      => 'mobile_menu_color',
            'type'    => 'link_color',
            'title'   => esc_html__('Color', 'cetara'),
            'default' => array(
                'regular' => '',
                'hover'   => '',
                'active'   => '',
            ),
        ),
        array(
            'id'       => 'mobile_panel_search',
            'type'     => 'button_set',
            'title'    => esc_html__('Show Search', 'cetara'),
            'options' => $search_options, 
            'default' => $args['default_value']
        ),
        array(
            'id'       => 'mobile_panel_user',
            'type'     => 'button_set',
            'title'    => esc_html__('Show User', 'cetara'),
            'options'  => $options, 
            'default'  => $args['default_value']
        ),
        $wishlist,
        array(
            'id'       => 'mobile_panel_cart',
            'type'     => 'button_set',
            'title'    => esc_html__('Show Cart', 'cetara'),
            'options'  => $options, 
            'default'  => $args['default_value']
        ),
        array(
            'id'       => 'mobile_panel_language',
            'type'     => 'button_set',
            'title'    => esc_html__('Show Language', 'cetara'),
            'options'  => $options, 
            'default'  => $args['default_value']
        ),
        array(
            'id'      => 'mobile_panel_social',
            'type'    => 'sorter',
            'desc'    => esc_html__('Choose which social networks are displayed and edit where they link to.', 'cetara'),
            'options' => array(
                'enabled'  => array(),
                'disabled' => array(
					'facebook'    => 'Facebook',
					'twitter'     => 'Twitter',
					'linkedin'    => 'Linkedin',
					'instagram'   => 'Instagram',
					'google'      => 'Google',
					'tripadvisor' => 'Tripadvisor',
					'youtube'     => 'Youtube',
					'vimeo'       => 'Vimeo',
					'tumblr'      => 'Tumblr',
					'pinterest'   => 'Pinterest',
					'yelp'        => 'Yelp',
					'skype'       => 'Skype',
                )
            ),
        )
    );
}
 
/**
 * Page Title
***/
if(!function_exists('cetara_page_title_opts')){
	function cetara_page_title_opts($args = []){
		$args = wp_parse_args($args, [
			'prefix'		 => '',	
			'default'        => '',
			'default_value'  => '1',
			'default_layout' => '',
			'subsection'     => ''
		]);		
		return array(
			'title'      => esc_html__('Page Title', 'cetara'),
			'icon'       => 'el-icon-map-marker',
			'subsection' => $args['subsection'],
			'fields'     => cetara_page_title_opts_fields($args)
		);
	}
}
if(!function_exists('cetara_page_title_opts_fields')){
	function cetara_page_title_opts_fields($args = []){
		$args = wp_parse_args($args, [
			'prefix'         => '',
			'default'        => false,
			'default_value'  => '1',
			'default_layout' => '',
			'subsection'     => false
		]);
		if($args['default']){
			$options = [
				'-1' => esc_html__('Default','cetara'),
                '1'  => esc_html__('Yes','cetara'),
                '0'  => esc_html__('No','cetara'),
			];
			// Default Layout 
			$ptitle_layout = !empty($args['default_layout']) ? $args['default_layout'] : '-1';
		} else {
			$options = [
				'1'  => esc_html__('Yes','cetara'),
                '0'  => esc_html__('No','cetara'),
			];
			// Default Layout 
			$ptitle_layout = !empty($args['default_layout']) ? $args['default_layout'] : cetara_configs('ptitle')['layout'];
		}
		// layout
		$layout_default = [
			'-1' => get_template_directory_uri() . '/assets/images/default.jpg',
		];
		$layout_list = [
			'1' => get_template_directory_uri() . '/assets/images/ptitle-layout/p1.jpg',
			'2' => get_template_directory_uri() . '/assets/images/ptitle-layout/p2.jpg',
			'3' => get_template_directory_uri() . '/assets/images/ptitle-layout/p3.jpg',
			'4' => get_template_directory_uri() . '/assets/images/ptitle-layout/p4.jpg',
		];
		
		if($args['default']){
			$layout_opts = $layout_default +  $layout_list;
		} else {
			$layout_opts = $layout_list;
		}
		// Show/Hide
		if($args['default']){
			$sh_options = [
				'-1' => esc_html__('Default','cetara'),
                '1'  => esc_html__('Show','cetara'),
                '0'  => esc_html__('Hide','cetara'),
			];
		} else {
			$sh_options = [
				'1'  => esc_html__('Show','cetara'),
                '0'  => esc_html__('Hide','cetara'),
			];
		}
		  
		$args['layout_opts']   = $layout_opts;
		$args['sh_options']    = $sh_options;
		$args['ptitle_layout'] = $ptitle_layout;
 
		return array(
	        array(
	            'id'           => $args['prefix'].'pagetitle',
	            'type'         => 'button_set',
	            'title'        => esc_html__( 'Page Title', 'cetara' ),
	            'subtitle'     => esc_html__('Show/Hide page title?', 'cetara'),
	            'options'      => $args['sh_options'],
	            'default'      => $args['default_value'],
	        ),
	        array(
	            'id'       => $args['prefix'].'ptitle_layout',
	            'type'     => 'image_select',
	            'title'    => esc_html__('Layout', 'cetara'),
	            'subtitle' => esc_html__('Select a layout for page title.', 'cetara'),
	            'options'  => $args['layout_opts'],
	            'default'  => $args['ptitle_layout'],
	            'required' => array( 0 => $args['prefix'].'pagetitle', 1 => 'equals', 2 => '1' ),
	        ),
	        array(
				'id'             => $args['prefix'].'ptitle_padding',
				'type'           => 'spacing',
				'title'          => esc_html__( 'Page title padding', 'cetara' ),
				'desc'           => esc_html__( 'Page title padding top and bottom ', 'cetara' ),
				'right'          => false,
				'left'           => false,
				'mode'           => 'padding',
				'units'          => array( 'px' ),
				'units_extended' => 'false',
				'default'        => array(
					'padding-top'    => '',
					'padding-bottom' => '',
					'units'          => 'px',
				),
				'required' => array( 0 => $args['prefix'].'pagetitle', 1 => 'equals', 2 => '1' ),
			),
	        array(
				'id'                    => $args['prefix'].'ptitle_bg',
				'type'                  => 'background',
				'title'                 => esc_html__('Background', 'cetara'),
				'subtitle'              => esc_html__('Page title background.', 'cetara'),
				'required'              => array( 0 => $args['prefix'].'pagetitle', 1 => 'equals', 2 => '1' ),
	        ),
	        array(
				'id'           => $args['prefix'].'ptitle_overlay_color',
				'type'         => 'color_rgba',
				'title'        => esc_html__('Overlay Background Color', 'cetara'),
				'required'     => array( 0 => $args['prefix'].'pagetitle', 1 => 'equals', 2 => '1' ),
	        ),
	        array(
	            'id'       => $args['prefix'].'ptitle_title_on',
	            'type'     => 'button_set',
	            'title'    => esc_html__('Show Title', 'cetara'),
	            'options'  => $args['sh_options'],
	            'default'  => $args['default_value'],
	            'required' => array($args['prefix'].'pagetitle', '=', '1' ) 
	        ),
	        cetara_page_title_custom_text_opts($args['default']),
	        cetara_page_title_custom_sub_text_opts($args['default']),
	        array(
				'id'          => $args['prefix'].'ptitle_color',
				'type'        => 'color_rgba',
				'title'       => esc_html__('Title Color', 'cetara'),
				'subtitle'    => esc_html__('Page title color.', 'cetara'),
				'required'    => array( 0 => $args['prefix'].'ptitle_title_on', 1 => 'equals', 2 => '1' ),
	        ),
	        array(
	            'id'       => $args['prefix'].'ptitle_title_align',
	            'type'     => 'button_set',
	            'title'    => esc_html__('Title Align', 'cetara'),
	            'options'  => array(
	            	''	=> esc_html__('Default', 'cetara'),
	            	'center'=> esc_html__('Center', 'cetara'),
	            	'right'	=> esc_html__('Right', 'cetara'),
	            ),
	            'default'  => '',
	            'required' => array($args['prefix'].'ptitle_title_on', '=', '1' )  
	        ),
	        array(
	            'id'       => $args['prefix'].'ptitle_breadcrumb_on',
	            'type'     => 'button_set',
	            'title'    => esc_html__('Show Breadcrumb', 'cetara'),
	            'options'  => $args['sh_options'],
	            'default'  => $args['default_value'],
	            'required' => array( 0 => $args['prefix'].'pagetitle', 1 => 'equals', 2 => '1' ),
	        ),
	        array(
	            'id'      => $args['prefix'].'ptitle_breadcrumb_link_color',
	            'type'    => 'link_color',
	            'title'   => esc_html__('Breadcrumb Color', 'cetara'),
	            'default' => array(
	                'regular' => '',
	                'hover'   => '',
	                'active'  => '',
	            ),
	            'required' => array( 0 => $args['prefix'].'ptitle_breadcrumb_on', 1 => 'equals', 2 => '1' ),
	        ),
	        array(
	            'id'       => $args['prefix'].'ptitle_breadcrumb_align',
	            'type'     => 'button_set',
	            'title'    => esc_html__('Breadcrumb Align', 'cetara'),
	            'options'  => array(
	            	'start'	=> esc_html__('Start', 'cetara'),
	            	'center'=> esc_html__('Center', 'cetara'),
	            	'end'	=> esc_html__('End', 'cetara'),
	            ),
	            'default'  => '',
	            'required' => array($args['prefix'].'ptitle_breadcrumb_on', '=', '1' )  
	        ),
	    );
	}
}
if(!function_exists('cetara_page_title_custom_text_opts')){
	function cetara_page_title_custom_text_opts($show){
		if(!$show) return [];
		return array(
			'id'           => 'custom_title',
			'type'         => 'textarea',
			'title'        => esc_html__( 'Custom Title', 'cetara' ),
			'subtitle'     => esc_html__( 'Use custom title for this page. The default title will be used on document title.', 'cetara' ),
			'required' 	   => array( 
				array(0 => 'ptitle_title_on', 1 => 'equals', 2 => '1' )
			)
		);
	}
}
if(!function_exists('cetara_page_title_custom_sub_text_opts')){
	function cetara_page_title_custom_sub_text_opts($show){
		if(!$show) return [];
		return array(
			'id'           => 'custom_sub_title',
			'type'         => 'textarea',
			'title'        => esc_html__( 'Custom Sub Title', 'cetara' ),
			'subtitle'     => esc_html__( 'Add short description for page title', 'cetara' ),
			'required' 	   => array( 
				array(0 => 'ptitle_title_on', 1 => 'equals', 2 => '1' )
			)
		);
	}
}
/**
 * Page Options 
*/ 
if(!function_exists('cetara_page_layout_opts')){
	function cetara_page_layout_opts($args = []){
		$args = wp_parse_args($args, [
			'name'          => 'page_sidebar_pos',	
			'title'         => esc_html__('Single Page', 'cetara'),
			'default'       => false,
			'default_value' => cetara_configs('blog')['archive_sidebar_pos'],
			'subsection'    => true,
			'fields_only'   => false
		]);
		$params = array(
		    'title'      => $args['title'],
		    'icon'       => 'el-icon-file-edit',
		    'subsection' => $args['subsection'],
		    'fields'     => array(
		        cetara_sidebar_opts([
		            'name'          => $args['name'],
		            'default'		=> $args['default'],
		            'default_value' => $args['default_value'],
		            'subsection'    => $args['subsection'],
		            'fields_only'   => $args['fields_only']
		        ]),
		        array(
		            'id'            => 'page_content_col',
		            'title'         => esc_html__('Content Columns', 'cetara'),
		            'subtitle'      => esc_html__('Choose content Columns', 'cetara'),
		            'type'          => 'slider',
		            'default'       => cetara_configs('blog')['single_content_col'],
		            'min'           => 1,
		            'step'          => 1,
		            'max'           => 11,
		            'display_value' => 'label',
		            'required'      => [ 
		                [$args['name'], '!=', '0'],
		                [$args['name'], '!=', 'bottom']
		            ],
		        )
		    )
		);
		if($args['default']){
			array_push(
				$params['fields'], 
				array(
					'id'             => 'content_padding',
					'type'           => 'spacing',
					'output'         => array( '#kng-main' ),
					'right'          => false,
					'left'           => false,
					'mode'           => 'padding',
					'units'          => array( 'px' ),
					'units_extended' => 'false',
					'title'          => esc_html__( 'Content Padding', 'cetara' ),
					'desc'           => esc_html__( 'Default: Theme Option.', 'cetara' ),
					'default'        => array(
						'padding-top'    => '',
						'padding-bottom' => '',
						'units'          => 'px',
					)
				)
			);
		}

		return $params;

	}
}
if(!function_exists('cetara_product_single_opts_wishlist_compare')){
	function cetara_product_single_opts_wishlist_compare(){
		$arr = [];
		if(class_exists('WPCleverWoosw'))
			$arr[] = array(
	            'id'       => 'product_wishlist',
	            'title'    => esc_html__('Show Wishlist', 'cetara'),
	            'type'     => 'switch',
	            'default'  => '1',
	        );
		if(class_exists('WPCleverWoosc'))
			$arr[] = array(
	            'id'       => 'product_compare',
	            'title'    => esc_html__('Show compare', 'cetara'),
	            'type'     => 'switch',
	            'default'  => '1',
	        );
		return $arr;
	}
}
/**
 * Footer Options
**/
if(!function_exists('cetara_footer_opts')){
	function cetara_footer_opts($args=[]){
		$args = wp_parse_args($args, [
			'default'       => false,
			'default_value' => '1',
			'subsection'    => false
		]);
		if($args['default']){
			$footer_fixed_options = [
				'-1' => esc_html__('Default','cetara'),
                '1'  => esc_html__('Yes','cetara'),
                '0'  => esc_html__('No','cetara'),
			];
			$footer_layout_default = '-1';
			$footer_fixed_default_value = '-1';
		} else {
			$footer_fixed_options = [
				'1'  => esc_html__('Yes','cetara'),
                '0'  => esc_html__('No','cetara'),
			];
			$footer_layout_default = '';
			$footer_fixed_default_value = '0';
		}
		
		// Return
		return array(
		    'title'      => esc_html__('Footer', 'cetara'),
		    'icon'       => 'el-icon-website',
		    'subsection' => $args['subsection'],
		    'fields'     => array(
		        array(
                    'id'          => 'footer_layout',
                    'type'        => 'select',
                    'title'       => esc_html__('Layout', 'cetara'),
                    'subtitle'    => esc_html__('Select a layout for upper footer area.', 'cetara'),
                    'desc'        => sprintf(esc_html__('%sClick Here%s to add your custom footer layout.','cetara'),'<a href="' . esc_url( admin_url( 'edit.php?post_type=kng-footer' ) ) . '" target="_blank">','</a>'),
                    'placeholder' => esc_html__('Default','cetara'),
                    'options'     => cetara_list_post('kng-footer', $args['default']),
                    'default'     => $footer_layout_default
                ),
	            array(
                    'title'    => esc_html__('Footer Fixed', 'cetara'),
                    'subtitle' => esc_html__('Make footer fixed at bottom?', 'cetara'),
                    'id'       => 'footer_fixed',
                    'type'     => 'button_set',
                    'options'  => $footer_fixed_options,
                    'default'  => $footer_fixed_default_value,
                )
            )
		);
	}
}
 
/**
 * Sidebar
*/
if(!function_exists('cetara_sidebar_opts')){
	function cetara_sidebar_opts($args = []){
		$args = wp_parse_args($args, [
			'name'          => 'sidebar_page_pos',
			'default'       => false,
			'default_value' => cetara_configs('blog')['archive_sidebar_pos'],
			'subsection'    => true,
			'fields_only'	=> false
		]);
		if($args['default']){
			$options = [
				'-1'    => esc_html__('Default','cetara'),
				'0'     => esc_html__('No Sidebar','cetara'),
				'left'  => esc_html__('Left','cetara'),
				'right' => esc_html__('Right','cetara'),
				'bottom' => esc_html__('Bottom','cetara'),
			];
			$default_value = '0';
		} else {
			$options = [
				'0'     => esc_html__('No Sidebar','cetara'),
				'left'  => esc_html__('Left','cetara'),
				'right' => esc_html__('Right','cetara'),
				'bottom' => esc_html__('Bottom','cetara'),
			];
			$default_value = $args['default_value'];
		}
		// Return
		return array(
            'title'    => esc_html__('Sidebar Position', 'cetara'),
            'subtitle' => esc_html__('Choose position for sidebar', 'cetara'),
            'id'       => $args['name'],
            'type'     => 'button_set',
            'options'  => $options,
            'default'  => $default_value,
        );
	}
}
 
 