<?php
/**
 * Template part for displaying event single
 */
 
$author_role       = cetara_get_page_opt('author_role','');
$author_extra_text = cetara_get_page_opt('author_extra_text','');
$author_socials    = cetara_get_page_opt('author_socials',[]);
$single_author_book = cetara_get_theme_opt('single_author_book','1'); 
?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
    <div class="author-single-wrap">
        <div class="row">
            <div class="col-lg-9">
                <?php 
                    cetara_post_meta([
                        'show_date'   => '0',
                        'show_cat'    => '1',
                        'show_author' => '0',
                        'show_cmt'    => '0',
                        'show_icon'   => false,
                        'class'       => 'kng-meta-before',
                        'separator'   => '<span class="col-auto"><span class="kng-meta-separator"></span></span>'
                    ]);
                ?>
                <?php cetara_post_title(['tag' => 'h1']); ?>
                  
                <div class="kng-post-content clearfix"><?php
                    the_content();
                ?></div>
                 
            </div>
            <div class="col-lg-3">
                <div class="event-meta-detail">
                    <?php if (has_post_thumbnail()) {
                        echo '<div class="kng-feature">'; ?>
                            <?php the_post_thumbnail('cetara-author'); ?>
                        <?php echo '</div>';
                    } ?>
                    <?php cetara_post_title(['tag' => 'h3']); ?>
                    <?php if(!empty($author_role) || !empty($author_extra_text)): ?> 
                        <div class="rol-extra row gutters-10 align-items-center">
                            <span class="text-primary col-auto"><?php echo esc_html($author_role) ?></span>
                            <span class="col-auto"><span class="kng-meta-separator"></span></span>
                            <span class="text-gray col-auto"><?php echo esc_html($author_extra_text) ?></span>
                        </div>
                    <?php endif; ?>
                    <div class="author-excerpt"><?php the_excerpt() ?></div>
                    <?php 
                    if(!empty($author_socials)){
                        echo '<div class="event-meta-social event-meta-item d-flex gutters-18">';
                        foreach ($author_socials as $value) {
                            $social_item_arr = explode('||', $value);
                            echo '<a href="'.$social_item_arr[1].'"><i class="'.$social_item_arr[0].'"></i></a>';
                        }
                        echo '</div>';
                    }
                    ?>
                </div>
            </div>
        </div>
    </div>   
    
    <?php  
    if($single_author_book == '1'): 
        $single_author_book_heading_title = cetara_get_theme_opt('single_author_book_heading_title',esc_html__( 'Author\'s books', 'cetara' ));
    ?>
    <div class="author-single-book-wrap">
        <h2 class="author-book-title text-center"><?php echo esc_html($single_author_book_heading_title)?></h2>
        <?php cetara_single_authors_book(); ?>
    </div>
    <?php endif; ?>
</article> 