<?php
/**
 * Template part for displaying posts in loop
 *
 * @package Soapee
 */
$sidebar = cetara_sidebar_position();
$post_feature_image_type = cetara_get_theme_opt('post_feature_image_type','cropped');
if($post_feature_image_type == 'cropped'){
    if(in_array($sidebar, ['0','none', 'bottom'])){
        $thumbnail_size = 'post-thumbnail';
    } else {
        $thumbnail_size = 'cetara-post';
    }
}else if($post_feature_image_type == 'full'){
    $thumbnail_size = 'full';
}else{
    $thumbnail_size = 'cetara-post';
}

if(has_post_thumbnail()){
    $padding_class = 'kng-post-has-thumbnail';
    $meta_class    = ''; 
} else {
    $padding_class = 'kng-post-no-thumbnail';
    $meta_class = '';
}
if(class_exists('\Elementor\Plugin') && \Elementor\Plugin::$instance->documents->get( get_the_ID() )){
    $post_content_classes = 'single-elementor-content';
} else {
    $post_content_classes = '';
}

$single_post_title_layout = isset($_GET['title-layout1']) ? sanitize_text_field($_GET['title-layout1']) : cetara_get_theme_opt('single_post_title_layout','1');
?>
<div <?php post_class('kng-single-post'); ?>>
    
    <div class="<?php echo esc_attr($padding_class);?>">
        <?php
        if($single_post_title_layout !=='1'){
            cetara_post_meta([
                'show_date'   => cetara_get_opts('post_date_on','1'),
                'show_cat'    => cetara_get_opts('post_categories_on','1'),
                'show_author' => cetara_get_opts('post_author_on','1'),
                'show_cmt'    => cetara_get_opts('post_comments_on','1'),
                'show_icon'   => false,
                'class'       => 'kng-meta-before'.$meta_class,
                'separator'   => '<span class="col-auto"><span class="kng-meta-separator"></span></span>'
            ]);
            cetara_post_title(['tag' => 'h2']);
         
            cetara_post_media(['size' => $thumbnail_size ]);
        }
        ?>
        <div class="overflow-hidden">
            
            <div class="kng-post-content clearfix <?php echo esc_attr($post_content_classes);?>"><?php
                the_content();
            ?></div>
            <?php 
                // post page
                cetara_post_link_pages();
            ?>
            <div class="kng-post-tags-share row gutters-20 justify-content-between empty-none"><?php
                
                // post share
                // param: show_share, class, title, social_class
                cetara_socials_share_default([
                    'class'             => 'gutters-16 gutters-grid justify-content-between',
                    'show_share'        => cetara_get_opts( 'post_social_share_on', '0' ),
                    'icons_share'       => cetara_get_opts( 'post_social_share_icon', [] ),   
                    'title'             => '<div class="col-auto"><div class="text-heading">'.esc_html__('Share on:','cetara').'</div></div>',
                    'social_class'      => 'kng-socials',
                    'social_item_class' => 'circle',
                    'before'            => '<div class="col-auto">',
                    'after'             => '</div>'
                ]);

                // Post tag
                // param: show_tag, title
                cetara_post_tagged_in([
                    'show_tag'  => cetara_get_opts( 'post_tags_on', '1' ), 
                    'title'     => '',
                    'style'     => 'tagcloud', 
                    'separator' => ',&nbsp;',
                    'class'     => 'col-auto'
                ]);
            ?></div>
        </div>
    </div>
    <?php
        // Author info
        // param: show_author, class
        cetara_post_author_info([
            'class'       => '',
            'show_author' => cetara_get_theme_opt('post_author_info_on', '0'),
            'before'      => '',
            'after'       => '' 
        ]);
    ?>
    <?php
        // Next/Preview Post link
        // param: show_nav, class, prev_title, next_title
        cetara_posts_nav_link([
            'show_nav'       => cetara_get_theme_opt('post_nav_link_on', '1'),
            'show_title'     => cetara_get_theme_opt('post_nav_title_on', '0'),
            'show_thumbnail' => false,
            'prev_title'     =>  esc_html__('Prev', 'cetara'). ' ' .get_post_type(),
            'next_title'     =>  esc_html__('Next', 'cetara'). ' ' . get_post_type(),
            'prev_icon'      => is_rtl() ? 'kngi-arrow-right' : 'fa fa-angle-left',
            'next_icon'      => is_rtl() ? 'kngi-arrow-left' : 'fa fa-angle-right',
            'class'          => '',
            'thumbnail_size' => '90x67',
            'before'         => '',
            'after'          => '' 
        ]);
    ?>
    
</div>