<?php
/**
 * Template part for displaying event single
 */
 
$location        = cetara_get_page_opt('location','');
$custom_category = cetara_get_page_opt('custom_category','');
$price           = cetara_get_page_opt('price','');
$start_date      = cetara_get_page_opt('start_date','');
$start_time      = cetara_get_page_opt('start_time','');
$end_date        = cetara_get_page_opt('end_date','');
$end_time        = cetara_get_page_opt('end_time','');
$event_socials   = cetara_get_page_opt('event_socials',[]);

$date_time_start = date( 'F j, Y', strtotime($start_date)) . ' ' . $start_time;
$date_time_end = date( 'F j, Y', strtotime($end_date)) . ' ' . $end_time;

?>
<article id="post-<?php the_ID(); ?>" <?php post_class('kng-single-event'); ?>>
    <div class="event-single-wrap">
        <div class="row">
            <div class="col-lg-9">
                <?php if (has_post_thumbnail()) {
                    echo '<div class="kng-feature">'; ?>
                        <?php the_post_thumbnail('medium-large'); ?>
                    <?php echo '</div>';
                } ?>
                <?php
                    cetara_post_meta([
                        'show_date'   => '1',
                        'show_cat'    => '1',
                        'show_author' => '1',
                        'show_cmt'    => '0',
                        'show_icon'   => false,
                        'class'       => 'kng-meta-before',
                        'separator'   => '<span class="col-auto"><span class="kng-meta-separator"></span></span>'
                    ]);
                    cetara_post_title(['tag' => 'h3']);
                ?>
                <div class="entry-content overflow-hidden">
                    <div class="kng-post-content clearfix"><?php
                        the_content();
                    ?></div>
                </div>
            </div>
            <div class="col-lg-3">
                <div class="event-meta-detail">
                    <h3 class="widget-title"><?php echo esc_html__( 'Event Details', 'cetara' ) ?></h3>
                    <?php if(!empty($date_time_start)): ?>
                        <div class="event-meta-item">
                            <div class="event-meta-item-title"><i class="far fa-calendar-alt"></i> <?php echo esc_html__( 'Start','cetara' ) ?></div>
                            <div class="meta-info"><?php kng_print_html($date_time_start) ?></div>
                        </div>
                    <?php endif; ?>
                    <?php if(!empty($date_time_end)): ?>
                        <div class="event-meta-item">
                            <div class="event-meta-item-title"><i class="far fa-calendar-alt"></i> <?php echo esc_html__( 'End','cetara' ) ?></div>
                            <div class="meta-info"><?php kng_print_html($date_time_end) ?></div>
                        </div>
                    <?php endif; ?>
                    <?php if(!empty($custom_category)): ?>
                        <div class="event-meta-item">
                            <div class="event-meta-item-title"><i class="far fa-layer-group"></i> <?php echo esc_html__( 'Event Category','cetara' ) ?></div>
                            <div class="meta-info"><?php kng_print_html($custom_category) ?></div>
                        </div>
                    <?php endif; ?>
                    <?php if(!empty($price)): ?>
                        <div class="event-meta-item">
                            <div class="event-meta-item-title"><i class="far fa-money"></i> <?php echo esc_html__( 'Price','cetara' ) ?></div>
                            <div class="meta-info"><?php kng_print_html($price) ?></div>
                        </div>
                    <?php endif; ?>
                    <?php if(!empty($location)): ?>
                        <div class="event-meta-item">
                            <div class="event-meta-item-title"><i class="far fa-map-marker-alt"></i> <?php echo esc_html__( 'Location','cetara' ) ?></div>
                            <div class="meta-info"><?php kng_print_html($location) ?></div>
                        </div>
                    <?php endif; ?>
                    <?php 
                    if(!empty($event_socials)){
                        echo '<div class="event-meta-social event-meta-item d-flex">';
                        foreach ($event_socials as $value) {
                            $social_item_arr = explode('||', $value);
                            echo '<a href="'.$social_item_arr[1].'"><i class="'.$social_item_arr[0].'"></i></a>';
                        }
                        echo '</div>';
                    }
                    ?>
                    <div class="btn-ticket-wrap">
                        <a href="#ticket-form" class="btn btn-primary"><?php echo esc_html__( 'Get Ticket Now','cetara' ) ?></a>
                    </div>
                </div>
            </div>
        </div>
    </div>   
</article> 