<?php
/**
 * Template part for displaying default header layout
 */

$logo = cetara_get_opts( 'logo', array( 'url' => cetara_configs('logo')['default'], 'id' => '' ) );
$logo_m = cetara_get_theme_opt( 'logo_m', array( 'url' => '', 'id' => '' ) );
?>
<header id="kng-header" class="<?php cetara_header_css_class(); ?>">
    <div class="header-container container">
        <div class="row justify-content-between align-items-center gutters-40">
            <div class="kng-header-logo col-auto">
                <?php 
                printf(
                    '<a class="logo-default" href="%1$s" title="%2$s" rel="home"><img class="kng-logo" src="%3$s" alt="%2$s"/></a>',
                    esc_url( home_url( '/' ) ),
                    esc_attr( get_bloginfo( 'name' ) ),
                    esc_url( $logo['url'] )
                );
                ?>
            </div>
            <div class="kng-navigation col d-none d-lg-block">
                <div class="row align-items-center justify-content-between">
                    <div class="col-12 col-xl-auto">
                        <div class="row align-items-center">
                            <div class="kng-main-navigation col-12 col-xl-auto">
                                <?php if ($logo_m['url']) { ?>
                                    <div class="ct-logo-mobile">
                                        <a href="<?php esc_url( esc_url( home_url( '/' ) ) ); ?>" title="<?php esc_attr( get_bloginfo( 'name' ) ); ?>" rel="home"><img src="<?php echo esc_url( $logo_m['url'] ); ?>" alt="<?php esc_attr( get_bloginfo( 'name' ) ); ?>"/></a>
                                    </div>
                                <?php } ?>
                                <?php cetara_header_mobile_search(); ?>
                                <?php 
                                if ( has_nav_menu( 'primary' ) )
                                    {
                                        wp_nav_menu( array(
                                            'theme_location' => 'primary',
                                            'container'      => '',
                                            'menu_id'        => 'kng-primary-menu',
                                            'menu_class'     => 'kng-primary-menu clearfix',
                                            'link_before'    => '<span class="kng-menu-title">',
                                            'link_after'     => '</span>',  
                                            'walker'         => class_exists( 'EFramework_Mega_Menu_Walker' ) ? new EFramework_Mega_Menu_Walker : '',
                                        ) );
                                    }
                                    else
                                    {
                                        printf(
                                            '<ul class="kng-primary-menu primary-menu-not-set"><li><a href="%1$s">%2$s</a></li></ul>',
                                            esc_url( admin_url( 'nav-menus.php' ) ),
                                            esc_html__( 'Create New Menu', 'cetara' )
                                        );
                                    }
                                ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col col-md-auto kng-header-mobile d-lg-none">
                <div class="mobile-menu-toggle d-flex align-items-center justify-content-end">
                    <span class="bars" data-target=".side-panel-menu" onclick="">
                        <svg xmlns="http://www.w3.org/2000/svg" class="kng-svg feather feather-menu" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"><line x1="3" y1="12" x2="21" y2="12"></line><line x1="3" y1="6" x2="21" y2="6"></line><line x1="3" y1="18" x2="21" y2="18"></line></svg>
                    </span>
                </div>
            </div>
        </div>
    </div>
     
</header>