<?php
/**
 * Template part for displaying default header layout
 */
//if(is_singular('kng-header') || is_singular('kng-footer')  || is_singular('kng-mega-menu') ) return;

$header_layout        = cetara_get_opts('header_layout');
$header_is_sticky     = cetara_get_opts('header_is_sticky');
$header_mobile_is_sticky = cetara_get_opts('header_mobile_is_sticky','0');
$mobile_sticky_cls = ($header_mobile_is_sticky == '1') ? 'is-sticky' : '';

$pid                  = cetara_get_id_by_slug($header_layout, 'kng-header');
$post_main            = get_post($pid);

$header_layout_sticky = $header_layout.'-sticky';
$pstk_id              = cetara_get_id_by_slug($header_layout_sticky, 'kng-header');
$post_sticky          = get_post($pstk_id);

$logo_m = cetara_get_opts( 'logo_m', array( 'url' => get_template_directory_uri().'/assets/images/logo-mobile.png', 'id' => '' ) );
$mobile_menu_toggle = cetara_get_opts('mobile_menu_toggle','icon');

$mobile_header_search = cetara_get_opts('mobile_header_search','0');
$mobile_header_user = cetara_get_opts('mobile_header_user','0');
$mobile_header_wishlist = cetara_get_opts('mobile_header_wishlist','0');
$mobile_header_cart = cetara_get_opts('mobile_header_cart','0');

$header_top_mobile_html = cetara_get_opts('header_top_mobile_html',[]);

?>
<header id="kng-header-elementor" class="<?php cetara_header_css_class() ?>">
	<?php if (!is_wp_error($post_main) && $post_main->post_name == $header_layout && class_exists('Kngtheme_Core')) : ?>
		<div class="kng-header-elementor-main">
            <?php 
                $content_main = \Elementor\Plugin::$instance->frontend->get_builder_content( $pid );
                kng_print_html($content_main);
            ?>         
		</div>
	<?php endif; ?>
	<?php if (!is_wp_error($post_sticky) && $post_sticky->post_name == $header_layout_sticky && class_exists('Kngtheme_Core') && $header_is_sticky =='1') : ?>
		<div class="kng-header-elementor-sticky">
            <?php 
                $content_sticky = \Elementor\Plugin::$instance->frontend->get_builder_content( $pstk_id );
                kng_print_html($content_sticky);
            ?>   
		</div>
	<?php endif; ?>
    <div class="kng-header-mobile <?php echo esc_attr($mobile_sticky_cls) ?>">
        <?php if(count($header_top_mobile_html) > 0): ?>
            <div class="header-top-mobile">
                <div class="container">
                    <div class="d-flex align-items-center justify-content-center gutters-30">
                    <?php 
                    foreach ($header_top_mobile_html as $value) {
                        echo '<div class="hmt-info-item"><div class="hmt-item-inner d-flex align-items-center">'.$value.'</div></div>';
                    }
                    ?>
                    </div>
                </div>
            </div>
        <?php endif; ?>
        <div class="header-main-mobile">
            <div class="container">
                <div class="header-mobile-content row">
                    <div class="kng-menu-mobile-toggle col">
                        <div class="mobile-menu-toggle d-flex align-items-center" >
                            <span class="bars" data-target=".side-panel-menu" onclick="">
                                <svg xmlns="http://www.w3.org/2000/svg" class="kng-svg feather feather-menu" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"><line x1="3" y1="12" x2="21" y2="12"></line><line x1="3" y1="6" x2="21" y2="6"></line><line x1="3" y1="18" x2="21" y2="18"></line></svg>
                            </span>
                            <?php if($mobile_menu_toggle === '0'): ?>
                                <span class="toggle-menu-text"><?php echo esc_html__( 'Menu', 'cetara' ) ?></span>
                            <?php endif; ?>
                        </div>
                    </div> 
                    <div class="kng-header-mobile-branding col-auto">
                        <?php 
                            printf(
                                '<a class="logo-mobile" href="%1$s" title="%2$s" rel="home"><img class="kng-logo" src="%3$s" alt="%2$s"/></a>',
                                esc_url( home_url( '/' ) ),
                                esc_attr( get_bloginfo( 'name' ) ),
                                esc_url( $logo_m['url'] )
                            );
                        ?>
                    </div>
                    <div class="kng-header-mobile-icons col">
                        <div class="header-factor-inner d-flex align-items-center justify-content-end">
                            <?php if($mobile_header_search == '1'):?>
                                <a href="#kng-search-popup" class="kng-factor kng-factor-item kng-search kng-modal kng-transition"><?php cetara_get_svg('icon-search') ?></a>
                            <?php endif; ?>
                            <?php if($mobile_header_user == '1'): 
                                //cshlg_link_to_login();
                                if (is_user_logged_in()):
                                    if(class_exists('WooCommerce'))
                                        $user_link = wc_get_page_permalink( 'myaccount' );
                                    else 
                                        $user_link = get_edit_user_link();
                                    $user = wp_get_current_user();
                                    $display_name = $user->data->display_name;
                                    ?>
                                    <div class="kng-factor-item kng-user logined">
                                        <a class="kng-factor" href="<?php echo esc_url($user_link) ?>">
                                            <?php echo get_avatar( get_the_author_meta( 'ID' ), '22', '', esc_html__('Cetara', 'cetara'), [
                                                    'width' => '22',
                                                    'height' => '22',
                                                    'class'  => 'kng-radius-11'
                                                ] ); ?>
                                            <span class="user-title"><?php echo esc_html($display_name) ?></span>
                                        </a>
                                    </div>  
                                    <?php 
                                else:
                                    $user_link = wp_login_url();
                                    ?>
                                     
                                    <a class="kng-factor kng-user kng-factor-item" href="<?php echo esc_url($user_link) ?>"><?php cetara_get_svg('icon-user') ?></a> 
                                            
                                    <?php 
                                endif;
                                ?>
                            <?php endif; ?>

                            <?php if($mobile_header_wishlist == '1' && class_exists('WPcleverWoosw')):?>
                                 
                                    <a href="<?php echo WPcleverWoosw::get_url(); ?>" class="kng-factor kng-wishlist kng-factor-item"><?php cetara_get_svg('icon-heart') ?><span class="header-count wishlist-count" data-count="0"><?php echo WPcleverWoosw::get_count(); ?></span></a> 
                                 
                            <?php endif; ?>

                            <?php if($mobile_header_cart == '1' && class_exists('WooCommerce')):  
                                if(!is_admin())
                                $count = WC()->cart->get_cart_contents_count();

                                $cart_link = wc_get_page_permalink( 'cart' );
                                ?>
                                    <a href="<?php echo esc_url($cart_link) ?>" class="kng-factor kng-factor-item kng-cart-toggle" data-target=".kng-side-cart"><?php cetara_get_svg('icon-cart1') ?>   
                                        <?php if(!is_admin()): ?>
                                            <span class="header-count cart_total"><?php echo esc_attr($count) ?></span>
                                        <?php endif; ?>
                                    </a>
                                 
                            <?php endif; ?> 
                              
                        </div>
                         
                    </div>
                </div>
            </div>
        </div>
    </div>
</header>