<?php 
/**
 * Template part for displaying header mobile panel
 */

$mobile_panel_menu     = cetara_get_opts('mobile_panel_menu', '');
$mobile_panel_search   = cetara_get_opts('mobile_panel_search', '1');
$mobile_panel_user     = cetara_get_opts('mobile_panel_user', '1');
$mobile_panel_wishlist = cetara_get_opts('mobile_panel_wishlist', '1');
$mobile_panel_cart     = cetara_get_opts('mobile_panel_cart', '1');
$mobile_panel_language = cetara_get_opts('mobile_panel_language', '1');
$mobile_panel_social   = cetara_get_opts('mobile_panel_social', []);
 
?>
<nav id="kng-mobile-menus" class="kng-side-panel side-panel-menu panel-menu-mobile">
	<div class="kng-panel-header">
		<div class="panel-header-inner">
			<a href="#" class="kng-close" data-target=".side-panel-menu" title="<?php echo esc_attr__( 'Close', 'cetara' ) ?>"></a>
		</div>
	</div> 
	<div class="kng-side-panel-content side-panel-mobile custom_scroll">
		<?php if($mobile_panel_search == '1'): ?>
		<div class="kng-mobile-search-wrap search-normal">
			<form role="search" method="get" class="kng-search-form-mobile kng-product-search" action="<?php echo esc_url( home_url( '/' ) ); ?>">
				<input type="search" class="kng-search-field" placeholder="<?php echo esc_attr__('Search Product...','cetara'); ?>" value="<?php echo get_search_query(); ?>" name="s" autocomplete="off"/>
        		<button type="submit" class="kng-search-submit" value=""><?php cetara_get_svg('icon-search') ?></button>
			</form>
		</div>
		<?php endif; ?>
		<?php if($mobile_panel_search == '2'): ?>
		<div class="kng-mobile-search-wrap search-ajax">
			<div class="kng-ajax-search">
				<form role="search" method="get" class="kng-search-form-mobile kng-product-search" action="<?php echo esc_url( home_url( '/' ) ); ?>">
					<fieldset>
						<div class="search-button-group">
							<a href="#" class="search-clear remove" title="Clear"></a>
							<span class="search-icon"><?php cetara_get_svg('icon-search') ?></span>
							<input type="search" class="kng-search-field" placeholder="<?php echo esc_attr__('Search Product...','cetara'); ?>" value="<?php echo get_search_query(); ?>" name="s" autocomplete="off"/>
                    		<button type="submit" class="kng-search-submit" value="<?php echo esc_attr__( 'Search', 'cetara' ); ?>"><?php cetara_get_svg('icon-search') ?></button>
						</div>
						<input type="hidden" name="post_type" value="product">
						<div class="autocomplete-wrapper"><ul class="product_list_result row" style="display: none;"></ul></div>
					</fieldset>
					<?php wp_nonce_field( 'product_search_nonce_action', 'product_search_nonce' ); ?>
				</form>
			</div>
		</div>
		<?php endif; ?>
		<div class="menu-main-container-wrap">
			<div id="mobile-menu-container" class="menu-main-container kng-sliding-menu">
				<?php 
					wp_nav_menu( 
						array(
					        'theme_location' => 'primary',
					        'menu'           => $mobile_panel_menu, 
					        'container'      => '',
					        'menu_id'        => 'kng-mobile-menu',
					        'menu_class'     => 'kng-mobile-menu kng-primary-menu clearfix',
					        'link_before'    => '<span class="kng-menu-title">',
					        'link_after'     => '</span>',  
					        'walker'         => class_exists( 'EFramework_Mega_Menu_Walker' ) ? new EFramework_Mega_Menu_Walker : '',
					    ) 
					);
					 
				?>
			</div>
			<div class="kng-bottom-extras">
				<?php if($mobile_panel_user == '1'): 
					if (is_user_logged_in()):
	                    if(class_exists('WooCommerce'))
	                        $user_link = wc_get_page_permalink( 'myaccount' );
	                    else 
	                        $user_link = get_edit_user_link();
	                    $user = wp_get_current_user();
	                    $display_name = $user->data->display_name;
	                    ?>
	                    <div class="kng-factor-item kng-user logined">
	                        <a class="kng-factor" href="<?php echo esc_url($user_link) ?>">
	                        	<span class="factor-title user-title"><?php echo esc_html($display_name) ?></span>
	                            <?php echo get_avatar( get_the_author_meta( 'ID' ), '22', '', esc_html__('Cetara', 'cetara'), [
	                                    'width' => '22',
	                                    'height' => '22',
	                                    'class'  => 'kng-radius-11'
	                                ] ); ?>
	                        </a>
	                    </div>  
	                    <?php 
	                else:
	                    $user_link = wp_login_url();
	                    ?>
	                    <a class="kng-factor kng-user kng-factor-item" href="<?php echo esc_url($user_link) ?>">
	                    	<span class="factor-title user-title"><?php echo esc_html__( 'Login', 'cetara' ) ?></span>
	                    	<?php cetara_get_svg('icon-user') ?>
	                	</a> 
	                    <?php 
	                endif;
				endif; ?>

				<?php if($mobile_panel_wishlist == '1' && class_exists('WPcleverWoosw')): ?>
					<div class="m-divider"></div>
					<a href="<?php echo WPcleverWoosw::get_url(); ?>" class="kng-factor kng-wishlist kng-factor-item">
						<span class="factor-title wishlist-title"><?php echo esc_html__( 'Wishlist', 'cetara' ) ?></span>
						<span class="wishlist-icon-count item-count">
							<?php cetara_get_svg('icon-heart') ?>
							<span class="header-count wishlist-count" data-count="0"><?php echo WPcleverWoosw::get_count(); ?></span>
						</span>
					</a>
				<?php endif; ?>

				<?php if($mobile_panel_cart == '1' && class_exists('WooCommerce')): 
					if(!is_admin())
	                    $count = WC()->cart->get_cart_contents_count();

	                $cart_link = wc_get_page_permalink( 'cart' );
					?>
					<a href="<?php echo esc_url($cart_link) ?>" class="kng-factor kng-factor-item kng-cart-toggle" data-target=".kng-side-cart">
						<span class="factor-title cart-title"><?php echo esc_html__( 'Cart', 'cetara' ) ?></span>
						<span class="cart-icon-count item-count">
							<?php cetara_get_svg('icon-cart1') ?>   
			                <?php if(!is_admin()): ?>
			                    <span class="header-count cart_total"><?php echo esc_attr($count) ?></span>
			                <?php endif; ?>
		                </span>
		            </a>
				<?php endif; ?>

				<?php if($mobile_panel_language == '1'): ?>
					<div class="m-divider"></div>
					<div class="et-switcher-container et-language kng-factor">
						<span class="factor-title language-title"><?php echo esc_html__( 'Language', 'cetara' ) ?></span>
						<?php 
							if(is_active_sidebar( 'language' )) 
								dynamic_sidebar( 'language' )
						?>	
					</div>
				<?php endif; ?>

				<?php 
				if(!empty($mobile_panel_social['enabled']) && count($mobile_panel_social['enabled']) > 1){
					echo '<div class="m-divider"></div>';
					echo '<div class="mh-socials d-flex gutters-30 align-items-center">';
			        foreach ($mobile_panel_social['enabled'] as $social_key => $social_name){
			        	if($social_key === 'placebo') continue;
			            $social_link = cetara_get_theme_opt( 'social_' . $social_key . '_url' );
			            $social_icon = cetara_get_theme_opt( 'social_' . $social_key . '_icon');
			            
			            $social_link = !empty($social_link) ? $social_link : '#';
			            switch ($social_key) {
			            	case 'facebook':
			            		$d_icon = 'fa fa-facebook-square';
			            		break;
		            		case 'linkedin':
			            		$d_icon = 'fab fa-linkedin';
			            		break;
		            		case 'pinterest':
			            		$d_icon = 'fa fa-pinterest-square';
			            		break;
		            		case 'google':
		            			$d_icon = 'fab fa-goodreads';
		            			break;
			            	default:
			            		$d_icon = 'fa fa-'.$social_key;
			            		break;
			            }
			            $social_icon = !empty($social_icon) ? $social_icon : $d_icon;
			              
		             	echo '<div class="kng-social kng-social-item"><a href="'. esc_url($social_link) .'" target="_blank"><span class="kng-icon-wrap d-block text-center"><span class="kng-icon '.esc_attr($social_icon).'"></span></span></a></div>';
			        }
			        echo '</div>';
				}
				?>
			</div>
		</div>
 	</div>
</nav>