<?php
// Cart Coupon
if(!function_exists('cetara_woocommerce_cart_actions')){
	add_action('woocommerce_cart_actions','cetara_woocommerce_cart_actions', 0);
	function cetara_woocommerce_cart_actions(){
	?>
		<div class="kng-cart-acctions row justify-content-between gutters-30 gutters-grid">
			<?php if ( wc_coupons_enabled() ) { ?>
				<div class="coupon kng-coupon col-12 col-md-auto">
					<div class="kng-coupon-wrap row gutters-0 gutters-grid">
						<div class="col">
							<input type="text" name="coupon_code" class="input-text" id="coupon_code" value="" placeholder="<?php esc_attr_e( 'Coupon code', 'cetara' ); ?>" />
						</div>
						<div class="col-auto">
							<button type="submit" class="button" name="apply_coupon" value="<?php esc_attr_e( 'Apply coupon', 'cetara' ); ?>"><?php esc_html_e( 'Apply coupon', 'cetara' ); ?></button>
						</div>
						<div class="col-12 empty-none"><?php do_action( 'woocommerce_cart_coupon' ); ?></div>
					</div>
				</div>
			<?php } ?>
			<div class="kng-btns-continue-update col-12 col-md-auto">
				<div class="row gutters-10 gutters-grid justify-content-between justify-content-md-end">
					<div class="col-12 col-sm-auto">
						<a class="btn kng-continue-shop text-center btn-alt black" href="<?php echo esc_url( apply_filters( 'woocommerce_return_to_shop_redirect', wc_get_page_permalink( 'shop' ) ) ); ?>">
							<?php esc_html_e( 'Continue Shopping', 'cetara' ); ?>
						</a>
					</div>
					<div class="col-12 col-sm-auto">
						<button type="submit" class="button kng-update-cart btn-black" name="update_cart" value="<?php esc_attr_e( 'Update cart', 'cetara' ); ?>"><?php esc_html_e( 'Update cart', 'cetara' ); ?></button>
					</div>
				</div>
			</div>
		</div>
		<?php
	}
}

// Continue Shopping Button
if(!function_exists('cetara_woocommerce_return_to_shop')){
	//add_action('woocommerce_cart_actions', 'cetara_woocommerce_return_to_shop', 2);
	function cetara_woocommerce_return_to_shop(){ ?>
		<div class="text-end pt-10">
			<a class="btn kng-continue-shop" href="<?php echo esc_url( apply_filters( 'woocommerce_return_to_shop_redirect', wc_get_page_permalink( 'shop' ) ) ); ?>">
				<?php esc_html_e( 'Continue Shopping', 'cetara' ); ?>
			</a>
		</div>
	<?php
	}
}

if ( ! function_exists( 'woocommerce_button_proceed_to_checkout' ) ) {
	/**
	 * Output the proceed to checkout button.
	 */
	function woocommerce_button_proceed_to_checkout() {
		?>
		<div class="text-end pt-10">
			<a href="<?php echo esc_url( wc_get_checkout_url() ); ?>" class="checkout-button btn btn-accent btn-xlg">
				<?php esc_html_e( 'Proceed to checkout', 'cetara' ); ?>
			</a>
		</div>
		<?php
	}
}

// Cross Sell
// Move Cross Sell to Last
remove_action('woocommerce_cart_collaterals','woocommerce_cross_sell_display');
if(cetara_get_opts('cart_cross_sell', '1') === '1'){
	add_action('woocommerce_after_cart','woocommerce_cross_sell_display', 0);
}
//filter:  woocommerce_cross_sells_columns
add_filter( 'woocommerce_cross_sells_columns', 'cetara_woocommerce_cross_sells_columns');
function cetara_woocommerce_cross_sells_columns( $columns ) {
	$columns = cetara_get_opts('cart_cross_sell_column', '4');
	return $columns;
}
// filter: woocommerce_cross_sells_total
add_filter( 'woocommerce_cross_sells_total', 'cetara_woocommerce_cross_sells_total');
function cetara_woocommerce_cross_sells_total( $totals ) {
	$totals = cetara_get_opts('cart_cross_sell_total', '4');;
	return $totals;
}

add_action( 'woocommerce_cart_is_empty', 'cetara_custom_cart_is_empty' );
function cetara_custom_cart_is_empty(){
	?>
	<div class="kng-cart-empty-wrap text-center">
		<img class="img-bag" src="<?php echo esc_url(get_template_directory_uri().'/assets/images/bag-large.png')?>">
		<h2 class="kng-heading"><?php echo esc_html__('Your cart is currently empty.','cetara') ?></h2>
		<p class="desc"><?php echo esc_html__( 'You may check out all the available products and buy some in the shop.', 'cetara' ) ?></p>
	</div>
	<?php 
}

/* mini cart */
if ( ! function_exists( 'cetara_widget_shopping_cart_button_view_cart' ) ) {
	remove_action( 'woocommerce_widget_shopping_cart_buttons', 'woocommerce_widget_shopping_cart_button_view_cart', 10 );
	add_action( 'woocommerce_widget_shopping_cart_buttons', 'cetara_widget_shopping_cart_button_view_cart', 10 );
	function cetara_widget_shopping_cart_button_view_cart(){
		echo '<a href="' . esc_url( wc_get_cart_url() ) . '" class="button wc-forward btn-black">' . esc_html__( 'View cart', 'cetara' ) . '</a>';
	}
}
if ( ! function_exists( 'cetara_widget_shopping_cart_proceed_to_checkout' ) ) {
	remove_action( 'woocommerce_widget_shopping_cart_buttons', 'woocommerce_widget_shopping_cart_proceed_to_checkout', 20 );
	add_action( 'woocommerce_widget_shopping_cart_buttons', 'cetara_widget_shopping_cart_proceed_to_checkout', 20 );
	function cetara_widget_shopping_cart_proceed_to_checkout(){
		echo '<a href="' . esc_url( wc_get_checkout_url() ) . '" class="button checkout wc-forward btn-alt black">' . esc_html__( 'Checkout', 'cetara' ) . '</a>';
	}
}