<?php
/**
 * Build Single Product Gallery and Summary layout 
 *
*/
if(!function_exists('cetara_woocommerce_before_single_product_summary')){
	add_action('woocommerce_before_single_product_summary','cetara_woocommerce_before_single_product_summary', 0);
	function cetara_woocommerce_before_single_product_summary(){
		$classes = ['kng-wc-img-summary kng-single-product-gallery-summary-wraps row', cetara_get_theme_opt('cetara_product_gallery_layout', cetara_configs('cetara_product_gallery_layout'))];
		$class = cetara_get_theme_opt('cetara_product_gallery_thumb_position', cetara_configs('cetara_product_gallery_thumb_position'));
		echo '<div class="'.trim(implode(' ', $classes)).'">';
			echo '<div class="kng-single-product-gallery-wraps col-md-6 thumbnail-'.esc_attr($class).'"><div class="kng-single-product-gallery-wraps-inner relative pr-xl-20">';
				do_action('cetara_before_single_product_gallery');
				do_action('cetara_single_product_gallery');
				do_action('cetara_adter_single_product_gallery');
			
	}
}
// close gallery column  and open summary column
if(!function_exists('cetara_woocommerce_single_gallery_close')){
	add_action('woocommerce_before_single_product_summary', 'cetara_woocommerce_single_gallery_close', 999);
	function cetara_woocommerce_single_gallery_close(){
		echo '</div></div>';
		echo '<div class="kng-single-product-summary-wrap col-md-6">';
	}
}

// close summary columns and close galery-sumary row
if(!function_exists('cetara_woocommerce_after_single_product_summary')){
	add_action('woocommerce_after_single_product_summary', 'cetara_woocommerce_after_single_product_summary', 0);
	function cetara_woocommerce_after_single_product_summary(){
			echo '</div>';
		echo '</div>';
	}
}
// Remove default sale flash and gallery 
remove_action('woocommerce_before_single_product_summary', 'woocommerce_show_product_sale_flash', 10);
remove_action('woocommerce_before_single_product_summary', 'woocommerce_show_product_images', 20);
// Get back sale flash and galley 
add_action('cetara_before_single_product_gallery', 'woocommerce_show_product_sale_flash', 1);
add_action('cetara_single_product_gallery', 'woocommerce_show_product_images', 1);

/**
 * Add Custom CSS class to Gallery
*/
add_filter('woocommerce_single_product_image_gallery_classes','cetara_woocommerce_single_product_image_gallery_classes');
function cetara_woocommerce_single_product_image_gallery_classes($class){
	$class[] = 'kng-product-gallery-'.cetara_get_theme_opt('cetara_product_gallery_layout', cetara_configs('cetara_product_gallery_layout'));
	$class[] = 'kng-product-gallery-'.cetara_get_theme_opt('cetara_product_gallery_thumb_position', cetara_configs('cetara_product_gallery_thumb_position'));
	unset($class[3]);
	return $class;
}
 
/* Single Thumbnail Size */
add_filter( 'woocommerce_get_image_size_single', function( $size ) {
	$product_image_cropped = cetara_get_theme_opt('product_image_cropped');
	if($product_image_cropped !='1') return $size;
    return array(
        'width'  => (int)cetara_configs('cetara_product_single_image_w'),
        'height' => (int)cetara_configs('cetara_product_single_image_h'),
        'crop'   => 1,
    );
} );
 
/**
 * Single Product 
 *
 * Gallery style with thumbnail carousel in bottom
 *
*/
if(!function_exists('cetara_wc_single_product_gallery_layout')){
	add_filter('woocommerce_single_product_carousel_options', 'cetara_wc_single_product_gallery_layout' );
    function cetara_wc_single_product_gallery_layout($options){
        $gallery_layout = cetara_get_theme_opt('cetara_product_gallery_layout', cetara_configs('cetara_product_gallery_layout'));

        $options['prevText']     = '<span class="flex-prev-icon"></span>';
		$options['nextText']     = '<span class="flex-next-icon"></span>';

        switch ($gallery_layout) {
	        case 'vertical':
				$options['directionNav'] = true;
				$options['controlNav']   = false;
	            $options['sync'] = '.wc-gallery-sync';
	            break;
	    
	        case 'horizontal':
	            $options['directionNav'] = true;
				$options['controlNav']   = false;
	            $options['sync'] = '.wc-gallery-sync';
	            break;
	    }
	    return $options;
    }
}

/**
 * Single Product Gallery
 *
 * Add thumbnail product gallery 
 *
*/
if(!function_exists('cetara_product_gallery_thumbnail_sync')){
	add_action('cetara_single_product_gallery', 'cetara_product_gallery_thumbnail_sync', 2);
	function cetara_product_gallery_thumbnail_sync($args=[]){
		global $product;
		$gallery_layout = cetara_get_theme_opt('cetara_product_gallery_layout', cetara_configs('cetara_product_gallery_layout'));
		$product_gallery_thumb_position = cetara_get_theme_opt('cetara_product_gallery_thumb_position', cetara_configs('cetara_product_gallery_thumb_position'));
        $args = wp_parse_args($args, [
            'gallery_layout' => $gallery_layout
        ]);
        $post_thumbnail_id = $product->get_image_id();
    	$attachment_ids = array_merge( (array)$post_thumbnail_id , $product->get_gallery_image_ids() );

        if('simple' === $args['gallery_layout'] || '' === $args['gallery_layout'] || 'default' === $args['gallery_layout'] || empty($attachment_ids[0])) return;
        $flex_class = '';

        $thumb_v_w = cetara_configs('cetara_product_gallery_thumbnail_v_w');
        $thumb_v_h = cetara_configs('cetara_product_gallery_thumbnail_v_h');

        $thumb_h_w = cetara_configs('cetara_product_gallery_thumbnail_h_w');
        $thumb_h_h = cetara_configs('cetara_product_gallery_thumbnail_h_h');

        switch ($args['gallery_layout']) {
	        case 'vertical':
				$thumbnail_size = $thumb_v_w.'x'.$thumb_v_h;
				$thumb_w        = $thumb_v_w;
				$thumb_h        = $thumb_v_h;
				$flex_class     = 'flex-vertical';
				$thumb_margin   = cetara_configs('cetara_product_gallery_thumbnail_space_vertical');
	            break;
	    
	        case 'horizontal':
	            $thumbnail_size = $thumb_h_w.'x'.$thumb_h_h;
	            $thumb_w = $thumb_h_w;
	            $thumb_h = $thumb_h_h;
	            $flex_class = 'flex-horizontal';
	            $thumb_margin   = cetara_configs('cetara_product_gallery_thumbnail_space_horizontal');
	            break;

	    }
	    $gallery_css_class = ['wc-gallery-sync', 'thumbnail-'.$gallery_layout, 'thumbnail-pos-'.$product_gallery_thumb_position];
    ?>
    	<div class="<?php echo trim(implode(' ', $gallery_css_class));?>" data-thumb-w="<?php echo esc_attr($thumb_w);?>" data-thumb-h="<?php echo esc_attr($thumb_h);?>" data-thumb-margin="<?php echo esc_attr($thumb_margin); ?>">
			<div class="wc-gallery-sync-slides flexslider <?php echo esc_attr($flex_class);?>">
	            <?php foreach ( $attachment_ids as $attachment_id ) { ?>
	                <div class="wc-gallery-sync-slide flex-control-thumb"><?php cetara_image_by_size(['id' => $attachment_id, 'size' => $thumbnail_size]);?></div>
	            <?php } ?>
	        </div>
	    </div>
    <?php
	}
}

// single product title
if ( ! function_exists( 'woocommerce_template_single_title' ) ) {
	/**
	 * Output the product title.
	 */
	function woocommerce_template_single_title() {
		the_title('<div class="single-product-title">', '</div>');
	}
}
if ( ! function_exists( 'cetara_single_product_author' ) ) {
	function cetara_single_product_author(){
		$author_slug = get_post_meta( get_the_ID(), 'product_author', true );
		if(!empty($author_slug)){
			$author_id = cetara_get_id_by_slug($author_slug,'authors');
			$author = get_post($author_id);
			echo '<div class="product-single-author">';
			echo '<div class="product-single-author-inner">';
				echo '<span class="lbl">'.esc_html__( 'Author:','cetara' ).'</span>';
				echo '<a href="'.get_permalink($author->ID).'" title="'.$author->post_title.'">'. $author->post_title .'</a>';
			echo '</div>';
			echo '</div>';
		}
	}
}
if ( ! function_exists( 'cetara_single_product_category' ) ) {
	function cetara_single_product_category(){
		echo '<div class="product-single-cat">';
			the_terms( get_the_ID(), 'product_cat', '', ', ', '' );
		echo '</div>';
	}
}
  
// change rating html
if ( ! function_exists( 'woocommerce_template_single_rating' ) ) {

	/**
	 * Output the product rating.
	 */
	function woocommerce_template_single_rating() {
		global $product;

		if ( ! wc_review_ratings_enabled() ) { 
			return;
		}

		$rating_count = $product->get_rating_count();
		$review_count = $product->get_review_count();
		$average      = $product->get_average_rating();
		echo '<div class="product-single-summary-meta-top-wrap"><div class="product-single-summary-meta-top d-flex gutters-24">';
		cetara_single_product_author();
	 	?>

			<div class="woocommerce-product-rating">
				<?php echo wc_get_rating_html( $average, $rating_count ); // WPCS: XSS ok. ?>
				<?php if ( comments_open() ) : ?>
					<?php //phpcs:disable ?>
					<a href="#reviews" class="woocommerce-review-link kng-scroll-down" rel="nofollow"><?php printf( _n( '%s Review', '%s Reviews', $review_count, 'cetara' ), '<span class="count">' . esc_html( $review_count ) . '</span>' ); ?></a>
					<?php // phpcs:enable ?>
				<?php endif ?>
			</div>

		<?php 
		cetara_single_product_category();
		echo '</div></div>';
	}
}

// single price 
add_filter('woocommerce_product_price_class', function(){
	return 'kng-product-single-price';
});
if(!function_exists('cetara_single_product_summary_sold')){
	add_action('woocommerce_single_product_summary','cetara_single_product_summary_sold', 15);
	function cetara_single_product_summary_sold(){
		global $product;
		$product_layout = isset($_GET['product_layout']) ? sanitize_text_field($_GET['product_layout']) : cetara_get_theme_opt('product_layout','default');
		if($product_layout == '1') return;
		$publisher =  wc_get_product_terms( get_the_ID(), 'pa_publisher', array( 'fields' => 'all' ) );
		if(count($publisher) > 0){
			echo '<div class="sold-by-wrap">';
				echo '<span class="lbl">'.esc_html__( 'Sold by:', 'cetara' ).'</span>';
				foreach ($publisher as $pub){
		            echo '<span class="pub-item" data-value="'. esc_attr($pub->slug) .'">'. esc_html($pub->name) .'</span>';
		        }
			echo '</div>';
		}

		if($product->is_in_stock()){
			echo '<div class="stock in-stock top"><span class="fa fa-check-circle"></span>'.esc_html__('In Stock','cetara').'</div>';
		} else {
			echo '<div class="stock out-of-stock top"><span class="fa fa-window-close"></span>'.esc_html__('Out of Stock','cetara').'</div>';
		}
	}
}

if(!function_exists('cetara_wc_quantity_stock_message')){
	add_action('woocommerce_after_quantity_input_field','cetara_wc_quantity_stock_message');
	function cetara_wc_quantity_stock_message(){
		global $product;
		//$variations_stock = cetara_get_variations_stock_quantity( $product );
 		if(is_singular( 'product' )){
			if($product->is_in_stock()){
				echo '<div class="stock in-stock bottom"><span class="fa fa-check-circle"></span>'.esc_html__('In Stock','cetara').'</div>';
			} else {
				echo '<div class="stock out-of-stock bottom"><span class="fa fa-window-close"></span>'.esc_html__('Out of Stock','cetara').'</div>';
			}
		}
	}
}

function cetara_get_variations_stock_quantity( $product ) {

	if($product->get_type() != 'variable') return;
	$variations = $product->get_available_variations();

    $variations_stock = array();

    foreach ( $variations as $variation ) {

        $variation_o = new WC_Product_Variation( $variation['variation_id'] );
        $variations_stock[] = $variation_o->get_stock_quantity();
    }

    return $variations_stock;
}

remove_action('woocommerce_single_product_summary','woocommerce_template_single_add_to_cart', 30);
if(!function_exists('cetara_single_add_to_cart')){
	add_action('woocommerce_single_product_summary','cetara_single_add_to_cart', 30);
	function cetara_single_add_to_cart(){
		global $product;
		$product_layout = isset($_GET['product_layout']) ? sanitize_text_field($_GET['product_layout']) : cetara_get_theme_opt('product_layout','default');
		if($product_layout == '1'){
			cetara_single_product_layout1_details();
		}else{ 
			switch ($product->get_type()) {
				case 'variable':
					cetara_variable_add_to_cart(); 
					break;
				case 'external':
					cetara_external_add_to_cart(); 
					break;
				case 'grouped':
					cetara_grouped_add_to_cart(); 
					break;
				default:
					cetara_simple_add_to_cart(); 
					break;
			}
		} 
	}
}
function cetara_single_add_to_cart_layout1(){
	global $product;
	switch ($product->get_type()) {
		case 'variable':
			cetara_variable_add_to_cart(); 
			break;
		case 'external':
			cetara_external_add_to_cart(); 
			break;
		case 'grouped':
			cetara_grouped_add_to_cart(); 
			break;
		default:
			cetara_simple_add_to_cart(); 
			break;
	}
}
function cetara_single_price_sale_layout1(){
	global $product;
    $regular_price = $product->get_regular_price();
    $sales_price = $product->get_sale_price();
    $cls = 'normal';
    if($product->get_type() == 'variable'){
        $regular_price = $product->get_variation_regular_price('max');
        $sales_price = $product->get_variation_sale_price('min');
        $cls = 'variable';
    } 
    if($product->get_type() == 'grouped'){
    	$cls = 'grouped';
    }
    echo '<div class="kng-price-side '.$cls.'">';
    	echo '<div class="sale-price">'.$product->get_price_html().'</div>';
        if ( $product->is_on_sale() ) {
            if(isset($regular_price) && $regular_price > 0 && isset($sales_price)){
                $percentage = round( ( ( $regular_price - $sales_price ) / $regular_price ) * 100 );
                echo '<span class="kng-on-sale">('.  '- '.$percentage . '%)</span>';
            }else{
                echo '<span class="kng-on-sale lbl">' . esc_html__( 'Sale', 'cetara' ) . '</span>';
            }
        }
    echo '</div>';
}
function cetara_single_product_layout1_details(){
	global $product;
	do_action( 'woocommerce_product_additional_information', $product );
}

add_filter( 'woocommerce_dropdown_variation_attribute_options_html', 'cetara_custom_variation_attribute_options_html', 10, 2 );
function cetara_custom_variation_attribute_options_html( $html, $args){
	global $wpdb, $product;
	$product_variation_style = isset($_GET['variation-style']) ? sanitize_text_field($_GET['variation-style']) : cetara_get_theme_opt('product_variation_style','dropdown');
	if($product_variation_style == 'dropdown') return $html;

	$options               = $args['options'];
	$product               = $args['product'];
	$attribute             = $args['attribute'];
	$name                  = $args['name'] ? $args['name'] : 'attribute_' . sanitize_title( $attribute );
	$id                    = $args['id'] ? $args['id'] : sanitize_title( $attribute );
	$class                 = $args['class'];
	$show_option_none      = (bool) $args['show_option_none'];
	$show_option_none_text = $args['show_option_none'] ? $args['show_option_none'] : esc_html__( 'Choose an option', 'cetara' ); // We'll do our best to hide the placeholder, but we'll need to show something when resetting options.

	if ( empty( $options ) && ! empty( $product ) && ! empty( $attribute ) ) {
		$attributes = $product->get_variation_attributes();
		$options    = $attributes[ $attribute ];
	}
  
	$custom_html  = '<ul id="cetara-variation-att-terms" class="cetara-variation-att-terms ' . esc_attr( $class ) . '" data-attribute_name="attribute_' . esc_attr( sanitize_title( $attribute ) ) . '" data-id="'.esc_attr($id).'">';
	if ( ! empty( $options ) ) {
		if ( $product && taxonomy_exists( $attribute ) ) {
			
			$terms = wc_get_product_terms( $product->get_id(), $attribute, array( 'fields' => 'all' ) );

			foreach ( $terms as $term ) {
				
    			$term_slug = $term->slug;
    			 
    			$variation_id = $wpdb->get_col( 
    				$wpdb->prepare( 
					    "SELECT      postmeta.post_id AS product_id
					        FROM        ".$wpdb->prefix."postmeta AS postmeta
					        LEFT JOIN  ".$wpdb->prefix."posts AS products
					                ON ( products.ID = postmeta.post_id )
					        WHERE       postmeta.meta_key LIKE 'attribute_%'
					        AND postmeta.meta_value = '%s'
					        AND products.post_parent = %d"
				        ,
				        $term_slug,
					    $product->get_id()
					)
    			);
    			 
    			if(!empty($variation_id)){
	    			$parent = wp_get_post_parent_id( $variation_id[0] );
	    			$vari_price = '';
	    			if ( $parent > 0 ) {
				        $_product = new WC_Product_Variation( $variation_id[0] );
				    
				        $vari_price = $_product->get_price_html();  
				    }
				}
				if ( in_array( $term->slug, $options, true ) && !empty($vari_price)) {
					$custom_html .= '<li class="kng-vari-item">';
					$custom_html .= '<a href="javascript:void(0)" onclick="return false;" aria-label="'. esc_html($term->name) .'" class="pro-variation-select custom-vari-enabled" data-value="'. esc_attr($term->slug) .'" ><span class="lbl">' . esc_html( apply_filters( 'woocommerce_variation_option_name', $term->name, $term, $attribute, $product ) ) . '</span>';
						if(!empty($vari_price))
							$custom_html .= '<span class="price">'.$vari_price.'</span>';
						$custom_html .= '</a>';
					$custom_html .= '</li>';
				}
			}
		} else {
			foreach ( $options as $option ) {
				// This handles < 2.4.0 bw compatibility where text attributes were not sanitized.
				$selected = sanitize_title( $args['selected'] ) === $args['selected'] ? selected( $args['selected'], sanitize_title( $option ), false ) : selected( $args['selected'], $option, false );
				$custom_html .= '<li>';
				$custom_html .= '<a href="javascript:void(0)" onclick="return false;" aria-label="'. esc_html($name) .'" class="pro-variation-select ' . $selected . '" data-value="'. esc_attr($option) .'" >' . esc_html( apply_filters( 'woocommerce_variation_option_name', $option, null, $attribute, $product ) ) . '</a>';
				$custom_html .= '</li>';
			}
		}
	}

	$custom_html .= '</ul>';
	return $custom_html.$html;
}
function cetara_variable_add_to_cart(){
	global $product;
 	
 	$product_variation_style = isset($_GET['variation-style']) ? sanitize_text_field($_GET['variation-style']) : cetara_get_theme_opt('product_variation_style','dropdown');
	wp_enqueue_script( 'wc-add-to-cart-variation' );
 	
	$get_variations = count( $product->get_children() ) <= apply_filters( 'woocommerce_ajax_variation_threshold', 30, $product );
 
	$available_variations = $get_variations ? $product->get_available_variations() : false;
	$attributes = $product->get_variation_attributes();
	$attribute_keys  = array_keys( $attributes );
	$variations_json = wp_json_encode( $available_variations );
	$variations_attr = function_exists( 'wc_esc_json' ) ? wc_esc_json( $variations_json ) : _wp_specialchars( $variations_json, ENT_QUOTES, 'UTF-8', true );
	do_action( 'woocommerce_before_add_to_cart_form' );
	?>
		<form class="variations_form cart" action="<?php echo esc_url( apply_filters( 'woocommerce_add_to_cart_form_action', $product->get_permalink() ) ); ?>" method="post" enctype='multipart/form-data' data-product_id="<?php echo absint( $product->get_id() ); ?>" data-product_variations="<?php echo esc_attr($variations_attr); ?>">
			<?php do_action( 'woocommerce_before_variations_form' ); ?>

			<?php if ( empty( $available_variations ) && false !== $available_variations ) : ?>
				<p class="stock out-of-stock"><?php echo esc_html( apply_filters( 'woocommerce_out_of_stock_message', esc_html__( 'This product is currently out of stock and unavailable.', 'cetara' ) ) ); ?></p>
			<?php else : ?>
				<div class="cetara-variation-quantity-wrap style-<?php echo esc_attr($product_variation_style) ?>">
					<div class="variations">
						<?php foreach ( $attributes as $attribute_name => $options ) : ?>
							<div class="kng-variation-row row">
								<div class="label col-12"><span for="<?php echo esc_attr( sanitize_title( $attribute_name ) ); ?>"><span class="lbl"><?php echo wc_attribute_label( $attribute_name );  ?>: </span><span><?php echo esc_html__( 'Choose An Option', 'cetara' ) ?></span></span></div>
								<div class="value col-12">
									<?php
										wc_dropdown_variation_attribute_options(
											array(
												'options'   => $options,
												'attribute' => $attribute_name,
												'product'   => $product,
											)
										);
										echo end( $attribute_keys ) === $attribute_name ? wp_kses_post( apply_filters( 'woocommerce_reset_variations_link', '<a class="reset_variations" href="#">' . esc_html__( 'Clear', 'cetara' ) . '</a>' ) ) : '';
									?>
								</div>
							</div>
						<?php endforeach; ?>
						
					</div>

					<div class="single_variation_wrap">
						 
						<div class="woocommerce-variation-add-to-cart variations_button">
							<?php do_action( 'woocommerce_before_add_to_cart_button' ); ?>
							<?php
							do_action( 'woocommerce_before_add_to_cart_quantity' );
							echo '<div class="quantity-lbl">'.esc_html__( 'Quantity','cetara' ).'</div>';
							woocommerce_quantity_input(
								array(
									'min_value'   => apply_filters( 'woocommerce_quantity_input_min', $product->get_min_purchase_quantity(), $product ),
									'max_value'   => apply_filters( 'woocommerce_quantity_input_max', $product->get_max_purchase_quantity(), $product ),
									'input_value' => isset( $_POST['quantity'] ) ? wc_stock_amount( sanitize_text_field( $_POST['quantity'] ) ) : $product->get_min_purchase_quantity(), 
								)
							);

							do_action( 'woocommerce_after_add_to_cart_quantity' );
							?>

							<input type="hidden" name="add-to-cart" value="<?php echo absint( $product->get_id() ); ?>" />
							<input type="hidden" name="product_id" value="<?php echo absint( $product->get_id() ); ?>" />
							<input type="hidden" name="variation_id" class="variation_id" value="0" />
						</div>
							 
					</div>
				</div>
				<div class="kng-variation-results">
					<?php 
						do_action( 'woocommerce_before_single_variation' );
						echo '<div class="woocommerce-variation single_variation"></div>';//do_action( 'woocommerce_single_variation' );
						do_action( 'woocommerce_after_single_variation' );
					?>
				</div>
				<div class="cetara-addtocart-btn-wrap">
					<div class="kng-atc-btn">
						<button type="submit" class="single_add_to_cart_button button alt"><?php echo esc_html( $product->single_add_to_cart_text() ); ?></button>
					</div>
					<?php do_action( 'cetara_after_add_to_cart_button' ); ?>
					<?php do_action( 'woocommerce_after_add_to_cart_button' ); ?>
				</div>
			<?php endif; ?>

			<?php do_action( 'woocommerce_after_variations_form' ); ?>
		</form>
	<?php 
	do_action( 'woocommerce_after_add_to_cart_form' );
}

function cetara_external_add_to_cart(){
	global $product;

	if ( ! $product->add_to_cart_url() ) {
		return;
	}
 
	$product_url = $product->add_to_cart_url();
	$button_text = $product->single_add_to_cart_text();
	do_action( 'woocommerce_before_add_to_cart_form' ); ?>

	<form class="cart external" action="<?php echo esc_url( $product_url ); ?>" method="get">
		<?php do_action( 'woocommerce_before_add_to_cart_button' ); ?>
		<div class="cetara-addtocart-btn-wrap">
			<div class="kng-atc-btn">
				<button type="submit" class="single_add_to_cart_button button alt"><?php echo esc_html( $button_text ); ?></button>
			</div>
			<?php do_action( 'cetara_after_add_to_cart_button' ); ?>
		</div>
		 
		<?php wc_query_string_form_fields( $product_url ); ?>

		<?php do_action( 'woocommerce_after_add_to_cart_button' ); ?>
	</form>

	<?php do_action( 'woocommerce_after_add_to_cart_form' ); ?>
	<?php 
}

function cetara_grouped_add_to_cart(){
	global $product, $post;

	$products = array_filter( array_map( 'wc_get_product', $product->get_children() ), 'wc_products_array_filter_visible_grouped' );

	if ( $products ) {
		 
		$grouped_product = $product;
		$grouped_products = $products;
		do_action( 'woocommerce_before_add_to_cart_form' ); ?>

		<form class="cart grouped_form" action="<?php echo esc_url( apply_filters( 'woocommerce_add_to_cart_form_action', $product->get_permalink() ) ); ?>" method="post" enctype='multipart/form-data'>
			<div class="woocommerce-grouped-product-list group_table">
					<?php
					$quantites_required      = false;
					$previous_post           = $post;
					$grouped_product_columns = apply_filters(
						'woocommerce_grouped_product_columns',
						array(
							'quantity',
							'label',
							'price',
						),
						$product
					);
					$show_add_to_cart_button = false;

					do_action( 'woocommerce_grouped_product_list_before', $grouped_product_columns, $quantites_required, $product );

					foreach ( $grouped_products as $grouped_product_child ) {
						$post_object        = get_post( $grouped_product_child->get_id() );
						$quantites_required = $quantites_required || ( $grouped_product_child->is_purchasable() && ! $grouped_product_child->has_options() );
						$post               = $post_object;  
						setup_postdata( $post );

						if ( $grouped_product_child->is_in_stock() ) {
							$show_add_to_cart_button = true;
						}

						echo '<div id="product-' . esc_attr( $grouped_product_child->get_id() ) . '" class="woocommerce-grouped-product-list-item d-flex gutters-16 ' . esc_attr( implode( ' ', wc_get_product_class( '', $grouped_product_child ) ) ) . '">';
 
						foreach ( $grouped_product_columns as $column_id ) {
							do_action( 'woocommerce_grouped_product_list_before_' . $column_id, $grouped_product_child );

							switch ( $column_id ) {
								case 'quantity':
									ob_start();

									if ( ! $grouped_product_child->is_purchasable() || $grouped_product_child->has_options() || ! $grouped_product_child->is_in_stock() ) {
										woocommerce_template_loop_add_to_cart();
									} elseif ( $grouped_product_child->is_sold_individually() ) {
										echo '<input type="checkbox" name="' . esc_attr( 'quantity[' . $grouped_product_child->get_id() . ']' ) . '" value="1" class="wc-grouped-product-add-to-cart-checkbox" />';
									} else {
										do_action( 'woocommerce_before_add_to_cart_quantity' );

										woocommerce_quantity_input(
											array(
												'input_name'  => 'quantity[' . $grouped_product_child->get_id() . ']',
												'input_value' => isset( $_POST['quantity'][ $grouped_product_child->get_id() ] ) ? wc_stock_amount( wc_clean( sanitize_text_field( $_POST['quantity'][ $grouped_product_child->get_id() ] ) ) ) : '',  
												'min_value'   => apply_filters( 'woocommerce_quantity_input_min', 0, $grouped_product_child ),
												'max_value'   => apply_filters( 'woocommerce_quantity_input_max', $grouped_product_child->get_max_purchase_quantity(), $grouped_product_child ),
												'placeholder' => '0',
											)
										);

										do_action( 'woocommerce_after_add_to_cart_quantity' );
									}

									$value = ob_get_clean();
									break;
								case 'label':
									$value  = '<label for="product-' . esc_attr( $grouped_product_child->get_id() ) . '">';
									$value .= $grouped_product_child->is_visible() ? '<a href="' . esc_url( apply_filters( 'woocommerce_grouped_product_list_link', $grouped_product_child->get_permalink(), $grouped_product_child->get_id() ) ) . '">' . $grouped_product_child->get_name() . '</a>' : $grouped_product_child->get_name();
									$value .= '</label>';
									break;
								case 'price':
									$value = $grouped_product_child->get_price_html() . wc_get_stock_html( $grouped_product_child );
									break;
								default:
									$value = '';
									break;
							}

							echo '<div class="woocommerce-grouped-product-list-item__' . esc_attr( $column_id ) . '">' . apply_filters( 'woocommerce_grouped_product_list_column_' . $column_id, $value, $grouped_product_child ) . '</div>';  
							do_action( 'woocommerce_grouped_product_list_after_' . $column_id, $grouped_product_child );
						}

						echo '</div>';
					}
					$post = $previous_post;  
					setup_postdata( $post );

					do_action( 'woocommerce_grouped_product_list_after', $grouped_product_columns, $quantites_required, $product );
					?>
			</div>

			<input type="hidden" name="add-to-cart" value="<?php echo esc_attr( $product->get_id() ); ?>" />

			<?php if ( $quantites_required && $show_add_to_cart_button ) : ?>

				<?php do_action( 'woocommerce_before_add_to_cart_button' ); ?>
				<div class="cetara-addtocart-btn-wrap">
					<div class="kng-atc-btn">
						<button type="submit" class="single_add_to_cart_button button alt"><?php echo esc_html( $product->single_add_to_cart_text() ); ?></button>
					</div>
					<?php do_action( 'cetara_after_add_to_cart_button' ); ?>
				</div>

				<?php do_action( 'woocommerce_after_add_to_cart_button' ); ?>

			<?php endif; ?>
		</form>

		<?php do_action( 'woocommerce_after_add_to_cart_form' ); ?>
		<?php 
	}
}

function cetara_simple_add_to_cart(){
	global $product;

	if ( ! $product->is_purchasable() ) {
		return;
	}

	echo wc_get_stock_html( $product ); // WPCS: XSS ok.

	if ( $product->is_in_stock() ) : ?>

		<?php do_action( 'woocommerce_before_add_to_cart_form' ); ?>

		<form class="cart" action="<?php echo esc_url( apply_filters( 'woocommerce_add_to_cart_form_action', $product->get_permalink() ) ); ?>" method="post" enctype='multipart/form-data'>
			<?php do_action( 'woocommerce_before_add_to_cart_button' ); ?>

			<?php
			do_action( 'woocommerce_before_add_to_cart_quantity' );
			echo '<div class="quantity-lbl">'.esc_html__( 'Quantity','cetara' ).'</div>';
			woocommerce_quantity_input(
				array(
					'min_value'   => apply_filters( 'woocommerce_quantity_input_min', $product->get_min_purchase_quantity(), $product ),
					'max_value'   => apply_filters( 'woocommerce_quantity_input_max', $product->get_max_purchase_quantity(), $product ),
					'input_value' => isset( $_POST['quantity'] ) ? wc_stock_amount( sanitize_text_field( $_POST['quantity'] ) ) : $product->get_min_purchase_quantity(), // WPCS: CSRF ok, input var ok.
				)
			);

			do_action( 'woocommerce_after_add_to_cart_quantity' );
			?>

			<div class="cetara-addtocart-btn-wrap">
				<div class="kng-atc-btn">
					<button type="submit" name="add-to-cart" value="<?php echo esc_attr( $product->get_id() ); ?>" class="single_add_to_cart_button button alt"><?php echo esc_html( $product->single_add_to_cart_text() ); ?></button>
				</div>
				<?php do_action( 'cetara_after_add_to_cart_button' ); ?>
			</div>
			<?php do_action( 'woocommerce_after_add_to_cart_button' ); ?>
		</form>

		<?php do_action( 'woocommerce_after_add_to_cart_form' ); ?>

	<?php endif; ?>
	<?php 
	
}

// Wrap add-to-cart and some other button
add_action('woocommerce_single_product_summary', function(){ echo '<div class="kng-single-product-btns d-flex align-items-end">';}, 29);
add_action('woocommerce_single_product_summary', function(){ echo '</div>';}, 39);

if(!function_exists('cetara_woocommerce_rename_tabs')){
	add_filter( 'woocommerce_product_tabs', 'cetara_woocommerce_rename_tabs', 98 );
	function cetara_woocommerce_rename_tabs( $tabs ) { 
		$product_layout = isset($_GET['product_layout']) ? sanitize_text_field($_GET['product_layout']) : cetara_get_theme_opt('product_layout','default');
		if(isset($tabs['additional_information'])){
			$tabs['additional_information']['title'] = esc_html__( 'Product details','cetara' );	// Rename the additional information tab
			if($product_layout == '1')
				unset($tabs['additional_information']);
		}
		return $tabs;
	}
}
if(!function_exists('cetara_author_product_tab')){
	add_filter( 'woocommerce_product_tabs', 'cetara_author_product_tab' );
	function cetara_author_product_tab( $tabs ) {
	// Adds the new tab
		$author_slug = get_post_meta( get_the_ID(), 'product_author', true );
		if(!empty($author_slug)){
		    $tabs['author_tab'] = array(
		        'title'     => esc_html__( 'Author', 'cetara' ),
		        'priority'  => 50,
		        'callback'  => 'cetara_author_product_tab_content'
		    );
		}
		return $tabs;
	}
}

function cetara_author_product_tab_content()  {
    // The new tab content
    $author_slug = get_post_meta( get_the_ID(), 'product_author', true );
	if(!empty($author_slug)){
		$author_id = cetara_get_id_by_slug($author_slug,'authors');
		$author = get_post($author_id);
		?>
		<div class="product-tab-author-content">
		<div class="author-content-inner d-flex gutters-30 gutters-grid">
			<div class="author-info">
				<div class="author-info-inner">
					<?php echo get_the_post_thumbnail( $author_id, 'full', array( 'class' => 'author-avatar' ) ); ?>
					<h4><a href="<?php echo esc_url(get_permalink( $author_id )); ?>"><?php echo cetara_html($author->post_title) ?></a></h4>
					<?php 
	                $author_role       = get_post_meta($author_id,'author_role', true );
	                $author_extra_text = get_post_meta($author_id,'author_extra_text', true );
	                $author_socials    = get_post_meta($author_id,'author_socials', true );
	                ?>
	                <?php if(!empty($author_role) || !empty($author_extra_text)): ?> 
	                    <div class="rol-extra row gutters-10 align-items-center">
	                        <span class="text-primary col-auto"><?php echo esc_html($author_role) ?></span>
	                        <span class="col-auto"><span class="kng-meta-separator"></span></span>
	                        <span class="text-gray col-auto"><?php echo esc_html($author_extra_text) ?></span>
	                    </div>
	                <?php endif; ?>
	                <?php 
	                $author_socials    = get_post_meta($author_id,'author_socials', true );
	                if(!empty($author_socials)){
	                    echo '<div class="author-social d-flex gutters-18">';
	                    foreach ($author_socials as $value) {
	                        $social_item_arr = explode('||', $value);
	                        echo '<a href="'.$social_item_arr[1].'"><i class="'.$social_item_arr[0].'"></i></a>';
	                    }
	                    echo '</div>';
	                }
	                ?> 
                </div>
			</div> 
			<div class="author-desc">
				<div class="author-text">
					<?php echo cetara_html( wpautop( $author->post_content, true )  ); ?>
				</div>
			</div> 
		</div>
		</div>
		<?php
	}
     
}

// remove tab content title 
add_filter('woocommerce_product_description_heading', '__return_false');
add_filter('woocommerce_product_additional_information_heading', '__return_false');

// Change  added to cart message
if(!function_exists('cetara_wc_add_to_cart_message_html')){
	add_filter('wc_add_to_cart_message_html', 'cetara_wc_add_to_cart_message_html', 10, 3);
	function cetara_wc_add_to_cart_message_html($message, $products, $show_qty){
		$titles = array();
		$count  = 0;

		if ( ! is_array( $products ) ) {
			$products = array( $products => 1 );
			$show_qty = false;
		}

		if ( ! $show_qty ) {
			$products = array_fill_keys( array_keys( $products ), 1 );
		}

		foreach ( $products as $product_id => $qty ) {
			/* translators: %s: product name */
			$titles[] = apply_filters( 'woocommerce_add_to_cart_qty_html', ( $qty > 1 ? absint( $qty ) . ' &times; ' : '' ), $product_id ) . apply_filters( 'woocommerce_add_to_cart_item_name_in_quotes', sprintf( _x( '&ldquo;%s&rdquo;', 'Item name in quotes', 'cetara' ), strip_tags( get_the_title( $product_id ) ) ), $product_id );
			$count   += $qty;
		}

		$titles = array_filter( $titles );
		/* translators: %s: product name */
		$added_text = sprintf( _n( '%s has been added to your cart.', '%s have been added to your cart.', $count, 'cetara' ), wc_format_list_of_items( $titles ) );

		// Output success messages.
		if ( 'yes' === get_option( 'woocommerce_cart_redirect_after_add' ) ) {
			$return_to = apply_filters( 'woocommerce_continue_shopping_redirect', wc_get_raw_referer() ? wp_validate_redirect( wc_get_raw_referer(), false ) : wc_get_page_permalink( 'shop' ) );
			$message   = sprintf( '<span class="kng-added-to-cart-msg">%s</span> <a href="%s" tabindex="1" class="btn btn-accent btn-lg">%s</a>', esc_html( $added_text ), esc_url( $return_to ), esc_html__( 'Continue shopping', 'cetara' ) );
		} else {
			$message = sprintf( '<span class="kng-added-to-cart-msg">%s</span> <a href="%s" tabindex="1" class="btn btn-accent btn-lg">%s</a>',esc_html( $added_text ), esc_url( wc_get_cart_url() ), esc_html__( 'View cart', 'cetara' ) );
		}
		return $message;
	}
}

// Upsell Products
remove_action('woocommerce_after_single_product_summary','woocommerce_upsell_display', 15);
if(cetara_get_theme_opt('product_upsell', '1') === '1'){
	add_action('woocommerce_after_single_product_summary','woocommerce_upsell_display', 15);
}
//filter:  woocommerce_cross_sells_columns
add_filter( 'woocommerce_upsells_columns', 'cetara_woocommerce_upsells_columns');
function cetara_woocommerce_upsells_columns( $columns ) {
	$columns = cetara_get_theme_opt('product_upsell_column', '4');
	return $columns;
}
// filter: woocommerce_cross_sells_total
add_filter( 'woocommerce_upsells_total', 'cetara_woocommerce_upsells_total');
function cetara_woocommerce_upsells_total( $totals ) {
	$totals = cetara_get_theme_opt('product_upsell_total', '4');;
	return $totals;
}
// Related Products
if(cetara_get_theme_opt('product_related', '1') === '1' && cetara_get_theme_opt('product_layout','default') == 'default' && !isset($_GET['product_layout'])){
	remove_action('woocommerce_after_single_product_summary','woocommerce_output_related_products', 20);
	add_action('cetara_hook_shop_related','woocommerce_output_related_products', 10);
}
if(cetara_get_theme_opt('product_related', '1') === '0' ){
	remove_action('woocommerce_after_single_product_summary','woocommerce_output_related_products', 20);
}
add_filter( 'woocommerce_output_related_products_args', 'cetara_woocommerce_output_related_products_args', 20 );
  function cetara_woocommerce_output_related_products_args( $args ) {
	$args['posts_per_page'] = cetara_get_theme_opt('product_related_total', 4); // 4 related products
	$args['columns'] = cetara_get_theme_opt('product_related_column', 4); // arranged in 2 columns

	return $args;
}

 