<?php
// Register Contact Form 7 Widget
if(class_exists('WPCF7')) {
    $cf7 = get_posts('post_type="wpcf7_contact_form"&numberposts=-1');
    $contact_forms = array();
    if ($cf7) {
        foreach ($cf7 as $cform) {
            $contact_forms[$cform->ID] = $cform->post_title;
        }
    } else {
        $contact_forms[esc_html__('No contact forms found', 'cetara')] = 0;
    }

    kng_add_custom_widget(
        array(
            'name'       => 'kng_ctf7',
            'title'      => esc_html__('KNG Contact Form 7', 'cetara'),
            'icon'       => 'eicon-form-horizontal',
            'categories' => array('kngtheme-core'),
            'scripts'    => array(),
            'params'     => array(
                'sections' => array(
                    array(
                        'name'     => 'layout_section',
                        'label'    => esc_html__( 'Layout', 'cetara' ),
                        'tab'      => 'layout',
                        'controls' => array(
                            array(
                                'name'    => 'layout',
                                'label'   => esc_html__( 'Templates', 'cetara' ),
                                'type'    => 'layoutcontrol',
                                'default' => '1',
                                'options' => [
                                    '1' => [
                                        'label' => esc_html__( 'Layout 1', 'cetara' ),
                                        'image' => get_template_directory_uri() . '/elements/el-widgets/layouts/kng_ctf7-1.jpg'
                                    ]
                                ],
                                'prefix_class' => 'kng-cf7-layout-'
                            )
                        )
                    ),
                    array(
                        'name'     => 'source_section',
                        'label'    => esc_html__('Source Settings', 'cetara'),
                        'tab'      => 'content',
                        'controls' => array(
                            array(
                                'name'        => 'form_title',
                                'label'       => esc_html__( 'Form Title', 'cetara' ),
                                'type'        => 'text',
                                'default'     => esc_html__( 'Request An Estimate', 'cetara' ),
                                'label_block' => true,
                            ),
                            array(
                                'name'        => 'form_desc',
                                'label'       => esc_html__( 'Form Description', 'cetara' ),
                                'type'        => 'textarea',
                                'default'     => __( 'For a cleaning that meets your highest standards, you need a dedicated team of trained specialists with all supplies needed to thoroughly clean your home.', 'cetara' ),
                                'label_block' => true
                            ),
                            array(
                                'name'    => 'ctf7_id',
                                'label'   => esc_html__('Select Form', 'cetara'),
                                'type'    => 'select',
                                'options' => $contact_forms,
                            )
                        )
                    ),
                    array(
                        'name'     => 'image_section',
                        'label'    => esc_html__('Banner Settings', 'cetara'),
                        'tab'      => 'content',
                        'controls' => array(
                            array(
                                'name'        => 'form_banner',
                                'label'       => esc_html__( 'Choose your banner', 'cetara' ),
                                'type'        => 'media',
                                'label_block' => true
                            ),
                            array(
                                'name'         => 'thumbnail_size',
                                'type'         => \Elementor\Group_Control_Image_Size::get_type(),
                                'control_type' => 'group',
                                'default'      => 'full',
                                'condition'   => [
                                    'form_banner!' => ''
                                ]
                            )
                        )
                    )
                )
            )
        ),
        get_template_directory() . '/elements/classes/'
    );
}